webpackJsonp([0],{

/***/ 13:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return BasePage; });
var BasePage = (function () {
    function BasePage() {
    }
    // 全局加载
    BasePage.prototype.startLoading = function (loadingCtrl) {
        this.loading = loadingCtrl.create({
            content: '请稍候...'
        });
        this.isLoading = true;
        this.loading.present();
    };
    BasePage.prototype.stopLoading = function () {
        if (!this.isLoading) {
            return;
        }
        this.isLoading = false;
        if (this.loading) {
            this.loading.dismiss();
        }
    };
    // 全局toast
    BasePage.prototype.showToastText = function (toastCtrl, text) {
        var toast = toastCtrl.create({
            message: text,
            duration: 3000,
            position: 'middle'
        });
        toast.present();
    };
    // 全局Alert
    BasePage.prototype.showAlert = function (alertCtrl, title, message, sureHander) {
        var alert = alertCtrl.create({
            title: title,
            subTitle: message,
            buttons: [{
                    text: '确定',
                    handler: function () {
                        sureHander();
                    }
                }]
        });
        alert.present();
    };
    BasePage.prototype.showConfirm = function (alertCtrl, title, message, cancelHander, sureHander) {
        var confirm = alertCtrl.create({
            title: title,
            message: message,
            buttons: [
                {
                    text: '取消',
                    handler: function () {
                        cancelHander();
                    }
                },
                {
                    text: '确定',
                    handler: function () {
                        sureHander();
                    }
                }
            ]
        });
        confirm.present();
    };
    BasePage.prototype.getTotalPage = function (totalCount, pageSize) {
        if (pageSize === void 0) { pageSize = 10; }
        return Math.trunc(totalCount / pageSize) + (totalCount % pageSize == 0 ? 0 : 1);
    };
    return BasePage;
}());

//# sourceMappingURL=base-page.js.map

/***/ }),

/***/ 138:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return findHousePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(9);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__base_base_page__ = __webpack_require__(13);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_HttpClient__ = __webpack_require__(14);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_service_config__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__district_district__ = __webpack_require__(355);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__login_login__ = __webpack_require__(30);
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};







var findHousePage = (function (_super) {
    __extends(findHousePage, _super);
    function findHousePage(navCtrl, HttpClient, popoverCtrl, modalCtrl, toastCtrl) {
        var _this = _super.call(this) || this;
        _this.navCtrl = navCtrl;
        _this.HttpClient = HttpClient;
        _this.popoverCtrl = popoverCtrl;
        _this.modalCtrl = modalCtrl;
        _this.toastCtrl = toastCtrl;
        _this.houseList = [];
        _this.houseName = [];
        _this.houseNum = [];
        _this.houseId = [];
        _this.multiStatus = false;
        return _this;
    }
    findHousePage.prototype.ionViewWillEnter = function () {
        var isLogin = JSON.parse(localStorage.getItem("isLogin"));
        if (isLogin || isLogin == "true") {
            this.getHouseList();
        }
        else {
            this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_6__login_login__["a" /* loginPage */]);
        }
    };
    findHousePage.prototype.getHouseList = function () {
        var self = this;
        this.HttpClient.postWithToken(__WEBPACK_IMPORTED_MODULE_4__providers_service_config__["a" /* ServiceConfig */].GET_HOUSE + "?action=GetAllDistrictProjectsApp", {
            "userId": JSON.parse(localStorage.getItem("user")).id,
        }, function (data) {
            for (var i = 0, length_1 = data.length; i < length_1; i++) {
                self.houseName.push(data[i].name);
                self.houseNum.push(data[i].totalHouseCount);
                self.houseId.push(data[i].id);
                var polygonArr = [];
                polygonArr = JSON.parse(data[i].boundaryPoints.replace(/(^\s*)|(\s*$)/g, ""));
                var polygon = new AMap.Polygon({
                    path: polygonArr,
                    strokeColor: "#FF33FF",
                    strokeOpacity: 0.2,
                    strokeWeight: 3,
                    fillColor: "#1791fc",
                    fillOpacity: 0.35 //填充透明度
                });
                self.houseList.push(polygon.getBounds().getCenter());
            }
            document.getElementById("container").innerHTML = "";
            self.map = new AMap.Map('container', {
                center: self.houseList[0],
                zoom: 12
            });
            self.drawAnnotated();
        });
    };
    //绘制标注
    findHousePage.prototype.drawAnnotated = function () {
        //加载SimpleMarker
        var self = this;
        AMapUI.loadUI(['overlay/SimpleMarker'], function (SimpleMarker) {
            var iconTheme = 'default';
            //获取一批grid排布的经纬度
            var lngLats = self.houseList;
            var _loop_1 = function (i, len) {
                var simpleMarker = new SimpleMarker({
                    iconTheme: iconTheme,
                    //使用内置的iconStyle
                    iconStyle: {
                        src: 'assets/images/house.png',
                        style: {
                            width: '30px',
                            height: '30px'
                        }
                    },
                    //图标文字
                    iconLabel: {
                        //A,B,C.....
                        innerHTML: '<div (click)="selectHouse("' + self.houseName[i] + '")"></div>',
                        style: {
                            //颜色, #333, red等等，这里仅作示例，取iconStyle中首尾相对的颜色
                            color: "#ffffff",
                            position: "absolute",
                            top: "5px"
                        }
                    },
                    //显示定位点
                    //showPositionPoint:true,
                    map: self.map,
                    position: lngLats[i],
                    //Marker的label(见http://lbs.amap.com/api/javascript-api/reference/overlay/#Marker)
                    label: {
                        content: self.houseName[i] + "(" + self.houseNum[i] + ")",
                        offset: new AMap.Pixel(27, 25)
                    }
                });
                simpleMarker.on('click', function () {
                    //alert("您点击的网格id为"+pointData[0].grid_id);
                    self.selectHouse(self.houseId[i], self.houseNum[i]);
                });
            };
            for (var i = 0, len = lngLats.length; i < len; i++) {
                _loop_1(i, len);
            }
        });
    };
    /**
     * 返回一批网格排列的经纬度
  
     * @param  {AMap.LngLat} center 网格中心
     * @param  {number} colNum 列数
     * @param  {number} size  总数
     * @param  {number} cellX  横向间距
     * @param  {number} cellY  竖向间距
     * @return {Array}  返回经纬度数组
     */
    findHousePage.prototype.getGridLngLats = function (center, colNum, size, cellX, cellY) {
        var self = this;
        var pxCenter = self.map.lnglatToPixel(center);
        var rowNum = Math.ceil(size / colNum);
        var startX = pxCenter.getX(), startY = pxCenter.getY();
        cellX = cellX || 70;
        cellY = cellY || 70;
        var lngLats = [];
        for (var r = 0; r < rowNum; r++) {
            for (var c = 0; c < colNum; c++) {
                var x = startX + (c - (colNum - 1) / 2) * (cellX);
                var y = startY + (r - (rowNum - 1) / 2) * (cellY);
                lngLats.push(self.map.pixelToLngLat(new AMap.Pixel(x, y)));
                if (lngLats.length >= size) {
                    break;
                }
            }
        }
        return lngLats;
    };
    //选择房子
    findHousePage.prototype.selectHouse = function (item, num) {
        if (num > 0) {
            this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_5__district_district__["a" /* districtPage */], { projectId: item });
        }
    };
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["ViewChild"])('container'),
        __metadata("design:type", __WEBPACK_IMPORTED_MODULE_0__angular_core__["ElementRef"])
    ], findHousePage.prototype, "mapElement", void 0);
    findHousePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-findHouse',template:/*ion-inline-start:"D:\ionicapps\talentApartment\src\pages\findHouse\findHouse.html"*/'<ion-header>\n  <ion-navbar>\n    <ion-title>\n      查找房源\n    </ion-title>\n    <ion-buttons end>\n      <ion-icon class="chooseArea"></ion-icon>\n      <ion-multi-picker *ngIf="multiStatus" cancelText="取消" doneText="完成" id="cities" [(ngModel)]="area" item-content [multiPickerColumns]="simpleColumns"></ion-multi-picker>\n    </ion-buttons>\n  </ion-navbar>\n</ion-header>\n\n<ion-content>\n  <ion-searchbar  type="text" placeholder="请输入公寓名称"></ion-searchbar>\n  <div id="container" #container></div>\n</ion-content>\n'/*ion-inline-end:"D:\ionicapps\talentApartment\src\pages\findHouse\findHouse.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_3__providers_HttpClient__["a" /* HttpClient */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["PopoverController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ModalController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ToastController"]])
    ], findHousePage);
    return findHousePage;
}(__WEBPACK_IMPORTED_MODULE_2__base_base_page__["a" /* BasePage */]));

//# sourceMappingURL=findHouse.js.map

/***/ }),

/***/ 14:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return HttpClient; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_http__ = __webpack_require__(261);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_rxjs__ = __webpack_require__(262);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_rxjs___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_2_rxjs__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ionic_native_http__ = __webpack_require__(353);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4_ionic_angular__ = __webpack_require__(9);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__service_config__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__pages_base_base_page__ = __webpack_require__(13);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__ionic_native_file_transfer__ = __webpack_require__(354);
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};








var HttpClient = (function (_super) {
    __extends(HttpClient, _super);
    function HttpClient(jsonp, http, platform, nativeHttp, transfer, loadingCtrl) {
        var _this = _super.call(this) || this;
        _this.jsonp = jsonp;
        _this.http = http;
        _this.platform = platform;
        _this.nativeHttp = nativeHttp;
        _this.transfer = transfer;
        _this.loadingCtrl = loadingCtrl;
        return _this;
    }
    // post 和 get请求
    HttpClient.prototype.post = function (url, paramObj, cb) {
        var _this = this;
        this.startLoading(this.loadingCtrl);
        if (url.indexOf('http') == -1) {
            url = __WEBPACK_IMPORTED_MODULE_5__service_config__["a" /* ServiceConfig */].getUrl() + url;
        }
        console.log("请求地址:" + url);
        console.log("参数:" + JSON.stringify(paramObj));
        var headers = new __WEBPACK_IMPORTED_MODULE_1__angular_http__["a" /* Headers */]({ 'Content-Type': 'application/x-www-form-urlencoded' });
        return this.http.post(url, this.toBodyString(paramObj), new __WEBPACK_IMPORTED_MODULE_1__angular_http__["f" /* RequestOptions */]({ headers: headers })).map(function (res) { return res.json(); }).catch(this.handleError).subscribe(function (data) {
            _this.stopLoading();
            cb(data);
        });
    };
    HttpClient.prototype.postWithToken = function (url, paramObj, cb) {
        var _this = this;
        this.startLoading(this.loadingCtrl);
        if (url.indexOf('http') == -1) {
            url = __WEBPACK_IMPORTED_MODULE_5__service_config__["a" /* ServiceConfig */].getUrl() + url;
        }
        console.log("请求地址:" + url);
        console.log("参数:" + JSON.stringify(paramObj));
        var headers = new __WEBPACK_IMPORTED_MODULE_1__angular_http__["a" /* Headers */]({ 'Content-Type': 'application/x-www-form-urlencoded', "token": localStorage.getItem("token") });
        return this.http.post(url, this.toBodyString(paramObj), new __WEBPACK_IMPORTED_MODULE_1__angular_http__["f" /* RequestOptions */]({ headers: headers })).map(function (res) { return res.json(); }).catch(this.handleError).subscribe(function (data) {
            _this.stopLoading();
            cb(data);
        });
    };
    HttpClient.prototype.postNotLoading = function (url, paramObj, cb) {
        if (url.indexOf('http') == -1) {
            url = __WEBPACK_IMPORTED_MODULE_5__service_config__["a" /* ServiceConfig */].getUrl() + url;
        }
        console.log("请求地址:" + url);
        console.log("参数:" + JSON.stringify(paramObj));
        var headers = new __WEBPACK_IMPORTED_MODULE_1__angular_http__["a" /* Headers */]({ 'Content-Type': 'application/x-www-form-urlencoded' });
        return this.http.post(url, this.toBodyString(paramObj), new __WEBPACK_IMPORTED_MODULE_1__angular_http__["f" /* RequestOptions */]({ headers: headers })).map(function (res) { return res.json(); }).catch(this.handleError).subscribe(function (data) {
            cb(data);
        });
    };
    HttpClient.prototype.postNotLoadingWithToken = function (url, paramObj, cb) {
        if (url.indexOf('http') == -1) {
            url = __WEBPACK_IMPORTED_MODULE_5__service_config__["a" /* ServiceConfig */].getUrl() + url;
        }
        console.log("请求地址:" + url);
        console.log("参数:" + JSON.stringify(paramObj));
        var headers = new __WEBPACK_IMPORTED_MODULE_1__angular_http__["a" /* Headers */]({ 'Content-Type': 'application/x-www-form-urlencoded', "token": localStorage.getItem("token") });
        return this.http.post(url, this.toBodyString(paramObj), new __WEBPACK_IMPORTED_MODULE_1__angular_http__["f" /* RequestOptions */]({ headers: headers })).map(function (res) { return res.json(); }).catch(this.handleError).subscribe(function (data) {
            cb(data);
        });
    };
    HttpClient.prototype.get = function (url, params, cb) {
        var _this = this;
        this.startLoading(this.loadingCtrl);
        if (url.indexOf('http') == -1) {
            url = __WEBPACK_IMPORTED_MODULE_5__service_config__["a" /* ServiceConfig */].getUrl() + url;
        }
        console.log("请求地址:" + url);
        console.log("参数:" + JSON.stringify(params));
        var searchParams = new __WEBPACK_IMPORTED_MODULE_1__angular_http__["h" /* URLSearchParams */];
        if (params) {
            for (var key in params) {
                searchParams.append(key, params[key]);
            }
        }
        var options = new __WEBPACK_IMPORTED_MODULE_1__angular_http__["f" /* RequestOptions */]({ search: searchParams });
        return this.http.get(url, options).map(function (res) { return res.json(); }).catch(this.handleError).subscribe(function (data) {
            _this.stopLoading();
            cb(data);
        });
    };
    HttpClient.prototype.getWithToken = function (url, params, cb) {
        var _this = this;
        this.startLoading(this.loadingCtrl);
        if (url.indexOf('http') == -1) {
            url = __WEBPACK_IMPORTED_MODULE_5__service_config__["a" /* ServiceConfig */].getUrl() + url;
        }
        console.log("请求地址:" + url);
        console.log("参数:" + JSON.stringify(params));
        var headers = new __WEBPACK_IMPORTED_MODULE_1__angular_http__["a" /* Headers */]({ 'Content-Type': 'application/x-www-form-urlencoded', "token": localStorage.getItem("token") });
        var searchParams = new __WEBPACK_IMPORTED_MODULE_1__angular_http__["h" /* URLSearchParams */];
        if (params) {
            for (var key in params) {
                searchParams.append(key, params[key]);
            }
        }
        var options = new __WEBPACK_IMPORTED_MODULE_1__angular_http__["f" /* RequestOptions */]({ search: searchParams, headers: headers });
        return this.http.get(url, options).map(function (res) { return res.json(); }).catch(this.handleError).subscribe(function (data) {
            _this.stopLoading();
            cb(data);
        });
    };
    HttpClient.prototype.getNotLoading = function (url, params, cb) {
        if (url.indexOf('http') == -1) {
            url = __WEBPACK_IMPORTED_MODULE_5__service_config__["a" /* ServiceConfig */].getUrl() + url;
        }
        console.log("请求地址:" + url);
        console.log("参数:" + JSON.stringify(params));
        var searchParams = new __WEBPACK_IMPORTED_MODULE_1__angular_http__["h" /* URLSearchParams */];
        if (params) {
            for (var key in params) {
                searchParams.append(key, params[key]);
            }
        }
        var options = new __WEBPACK_IMPORTED_MODULE_1__angular_http__["f" /* RequestOptions */]({ search: searchParams });
        return this.http.get(url, options).map(function (res) { return res.json(); }).catch(this.handleError).subscribe(function (data) {
            cb(data);
        });
    };
    HttpClient.prototype.uploadFile = function (fileType, filePath, cb) {
        this.startLoading(this.loadingCtrl);
        var that = this;
        var fileTransfer = this.transfer.create();
        var options;
        var url = '';
        if (fileType == 0) {
            url = __WEBPACK_IMPORTED_MODULE_5__service_config__["a" /* ServiceConfig */].getUrl() + __WEBPACK_IMPORTED_MODULE_5__service_config__["a" /* ServiceConfig */].UPLOAD_IMAGE;
            options = {
                fileKey: 'Filedata',
                fileName: 'image.jpg',
                mimeType: 'image/jpeg'
            };
        }
        else if (fileType == 1) {
            url = __WEBPACK_IMPORTED_MODULE_5__service_config__["a" /* ServiceConfig */].getUrl() + __WEBPACK_IMPORTED_MODULE_5__service_config__["a" /* ServiceConfig */].UPLOAD_IMAGE;
            options = {
                fileKey: 'Filedata',
                fileName: 'video.mp4',
                mimeType: 'video/mp4'
            };
        }
        else {
            console.log('请传入正确的文件类型');
            return;
        }
        console.log('=====url======' + url);
        fileTransfer.upload(filePath, url, options)
            .then(function (data) {
            that.stopLoading();
            cb(JSON.parse(data.response));
        }, function (err) {
            that.stopLoading();
            cb({ "status": 0, "info": err.toString() });
        });
    };
    HttpClient.prototype.toBodyString = function (obj) {
        var ret = [];
        for (var key in obj) {
            key = encodeURIComponent(key);
            var values = obj[key];
            if (values && values.constructor == Array) {
                var queryValues = [];
                for (var i = 0, len = values.length, value = void 0; i < len; i++) {
                    value = values[i];
                    queryValues.push(this.toQueryPair(key, value));
                }
                ret = ret.concat(queryValues);
            }
            else {
                ret.push(this.toQueryPair(key, values));
            }
        }
        return ret.join('&');
    };
    HttpClient.prototype.toQueryPair = function (key, value) {
        if (typeof value == 'undefined') {
            return key;
        }
        return key + '=' + encodeURIComponent(value === null ? '' : String(value));
    };
    HttpClient.prototype.handleError = function (error) {
        console.error("origin error: " + error);
        var errMsg;
        if (error instanceof __WEBPACK_IMPORTED_MODULE_1__angular_http__["g" /* Response */]) {
            errMsg = error.toString();
        }
        else {
            errMsg = error.message ? error.message : error.toString();
        }
        console.error("error: " + errMsg);
        this.stopLoading();
        return __WEBPACK_IMPORTED_MODULE_2_rxjs__["Observable"].throw(errMsg);
    };
    HttpClient = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Injectable"])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1__angular_http__["d" /* Jsonp */],
            __WEBPACK_IMPORTED_MODULE_1__angular_http__["b" /* Http */],
            __WEBPACK_IMPORTED_MODULE_4_ionic_angular__["Platform"],
            __WEBPACK_IMPORTED_MODULE_3__ionic_native_http__["a" /* HTTP */],
            __WEBPACK_IMPORTED_MODULE_7__ionic_native_file_transfer__["a" /* FileTransfer */],
            __WEBPACK_IMPORTED_MODULE_4_ionic_angular__["LoadingController"]])
    ], HttpClient);
    return HttpClient;
}(__WEBPACK_IMPORTED_MODULE_6__pages_base_base_page__["a" /* BasePage */]));

//# sourceMappingURL=HttpClient.js.map

/***/ }),

/***/ 155:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return requisitionPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(9);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__base_base_page__ = __webpack_require__(13);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_HttpClient__ = __webpack_require__(14);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_service_config__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__requisitionPopover_requisitionPopover__ = __webpack_require__(359);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__confirmAvailability_confirmAvailability__ = __webpack_require__(360);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__login_login__ = __webpack_require__(30);
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};








var requisitionPage = (function (_super) {
    __extends(requisitionPage, _super);
    function requisitionPage(navCtrl, httpClient, alertCtrl, popoverCtrl, toastCtrl) {
        var _this = _super.call(this) || this;
        _this.navCtrl = navCtrl;
        _this.httpClient = httpClient;
        _this.alertCtrl = alertCtrl;
        _this.popoverCtrl = popoverCtrl;
        _this.toastCtrl = toastCtrl;
        _this.type = "like";
        _this.houseList = [];
        _this.selectNumber = "";
        _this.getUserHouseListByUserId(1);
        return _this;
    }
    //查看详情
    requisitionPage.prototype.openPopover = function (item) {
        var popover = this.popoverCtrl.create(__WEBPACK_IMPORTED_MODULE_5__requisitionPopover_requisitionPopover__["a" /* requisitionPopoverPage */], { item: item }, {
            cssClass: 'requisition-popover'
        });
        popover.present();
    };
    requisitionPage.prototype.getUserHouseListByUserId = function (status) {
        var self = this;
        var isLogin = JSON.parse(localStorage.getItem("isLogin"));
        if (isLogin || isLogin == "true") {
            var user = JSON.parse(localStorage.getItem("user"));
            this.httpClient.postWithToken(__WEBPACK_IMPORTED_MODULE_4__providers_service_config__["a" /* ServiceConfig */].GET_HOUSE + "?action=GetUserHouseListByUserId", {
                "userId": user.id,
                "valid": status
            }, function (data) {
                if (status == 1) {
                    self.getSelectNum();
                }
                if (data.status == "1" || data.status == 1) {
                    if (data.retObject != null) {
                        self.houseList = [];
                        self.houseList = data.retObject;
                    }
                }
            });
        }
        else {
            this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_7__login_login__["a" /* loginPage */]);
        }
    };
    //获取剩余查看次数
    requisitionPage.prototype.getSelectNum = function () {
        var self = this;
        var user = JSON.parse(localStorage.getItem("user"));
        this.httpClient.postNotLoadingWithToken(__WEBPACK_IMPORTED_MODULE_4__providers_service_config__["a" /* ServiceConfig */].GET_HOUSE + "?action=GetSelectNum", {
            "userId": user.id
        }, function (data) {
            if (data.status == 1) {
                self.showToastText(self.toastCtrl, "您还有" + data.selectNumber + "次提交看房申请的机会，请珍惜机会，谨慎提交。");
                self.selectNumber = data.selectNumber;
            }
        });
    };
    //确认房源
    requisitionPage.prototype.confirmAvailability = function (item) {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_6__confirmAvailability_confirmAvailability__["a" /* confirmAvailabilityPage */], { house: item });
    };
    //取消看房申请
    requisitionPage.prototype.cancelApply = function (item) {
        var self = this;
        var user = JSON.parse(localStorage.getItem("user"));
        this.httpClient.postWithToken(__WEBPACK_IMPORTED_MODULE_4__providers_service_config__["a" /* ServiceConfig */].GET_HOUSE + "?action=CloseHouseFromApp", {
            "userId": user.id
        }, function (data) {
            if (data.status == "1") {
                self.showToastText(self.toastCtrl, data.msg);
                self.getUserHouseListByUserId("1");
            }
            else {
                self.showToastText(self.toastCtrl, data.msg);
            }
        });
    };
    //提交看房申请
    requisitionPage.prototype.submitApply = function (item) {
        var self = this;
        var user = JSON.parse(localStorage.getItem("user"));
        this.httpClient.postWithToken(__WEBPACK_IMPORTED_MODULE_4__providers_service_config__["a" /* ServiceConfig */].GET_HOUSE + "?action=ChooseHouseFromApp&id=" + item.Id, {
            "userId": user.id
        }, function (data) {
            if (data.status == "1") {
                self.showToastText(self.toastCtrl, data.msg);
                self.getUserHouseListByUserId("1");
            }
            else {
                self.showToastText(self.toastCtrl, data.msg);
            }
        });
    };
    //删除看房申请
    requisitionPage.prototype.deleteApply = function (item) {
        var self = this;
        var user = JSON.parse(localStorage.getItem("user"));
        this.httpClient.postWithToken(__WEBPACK_IMPORTED_MODULE_4__providers_service_config__["a" /* ServiceConfig */].GET_HOUSE + "?action=DeleteHouseFromApp", {
            "id": item.Id,
            "userId": user.id
        }, function (data) {
            if (data.status == "1") {
                self.showToastText(self.toastCtrl, data.msg);
                self.getUserHouseListByUserId("1");
            }
            else {
                self.showToastText(self.toastCtrl, data.msg);
            }
        });
    };
    requisitionPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-requisition',template:/*ion-inline-start:"D:\ionicapps\talentApartment\src\pages\home\requisition\requisition.html"*/'<ion-header>\n  <ion-navbar>\n    <ion-title>申请单查询</ion-title>\n  </ion-navbar>\n</ion-header>\n\n<ion-content>\n  <div padding>\n    <ion-segment [(ngModel)]="type">\n      <ion-segment-button value="like" (click)="getUserHouseListByUserId(\'1\')">\n        意向房源(向左滑动操作房源)\n      </ion-segment-button>\n      <ion-segment-button value="history" (click)="getUserHouseListByUserId(\'-1\')" [disabled]="selectNumber==\'\' || selectNumber<=0">\n        历史房源\n      </ion-segment-button>\n    </ion-segment>\n  </div>\n  <div [ngSwitch]="type">\n    <ion-list *ngSwitchCase="\'like\'">\n      <ion-item-sliding *ngFor="let house of houseList">\n        <ion-item>\n          <div>{{house.Projectname}}-{{house.BuildingName}}栋{{house.Cell}}单元{{house.Housename}}室{{house.Roomid == "0" ? "整套" : house.Roomname}}</div>\n          <button ion-button clear item-end (click)="openPopover(house)">查看</button>\n        </ion-item>\n        <ion-item-options side="right">\n          <button ion-button color="secondary" *ngIf="house.Submitflag==\'1\'" (click)="cancelApply(house)">\n            <ion-icon name="ios-close-outline"></ion-icon>\n            取消看房申请\n          </button>\n          <button ion-button color="secondary" *ngIf="house.Submitflag==\'0\'" [disabled]="selectNumber==\'\' || selectNumber<=0"  (click)="submitApply(house)">\n            <ion-icon name="ios-checkmark-outline"></ion-icon>\n            提交看房申请\n          </button>\n          <button ion-button color="danger" (click)="deleteApply(house)">\n            <ion-icon name="ios-trash-outline"></ion-icon>\n            删除\n          </button>\n          <button ion-button color="primary" (click)="confirmAvailability(house)">\n            <ion-icon name="ios-checkmark-outline"></ion-icon>\n            确认房源\n          </button>\n        </ion-item-options>\n      </ion-item-sliding>\n    </ion-list>\n\n    <ion-list *ngSwitchCase="\'history\'">\n      <ion-item-sliding *ngFor="let house of houseList">\n        <ion-item>\n          <div>{{house.Projectname}}-{{house.BuildingName}}栋{{house.Cell}}单元{{house.Housename}}室{{house.Roomid == "0" ? "整套" : house.Roomname}}</div>\n          <button ion-button clear item-end (click)="openPopover(house)">查看</button>\n        </ion-item>\n      </ion-item-sliding>\n    </ion-list>\n  </div>\n</ion-content>\n'/*ion-inline-end:"D:\ionicapps\talentApartment\src\pages\home\requisition\requisition.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_3__providers_HttpClient__["a" /* HttpClient */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["AlertController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["PopoverController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ToastController"]])
    ], requisitionPage);
    return requisitionPage;
}(__WEBPACK_IMPORTED_MODULE_2__base_base_page__["a" /* BasePage */]));

//# sourceMappingURL=requisition.js.map

/***/ }),

/***/ 156:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (immutable) */ __webpack_exports__["a"] = dateFormat;
/* harmony export (immutable) */ __webpack_exports__["c"] = stringDateFormat;
/* harmony export (immutable) */ __webpack_exports__["b"] = stringDateAddFormat;
/**
 * Utils类存放一些公共方法
 * @description
 */
/**
 * 日期对象转为日期字符串
 * @param date 需要格式化的日期对象
 * @param sFormat 输出格式,默认为yyyy-MM-dd                         年：y，月：M，日：d，时：h，分：m，秒：s
 * @example  dateFormat(new Date())                                "2017-02-28"
 * @example  dateFormat(new Date(),'yyyy-MM-dd')                   "2017-02-28"
 * @example  dateFormat(new Date(),'yyyy-MM-dd HH:mm:ss')         "2017-02-28 09:24:00"
 * @example  dateFormat(new Date(),'HH:mm')                       "09:24"
 * @example  dateFormat(new Date(),'yyyy-MM-ddTHH:mm:ss+08:00')   "2017-02-28T09:24:00+08:00"
 * @returns {string}
 */
function dateFormat(date, sFormat) {
    var time = {
        Year: 0,
        TYear: '0',
        Month: 0,
        TMonth: '0',
        Day: 0,
        TDay: '0',
        Hour: 0,
        THour: '0',
        hour: 0,
        Thour: '0',
        Minute: 0,
        TMinute: '0',
        Second: 0,
        TSecond: '0',
        Millisecond: 0
    };
    time.Year = date.getFullYear();
    time.TYear = String(time.Year).substr(2);
    time.Month = date.getMonth() + 1;
    time.TMonth = time.Month < 10 ? "0" + time.Month : String(time.Month);
    time.Day = date.getDate();
    time.TDay = time.Day < 10 ? "0" + time.Day : String(time.Day);
    time.Hour = date.getHours();
    time.THour = time.Hour < 10 ? "0" + time.Hour : String(time.Hour);
    time.hour = time.Hour < 13 ? time.Hour : time.Hour - 12;
    time.Thour = time.hour < 10 ? "0" + time.hour : String(time.hour);
    time.Minute = date.getMinutes();
    time.TMinute = time.Minute < 10 ? "0" + time.Minute : String(time.Minute);
    time.Second = date.getSeconds();
    time.TSecond = time.Second < 10 ? "0" + time.Second : String(time.Second);
    time.Millisecond = date.getMilliseconds();
    return sFormat.replace(/yyyy/ig, String(time.Year))
        .replace(/yyy/ig, String(time.Year))
        .replace(/yy/ig, time.TYear)
        .replace(/y/ig, time.TYear)
        .replace(/MM/g, time.TMonth)
        .replace(/M/g, String(time.Month))
        .replace(/dd/ig, time.TDay)
        .replace(/d/ig, String(time.Day))
        .replace(/HH/g, time.THour)
        .replace(/H/g, String(time.Hour))
        .replace(/hh/g, time.Thour)
        .replace(/h/g, String(time.hour))
        .replace(/mm/g, time.TMinute)
        .replace(/m/g, String(time.Minute))
        .replace(/ss/ig, time.TSecond)
        .replace(/s/ig, String(time.Second))
        .replace(/fff/ig, String(time.Millisecond));
}
//字符串日期格式化
function stringDateFormat(s) {
    if (s == "" || s == null) {
        return "";
    }
    else {
        return s.substring(0, 4) + "-" + s.substring(4, 6) + "-" + s.substring(6, 8);
    }
}
//字符串日期格式化
function stringDateAddFormat(s) {
    if (s == "" || s == null) {
        return "";
    }
    else {
        var date = new Date(s.substring(0, 4) + "-" + s.substring(4, 6) + "-" + s.substring(6, 8)); //获取当前时间
        date.setDate(date.getDate() + 3); //设置天数 +1 天
        var time = dateFormat(date, ("yyyy-MM-dd"));
        return time;
    }
}
//# sourceMappingURL=Utils.js.map

/***/ }),

/***/ 169:
/***/ (function(module, exports) {

function webpackEmptyAsyncContext(req) {
	// Here Promise.resolve().then() is used instead of new Promise() to prevent
	// uncatched exception popping up in devtools
	return Promise.resolve().then(function() {
		throw new Error("Cannot find module '" + req + "'.");
	});
}
webpackEmptyAsyncContext.keys = function() { return []; };
webpackEmptyAsyncContext.resolve = webpackEmptyAsyncContext;
module.exports = webpackEmptyAsyncContext;
webpackEmptyAsyncContext.id = 169;

/***/ }),

/***/ 19:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ServiceConfig; });
var ServiceConfig = (function () {
    function ServiceConfig() {
    }
    ServiceConfig.getUrl = function () {
        if (this.ISDEBUG) {
            //测试环境URL
            return "http://124.235.206.87:80/tools/";
        }
        else {
            //生产环境URL
            return "http://124.235.206.87:80/tools/";
        }
    };
    ServiceConfig.ISDEBUG = false;
    ServiceConfig.PAGESIZE = 10;
    ServiceConfig.IP = "http://124.235.206.87:80"; //为了显示图片
    ServiceConfig.GET_HOUSE = "userhouse_ajax.ashx"; //获取房子
    ServiceConfig.LOGIN = "appSubmit_ajax.ashx?action=user_login&site=rundeweb"; //denglu
    ServiceConfig.GET_VERIFY = "submit_ajax.ashx?action=user_verify_smscode&site=rundeweb"; //获取手机验证码
    ServiceConfig.GET_IMGVERIFY = "verify_code.ashx"; //获取图片验证码
    ServiceConfig.REGISTSUBMIT = "appSubmit_ajax.ashx?action=user_register&site=rundeweb"; //注册
    ServiceConfig.GET_BASICINFORMATION = "business_ajax.ashx"; //获取基本信息
    ServiceConfig.UPLOAD_IMAGE = "upload_ajax.ashx"; //上传照片
    ServiceConfig.DELETE_GRID = "deleteGrid"; //删除网格系统
    ServiceConfig.GET_MAPBYGRIDID = "getMapByGridId"; //根据网格id获取位置点绘制网格
    ServiceConfig.GET_GETGRIDWITHMAP = "getGridWithMap"; //根据网格id获取位置点绘制网格
    ServiceConfig.GET_QUOTA = "getQuota"; //获取指标列表
    ServiceConfig.GET_NOTICELIST = "getNoticeList"; //获取公告列表
    ServiceConfig.GET_METADATALIST = "getMetadataList"; //获取字典数据
    return ServiceConfig;
}());

//# sourceMappingURL=service.config.js.map

/***/ }),

/***/ 214:
/***/ (function(module, exports) {

function webpackEmptyAsyncContext(req) {
	// Here Promise.resolve().then() is used instead of new Promise() to prevent
	// uncatched exception popping up in devtools
	return Promise.resolve().then(function() {
		throw new Error("Cannot find module '" + req + "'.");
	});
}
webpackEmptyAsyncContext.keys = function() { return []; };
webpackEmptyAsyncContext.resolve = webpackEmptyAsyncContext;
module.exports = webpackEmptyAsyncContext;
webpackEmptyAsyncContext.id = 214;

/***/ }),

/***/ 260:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return TabsPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__findHouse_findHouse__ = __webpack_require__(138);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__home_home__ = __webpack_require__(362);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__mine_mine__ = __webpack_require__(375);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




var TabsPage = (function () {
    function TabsPage() {
        this.tab1Root = __WEBPACK_IMPORTED_MODULE_2__home_home__["a" /* homePage */];
        this.tab2Root = __WEBPACK_IMPORTED_MODULE_1__findHouse_findHouse__["a" /* findHousePage */];
        this.tab3Root = __WEBPACK_IMPORTED_MODULE_3__mine_mine__["a" /* minePage */];
    }
    TabsPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({template:/*ion-inline-start:"D:\ionicapps\talentApartment\src\pages\tabs\tabs.html"*/'<ion-tabs>\n  <ion-tab [root]="tab1Root" tabTitle="首页" tabIcon="ios-home"></ion-tab>\n  <ion-tab [root]="tab2Root" tabTitle="找房" tabIcon="ios-search"></ion-tab>\n  <ion-tab [root]="tab3Root" tabTitle="我的" tabIcon="ios-man"></ion-tab>\n</ion-tabs>\n'/*ion-inline-end:"D:\ionicapps\talentApartment\src\pages\tabs\tabs.html"*/
        }),
        __metadata("design:paramtypes", [])
    ], TabsPage);
    return TabsPage;
}());

//# sourceMappingURL=tabs.js.map

/***/ }),

/***/ 30:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return loginPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(9);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__regist_regist__ = __webpack_require__(357);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__base_base_page__ = __webpack_require__(13);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_HttpClient__ = __webpack_require__(14);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__providers_service_config__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6_ionic2_jpush__ = __webpack_require__(154);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__ionic_native_sim__ = __webpack_require__(153);
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};








var loginPage = (function (_super) {
    __extends(loginPage, _super);
    function loginPage(navCtrl, http, jpush, sim, platform, navParams, toastCtrl) {
        var _this = _super.call(this) || this;
        _this.navCtrl = navCtrl;
        _this.http = http;
        _this.jpush = jpush;
        _this.sim = sim;
        _this.platform = platform;
        _this.navParams = navParams;
        _this.toastCtrl = toastCtrl;
        _this.txtUserName = "";
        _this.txtPassword = "";
        _this.jpushId = "";
        if (_this.navParams.get("password") != undefined && _this.navParams.get("password") != null && _this.navParams.get("mobile") != undefined && _this.navParams.get("mobile") != null) {
            _this.txtUserName = _this.navParams.get("mobile");
            _this.txtPassword = _this.navParams.get("password");
            _this.requestLogin();
        }
        return _this;
    }
    loginPage.prototype.ionViewDidEnter = function () {
        var self = this;
        self.platform.ready().then(function () {
            self.init();
            self.jpush.getRegistrationID()
                .then(function (res) { return self.jpushId = res; })
                .catch(function (err) { return console.log(err); });
            self.sim.hasReadPermission().then(function (info) {
                if (info) {
                    self.sim.getSimInfo().then(function (info) {
                        if (info.phoneNumber.indexOf("+") > -1 && info.phoneNumber != undefined) {
                            self.txtUserName = info.phoneNumber.substring(3);
                        }
                    }, function (err) { return console.log('Unable to get sim info: ', err); });
                }
                else {
                    self.sim.requestReadPermission().then(function () {
                        self.sim.getSimInfo().then(function (info) {
                            if (info.phoneNumber.indexOf("+") > -1 && info.phoneNumber != undefined) {
                                self.txtUserName = info.phoneNumber.substring(3);
                            }
                        }, function (err) { return console.log('Unable to get sim info: ', err); });
                    }, function () { return console.log('Permission denied'); });
                }
            });
        });
    };
    loginPage.prototype.init = function () {
        this.jpush.init()
            .then(function (res) { return console.log(res); })
            .catch(function (err) { return console.log(err); });
    };
    loginPage.prototype.requestLogin = function () {
        var self = this;
        self.jpush.getRegistrationID()
            .then(function (res) { return self.jpushId = res; })
            .catch(function (err) { return console.log(err); });
        this.http.post(__WEBPACK_IMPORTED_MODULE_5__providers_service_config__["a" /* ServiceConfig */].LOGIN, {
            "txtPassword": self.txtPassword,
            "txtUserName": self.txtUserName,
            "jpushId": self.jpushId,
        }, function (data) {
            if (data.status == 2 || data.status == "2") {
                self.showToastText(self.toastCtrl, data.msg);
                localStorage.setItem("isLogin", "true");
                localStorage.setItem("token", data.token);
                localStorage.setItem("user", JSON.stringify(data.userModel));
                self.navCtrl.popToRoot();
            }
            else {
                self.showToastText(self.toastCtrl, data.msg);
            }
        });
    };
    //注册
    loginPage.prototype.register = function () {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_2__regist_regist__["a" /* registPage */]);
    };
    loginPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-login',template:/*ion-inline-start:"D:\ionicapps\talentApartment\src\pages\login\login.html"*/'<ion-header>\n  <ion-navbar>\n    <ion-title>\n      登录\n    </ion-title>\n  </ion-navbar>\n</ion-header>\n\n<ion-content>\n  <div style="margin-top: 50px;text-align: center">\n    <img  src="assets/images/applogo48.png">\n  </div>\n  <div style="margin-top: 60px; margin-left: 40px; margin-right: 40px">\n    <ion-item>\n      <ion-input type="text" [(ngModel)]="txtUserName" placeholder="手机号码"></ion-input>\n    </ion-item>\n    <ion-item>\n      <ion-input type="password" [(ngModel)]="txtPassword" placeholder="密码"></ion-input>\n    </ion-item>\n  </div>\n  <div style="margin-left: 40px; margin-right: 40px">\n    <div style="display: flex; justify-content: flex-end; margin-top: 15px;">\n      <button style="background-color: rgba(0,0,0,0); color: gray; font-size: 15px" (click)="forgetPassword()">忘记密码</button>\n    </div>\n\n    <div style="text-align: center; height: 40px ;margin-top: 48px; ">\n      <button ion-button block color="energized" style="border-radius: 100px" (click)="requestLogin()" [disabled]="!txtPassword || !txtUserName">登录</button>\n    </div>\n\n    <div style="display: flex; justify-content: center; margin-top: 28px;">\n      <button style="background-color: rgba(0,0,0,0); color: gray; font-size: 16px" (click)="register()">创建账号</button>\n    </div>\n  </div>\n</ion-content>\n'/*ion-inline-end:"D:\ionicapps\talentApartment\src\pages\login\login.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_4__providers_HttpClient__["a" /* HttpClient */],
            __WEBPACK_IMPORTED_MODULE_6_ionic2_jpush__["b" /* JPushService */],
            __WEBPACK_IMPORTED_MODULE_7__ionic_native_sim__["a" /* Sim */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["Platform"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ToastController"]])
    ], loginPage);
    return loginPage;
}(__WEBPACK_IMPORTED_MODULE_3__base_base_page__["a" /* BasePage */]));

//# sourceMappingURL=login.js.map

/***/ }),

/***/ 355:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return districtPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(9);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__base_base_page__ = __webpack_require__(13);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_HttpClient__ = __webpack_require__(14);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_service_config__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__houseDetail_houseDetail__ = __webpack_require__(356);
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






var districtPage = (function (_super) {
    __extends(districtPage, _super);
    function districtPage(navCtrl, HttpClient, navParams, toastCtrl) {
        var _this = _super.call(this) || this;
        _this.navCtrl = navCtrl;
        _this.HttpClient = HttpClient;
        _this.navParams = navParams;
        _this.toastCtrl = toastCtrl;
        _this.projectId = "";
        _this.houseList = [];
        _this.houseName = [];
        _this.houseNum = [];
        _this.houseId = [];
        _this.houseListViews = [];
        _this.listShow = false;
        _this.projectId = _this.navParams.get("projectId");
        return _this;
    }
    districtPage.prototype.ionViewWillEnter = function () {
        var self = this;
        this.HttpClient.get(__WEBPACK_IMPORTED_MODULE_4__providers_service_config__["a" /* ServiceConfig */].GET_HOUSE, {
            "action": 'apartment_building',
            "projectId": this.projectId
        }, function (data) {
            console.log(data);
            var _loop_1 = function (i, length_1) {
                var colorstr = "#63B8FF";
                if (data[i].availableCount == 0) {
                    colorstr = "#cccccc";
                }
                self.houseName.push(data[i].name);
                self.houseNum.push(data[i].totalHouseCount);
                self.houseId.push(data[i].id);
                self.houseList = JSON.parse(data[i].boundaryPoints.replace(/(^\s*)|(\s*$)/g, ""));
                if (i == 0) {
                    self.map = new AMap.Map('level2', {
                        center: self.houseList[0],
                        zoom: 18
                    });
                }
                var polygon = new AMap.Polygon({
                    path: self.houseList,
                    strokeColor: colorstr,
                    strokeOpacity: 1,
                    strokeWeight: 1,
                    strokeStyle: "solid",
                    fillColor: colorstr,
                    fillOpacity: 0.5,
                    strokeDasharray: [10, 5] //补充线样式
                });
                polygon.setMap(self.map);
                polygon.on('click', function () {
                    if (data[i].availableCount == 0) {
                        self.showToastText(self.toastCtrl, "该栋没有可选房屋");
                    }
                    else {
                        self.selectHouse(data[i].id);
                    }
                    //window.location = "/user/Apartment-chooseproject.html" ;
                });
                var marker = new AMap.Marker({
                    position: polygon.getBounds().getCenter(),
                    icon: "assets/images/temp.png"
                });
                marker.setMap(self.map);
                // 设置鼠标划过点标记显示的文字提示
                marker.setTitle(data[i].name + '栋(可预订房源：' + data[i].availableCount + '/总套数：' + data[i].publishedCount + ')');
                // 设置label标签
                marker.setLabel({
                    offset: new AMap.Pixel(-33, 20),
                    content: data[i].name + "栋(" + data[i].availableCount + "/" + data[i].publishedCount + ")"
                });
            };
            for (var i = 0, length_1 = data.length; i < length_1; i++) {
                _loop_1(i, length_1);
            }
        });
    };
    //选择房子
    districtPage.prototype.selectHouse = function (item) {
        var self = this;
        this.HttpClient.get(__WEBPACK_IMPORTED_MODULE_4__providers_service_config__["a" /* ServiceConfig */].GET_HOUSE, {
            "action": 'apartment_house',
            "projectId": self.projectId,
            "buildingId": item
        }, function (data) {
            if (data != null && data.length > 0) {
                self.houseListViews = data;
                console.log(self.houseListViews);
                self.listShow = true;
            }
        });
    };
    //获取图片
    districtPage.prototype.getHousePhone = function (item) {
        var self = this;
        this.HttpClient.get(__WEBPACK_IMPORTED_MODULE_4__providers_service_config__["a" /* ServiceConfig */].GET_HOUSE, {
            "action": ' GetHousePhotos',
            "houseId": self.projectId,
            "buildingId": item
        }, function (data) {
            if (data != null && data.length > 0) {
                self.houseListViews = data;
                console.log(self.houseListViews);
                self.listShow = true;
            }
        });
    };
    //关闭list
    districtPage.prototype.closeList = function () {
        this.listShow = false;
    };
    //查看房屋详情
    districtPage.prototype.goHouseDetail = function (item) {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_5__houseDetail_houseDetail__["a" /* houseDetailPage */], { item: item });
    };
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["ViewChild"])('level2'),
        __metadata("design:type", __WEBPACK_IMPORTED_MODULE_0__angular_core__["ElementRef"])
    ], districtPage.prototype, "mapElement", void 0);
    districtPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-district',template:/*ion-inline-start:"D:\ionicapps\talentApartment\src\pages\findHouse\district\district.html"*/'<ion-header>\n  <ion-navbar>\n    <ion-title>\n      查找房源\n    </ion-title>\n    <ion-buttons end>\n      <ion-icon class="chooseArea"></ion-icon>\n      <ion-multi-picker *ngIf="multiStatus" cancelText="取消" doneText="完成" id="cities" [(ngModel)]="area" item-content [multiPickerColumns]="simpleColumns"></ion-multi-picker>\n    </ion-buttons>\n  </ion-navbar>\n</ion-header>\n<ion-content>\n  <ion-searchbar  type="text" placeholder="请输入公寓名称"></ion-searchbar>\n  <div id="level2" #level2 [ngClass]="{\'listShow\': listShow}"></div>\n  <ion-list class="houseList" *ngIf="listShow">\n    <ion-list-header>\n      <span>{{houseListViews[0].project.name}}{{houseListViews.length}}</span>\n      <ion-icon name="ios-close-outline" (click)="closeList()"></ion-icon>\n    </ion-list-header>\n    <ion-item *ngFor="let house of houseListViews" (click)="goHouseDetail(house)">\n      <ion-thumbnail item-start>\n        <img src="assets/images/houseList.png">\n      </ion-thumbnail>\n      <h2>[{{house.project.name}}]{{house.building.name}}栋{{house.cell}}单元{{house.houseNum}}</h2>\n      <p>租金:{{house.rentPrice}}元<span class="area">面积:{{house.buildingArea}}M<sup>2</sup></span></p>\n      <p><span>补贴金额:{{house.rentPrice*0.3 | number:\'1.2-2\'}}元</span><span class="actualRent">实际租金:{{house.rentPrice-house.rentPrice*0.3 | number:\'1.2-2\'}}元</span></p>\n    </ion-item>\n  </ion-list>\n</ion-content>\n'/*ion-inline-end:"D:\ionicapps\talentApartment\src\pages\findHouse\district\district.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_3__providers_HttpClient__["a" /* HttpClient */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ToastController"]])
    ], districtPage);
    return districtPage;
}(__WEBPACK_IMPORTED_MODULE_2__base_base_page__["a" /* BasePage */]));

//# sourceMappingURL=district.js.map

/***/ }),

/***/ 356:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return houseDetailPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(9);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__base_base_page__ = __webpack_require__(13);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_HttpClient__ = __webpack_require__(14);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_service_config__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__login_login__ = __webpack_require__(30);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__home_requisition_requisition__ = __webpack_require__(155);
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};







var houseDetailPage = (function (_super) {
    __extends(houseDetailPage, _super);
    function houseDetailPage(navCtrl, http, navParams, toastCtrl) {
        var _this = _super.call(this) || this;
        _this.navCtrl = navCtrl;
        _this.http = http;
        _this.navParams = navParams;
        _this.toastCtrl = toastCtrl;
        _this.status = "";
        _this.rentPrice = "";
        _this.roomDirection = "";
        _this.roomFur = "";
        _this.roomAllia = "";
        _this.photoList = [];
        _this.photoUrl = "";
        return _this;
    }
    houseDetailPage.prototype.getHouseDetail = function () {
        var self = this;
        this.http.get(__WEBPACK_IMPORTED_MODULE_4__providers_service_config__["a" /* ServiceConfig */].GET_HOUSE, {
            "action": 'apartment_house',
            "houseId": self.house.id
        }, function (data) {
            console.log(data);
        });
    };
    //加入意向房源
    houseDetailPage.prototype.joinIntention = function () {
        var self = this;
        var isLogin = JSON.parse(localStorage.getItem("isLogin"));
        if (isLogin || isLogin == "true") {
            var user = JSON.parse(localStorage.getItem("user"));
            this.http.postWithToken(__WEBPACK_IMPORTED_MODULE_4__providers_service_config__["a" /* ServiceConfig */].GET_HOUSE + "?action=SaveRentHouse", {
                "houseId": self.house.id,
                "roomId": self.status,
                "userId": user.id,
                "projectId": self.house.projectId
            }, function (data) {
                self.showToastText(self.toastCtrl, data.msg);
                if (data.status == 1 || data.status == "1") {
                    self.navCtrl.push(__WEBPACK_IMPORTED_MODULE_6__home_requisition_requisition__["a" /* requisitionPage */]);
                }
            });
        }
        else {
            this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_5__login_login__["a" /* loginPage */]);
        }
    };
    //获取图片
    houseDetailPage.prototype.getHousePhone = function () {
        var self = this;
        this.http.postNotLoading(__WEBPACK_IMPORTED_MODULE_4__providers_service_config__["a" /* ServiceConfig */].GET_HOUSE + "?action=GetHousePhotos", {
            "houseId": self.house.id,
        }, function (data) {
            console.log(data);
            if (data.status == 1) {
                self.photoList = data.retObject;
            }
            else {
                self.showToastText(self.toastCtrl, data.msg);
            }
        });
    };
    //重新选房
    houseDetailPage.prototype.reElectionRoom = function () {
        this.navCtrl.pop();
    };
    //选择房间
    houseDetailPage.prototype.selectRoom = function (item) {
        if (item == "0") {
            this.roomAllia = this.house.roomAllia;
            this.roomFur = this.house.roomFur;
            this.roomDirection = this.house.roomDirection;
            this.status = item;
            this.rentPrice = this.house.rentPrice;
        }
        else {
            this.rentPrice = item.rentPrice;
            this.status = item.id;
            this.roomAllia = item.roomAllia;
            this.roomFur = item.roomFur;
            this.roomDirection = item.roomDirection;
        }
    };
    houseDetailPage.prototype.ionViewWillEnter = function () {
        //this.getHouseDetail();
        this.photoUrl = __WEBPACK_IMPORTED_MODULE_4__providers_service_config__["a" /* ServiceConfig */].IP;
        this.house = this.navParams.get("item");
        if (this.house.state == 'Vacancy' && this.house.projectId == '3' && this.house.projectId == '10' && this.house.projectId == '13' && this.house.projectId == '15') {
            this.status = "0";
        }
        else {
            for (var _i = 0, _a = this.house.rooms; _i < _a.length; _i++) {
                var room = _a[_i];
                if (room.state == 'Vacancy') {
                    this.status = room.id;
                    break;
                }
            }
        }
        this.rentPrice = this.house.rentPrice;
        this.roomAllia = this.house.roomAllia;
        this.roomFur = this.house.roomFur;
        this.roomDirection = this.house.roomDirection;
        this.getHousePhone();
    };
    houseDetailPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-houseDetail',template:/*ion-inline-start:"D:\ionicapps\talentApartment\src\pages\findHouse\district\houseDetail\houseDetail.html"*/'<ion-header>\n  <ion-navbar>\n    <ion-title>\n      公寓详情\n    </ion-title>\n  </ion-navbar>\n</ion-header>\n\n<ion-content>\n  <ion-slides pager="true" autoplay="3000" *ngIf="photoList.length==0" loop="true">\n    <ion-slide>\n      <div class="swiper-zoom-container">\n        <img src="assets/images/1.png">\n      </div>\n    </ion-slide>\n  </ion-slides>\n  <ion-slides pager="true" autoplay="3000" *ngIf="photoList.length>0" loop="true">\n    <ion-slide *ngFor="let photo of photoList">\n      <div class="swiper-zoom-container">\n        <img src="{{photo.Photopath}}">\n      </div>\n    </ion-slide>\n  </ion-slides>\n  <ion-list class="rentList" *ngIf="house!=null">\n    <ion-item>\n      <div>[{{house.project.name}}]{{house.building.name}}栋{{house.cell}}单元{{house.houseNum}}</div>\n      <div><span>租金:{{rentPrice | number:\'1.2-2\'}}元</span><span>补贴金额:{{rentPrice*0.3 | number:\'1.2-2\'}}元</span></div>\n      <div><span>实际租金:{{rentPrice-rentPrice*0.3 | number:\'1.2-2\'}}元</span></div>\n    </ion-item>\n    <ion-item class="facility">\n      <div class="doubleSpan"><span>朝向:{{roomDirection}}</span><span>格局:{{house.houseLayout}}</span></div>\n      <div><span>家具:{{roomFur}}</span></div>\n      <div><span>家电:{{roomAllia}}</span></div>\n    </ion-item>\n    <ion-item >\n<!--\n      <button ion-button clear [disabled]="house.state!=\'Vacancy\' || house.projectId==\'3\' || house.projectId==\'11\' || house.projectId==\'12\' || house.projectId==\'13\' || house.projectId==\'15\'" [ngClass]="{\'buttonActive\':status==\'0\'}" (click)="selectRoom(\'0\')">整租{{house.buildingArea}}M<sup>2</sup></button>\n-->\n      <button ion-button clear [disabled]="house.state!=\'Vacancy\'" [ngClass]="{\'buttonActive\':status==\'0\'}" (click)="selectRoom(\'0\')">整租{{house.buildingArea}}M<sup>2</sup></button>\n      <button ion-button clear *ngFor="let room of house.rooms" [ngClass]="{\'buttonActive\':status==room.id}" [disabled]="room.state!=\'Vacancy\'"  (click)="selectRoom(room)">房间{{room.name}}</button>\n    </ion-item>\n  </ion-list>\n</ion-content>\n<ion-footer>\n  <ion-toolbar>\n    <button ion-button (click)="joinIntention()" [disabled]="status==\'\'">加入意向房源</button>\n    <button ion-button (click)="reElectionRoom()">重新选房</button>\n  </ion-toolbar>\n</ion-footer>\n'/*ion-inline-end:"D:\ionicapps\talentApartment\src\pages\findHouse\district\houseDetail\houseDetail.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_3__providers_HttpClient__["a" /* HttpClient */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ToastController"]])
    ], houseDetailPage);
    return houseDetailPage;
}(__WEBPACK_IMPORTED_MODULE_2__base_base_page__["a" /* BasePage */]));

//# sourceMappingURL=houseDetail.js.map

/***/ }),

/***/ 357:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return registPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(9);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__base_base_page__ = __webpack_require__(13);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_HttpClient__ = __webpack_require__(14);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_service_config__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__ionic_native_sim__ = __webpack_require__(153);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__login_login__ = __webpack_require__(30);
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};







var registPage = (function (_super) {
    __extends(registPage, _super);
    function registPage(navCtrl, http, sim, platform, toastCtrl) {
        var _this = _super.call(this) || this;
        _this.navCtrl = navCtrl;
        _this.http = http;
        _this.sim = sim;
        _this.platform = platform;
        _this.toastCtrl = toastCtrl;
        _this.txtUserName = "";
        _this.txtMobile = "";
        _this.txtPhoneCode = "";
        _this.txtPassword = "";
        _this.txtPassword1 = "";
        _this.txtEmail = "";
        _this.txtCode = "";
        _this.imgSrc = "";
        _this.codeTip = "获取验证码";
        platform.ready().then(function () {
            _this.sim.hasReadPermission().then(function (info) {
                if (info) {
                    _this.sim.getSimInfo().then(function (info) {
                        if (info.phoneNumber.indexOf("+") > -1 && info.phoneNumber != undefined) {
                            _this.txtMobile = info.phoneNumber.substring(3);
                        }
                    }, function (err) { return console.log('Unable to get sim info: ', err); });
                }
                else {
                    _this.sim.requestReadPermission().then(function () {
                        _this.sim.getSimInfo().then(function (info) {
                            if (info.phoneNumber.indexOf("+") > -1 && info.phoneNumber != undefined) {
                                _this.txtMobile = info.phoneNumber.substring(3);
                            }
                        }, function (err) { return console.log('Unable to get sim info: ', err); });
                    }, function () { return console.log('Permission denied'); });
                }
            });
        });
        _this.imgSrc = __WEBPACK_IMPORTED_MODULE_4__providers_service_config__["a" /* ServiceConfig */].getUrl() + "verify_code.ashx?t=" + Math.random();
        return _this;
    }
    //注册
    registPage.prototype.registSubmit = function () {
        var self = this;
        this.http.post(__WEBPACK_IMPORTED_MODULE_4__providers_service_config__["a" /* ServiceConfig */].REGISTSUBMIT, {
            "txtUserName": self.txtUserName,
            "txtMobile": self.txtMobile,
            "txtPhoneCode": self.txtPhoneCode,
            "txtPassword": self.txtPassword,
            "txtPassword1": self.txtPassword1,
            "txtEmail": self.txtEmail,
            "txtCode": self.txtCode
        }, function (data) {
            self.showToastText(self.toastCtrl, data["msg"]);
            if (data["status"] == 1) {
                self.navCtrl.push(__WEBPACK_IMPORTED_MODULE_6__login_login__["a" /* loginPage */], { "mobile": self.txtMobile, "password": self.txtPassword });
            }
        });
    };
    // 获取验证码
    registPage.prototype.getVerify = function () {
        if (this.codeTip == "获取验证码") {
            var self_1 = this;
            this.http.get(__WEBPACK_IMPORTED_MODULE_4__providers_service_config__["a" /* ServiceConfig */].GET_VERIFY, {
                "mobile": this.txtMobile
            }, function (data) {
                self_1.showToastText(self_1.toastCtrl, data["msg"]);
                if (data["status"] == 1) {
                    var number = data["time"];
                    var interval = setInterval(function () {
                        number--;
                        if (number < 0) {
                            self_1.codeTip = "获取验证码";
                            clearInterval(interval);
                        }
                        else {
                            self_1.codeTip = number + "s后重新获取";
                        }
                    }, 1000);
                }
            });
        }
    };
    // 获取图片验证码
    registPage.prototype.getImgVerity = function () {
        this.imgSrc = __WEBPACK_IMPORTED_MODULE_4__providers_service_config__["a" /* ServiceConfig */].getUrl() + "verify_code.ashx?t=" + Math.random();
    };
    registPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-regist',template:/*ion-inline-start:"D:\ionicapps\talentApartment\src\pages\regist\regist.html"*/'<ion-header>\n  <ion-navbar>\n    <ion-title>\n      注册\n    </ion-title>\n  </ion-navbar>\n</ion-header>\n\n<ion-content>\n  <div style="margin-top: 71px; margin-left: 40px; margin-right: 40px">\n    <ion-item>\n      <ion-input type="text-input" [(ngModel)]="txtUserName" placeholder="用户名"></ion-input>\n    </ion-item>\n    <ion-item>\n      <ion-input type="text-input" [(ngModel)]="txtMobile" placeholder="输入手机号码"></ion-input>\n    </ion-item>\n    <ion-item>\n      <ion-input type="text-input" [(ngModel)]="txtPhoneCode" placeholder="手机验证码"></ion-input>\n      <div item-content style="z-index:100">\n        <button ion-button block (click)="getVerify()" [disabled]="!txtMobile||codeTip!=\'获取验证码\'">{{ codeTip }}</button>\n      </div>\n    </ion-item>\n    <ion-item>\n      <ion-input type="password" [(ngModel)]="txtPassword" placeholder="设置密码"></ion-input>\n    </ion-item>\n    <ion-item>\n      <ion-input type="password" [(ngModel)]="txtPassword1" placeholder="确认密码"></ion-input>\n    </ion-item>\n    <ion-item>\n      <ion-input type="email" [(ngModel)]="txtEmail" placeholder="邮箱"></ion-input>\n    </ion-item>\n    <ion-item>\n      <ion-input type="text" [(ngModel)]="txtCode" placeholder="验证码"></ion-input>\n      <div item-content style="z-index:100">\n        <img [src]="imgSrc" (click)="getImgVerity()" width="80" height="22" />\n      </div>\n    </ion-item>\n\n    <div style="text-align: center; height: 40px ;margin-top: 50px; ">\n      <button ion-button block color="energized" style="border-radius: 100px;" (click)="registSubmit()" [disabled]="!txtUserName || !txtMobile || !txtPhoneCode || !txtPassword\n      || !txtPassword1 || !txtEmail || !txtCode">注册</button>\n    </div>\n\n    <div style="display: flex; justify-content: center; margin-top: 14px">\n      <label style="color: gray; font-size: 12px">已阅读并同意服务协议</label>\n    </div>\n  </div>\n</ion-content>\n'/*ion-inline-end:"D:\ionicapps\talentApartment\src\pages\regist\regist.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_3__providers_HttpClient__["a" /* HttpClient */],
            __WEBPACK_IMPORTED_MODULE_5__ionic_native_sim__["a" /* Sim */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["Platform"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ToastController"]])
    ], registPage);
    return registPage;
}(__WEBPACK_IMPORTED_MODULE_2__base_base_page__["a" /* BasePage */]));

//# sourceMappingURL=regist.js.map

/***/ }),

/***/ 359:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return requisitionPopoverPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(9);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};


var requisitionPopoverPage = (function () {
    function requisitionPopoverPage(navCtrl, navParams) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.house = this.navParams.get("item");
        console.log(this.house);
    }
    requisitionPopoverPage.prototype.ionViewDidLoad = function () {
        console.log("gridEditPage 加载");
    };
    requisitionPopoverPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-requisitionPopover',template:/*ion-inline-start:"D:\ionicapps\talentApartment\src\pages\home\requisition\requisitionPopover\requisitionPopover.html"*/'<ion-list>\n  <ion-list-header>{{house.Projectname}}-{{house.BuildingName}}栋</ion-list-header>\n  <ion-item>房屋信息-房间号 : {{house.Housename}}-{{house.Roomid == "0" ? "整套" : house.Roomname}}</ion-item>\n  <ion-item>选房时间 : {{house.Submittime | stringFullDateFormat}}</ion-item>\n  <ion-item>看房期限 : {{house.Validtime | stringFullDateFormat}}</ion-item>\n  <ion-item *ngIf="house.SignFlag==\'1\'||house.SignFlag==\'2\'">状态 : {{house.SignFlag =="1"?"签约完成":"网上确认完成，待签约"}}</ion-item>\n  <ion-item *ngIf="house.SignFlag!=\'1\'&&house.SignFlag!=\'2\'">状态 : {{house.ShowApartmentFlag  =="0"?"审核通过，看房中":"看房完成，待网上确认"}}</ion-item>\n</ion-list>\n'/*ion-inline-end:"D:\ionicapps\talentApartment\src\pages\home\requisition\requisitionPopover\requisitionPopover.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"]])
    ], requisitionPopoverPage);
    return requisitionPopoverPage;
}());

//# sourceMappingURL=requisitionPopover.js.map

/***/ }),

/***/ 360:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return confirmAvailabilityPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(9);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__base_base_page__ = __webpack_require__(13);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_HttpClient__ = __webpack_require__(14);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_service_config__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__textModal_textModal__ = __webpack_require__(361);
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






var confirmAvailabilityPage = (function (_super) {
    __extends(confirmAvailabilityPage, _super);
    function confirmAvailabilityPage(navCtrl, navParams, httpClient, modalCtrl, alertCtrl, toastCtrl) {
        var _this = _super.call(this) || this;
        _this.navCtrl = navCtrl;
        _this.navParams = navParams;
        _this.httpClient = httpClient;
        _this.modalCtrl = modalCtrl;
        _this.alertCtrl = alertCtrl;
        _this.toastCtrl = toastCtrl;
        _this.read = false;
        _this.textRead = false;
        _this.house = _this.navParams.get("house");
        if (_this.house.Roomid > 0) {
            _this.getRoomDetail();
        }
        console.log(_this.house);
        return _this;
    }
    confirmAvailabilityPage.prototype.getHouseDetail = function () {
        var self = this;
        var user = JSON.parse(localStorage.getItem("user"));
        this.httpClient.postNotLoadingWithToken(__WEBPACK_IMPORTED_MODULE_4__providers_service_config__["a" /* ServiceConfig */].GET_HOUSE + "?action=GetUserHouseById", {
            "userHouseId": self.house.Id,
            "userId": user.id
        }, function (data) {
            if (data.status == "1") {
                self.houseDeatilDeatil = data.retObject;
            }
            else {
                self.showToastText(self.toastCtrl, data.msg);
            }
        });
    };
    confirmAvailabilityPage.prototype.getRoomDetail = function () {
        var self = this;
        var user = JSON.parse(localStorage.getItem("user"));
        this.httpClient.postNotLoadingWithToken(__WEBPACK_IMPORTED_MODULE_4__providers_service_config__["a" /* ServiceConfig */].GET_HOUSE + "?action=apartment_room", {
            "roomId": self.house.Roomid
        }, function (data) {
            console.log(data);
            self.roomDetail = data;
        });
    };
    //阅读文本
    confirmAvailabilityPage.prototype.readText = function () {
        var textModal = this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_5__textModal_textModal__["a" /* textModalPage */]);
        this.textRead = true;
        textModal.present();
    };
    confirmAvailabilityPage.prototype.ionViewDidLoad = function () {
        console.log("confirmAvailabilityPage 加载");
        this.getHouse();
        this.getHouseDetail();
        this.getWaterMeter();
        this.getFurniture();
    };
    //确认签约
    confirmAvailabilityPage.prototype.availability = function () {
        var self = this;
        var user = JSON.parse(localStorage.getItem("user"));
        this.httpClient.postWithToken(__WEBPACK_IMPORTED_MODULE_4__providers_service_config__["a" /* ServiceConfig */].GET_HOUSE + "?action=SignHouseFromApp", {
            "id": self.house.Id,
            "userId": user.id
        }, function (data) {
            if (data.status == "1") {
                self.showAlert(self.alertCtrl, "提示", data.msg, function () {
                    self.navCtrl.popToRoot();
                });
            }
            else {
                self.showToastText(self.toastCtrl, data.msg);
            }
        });
    };
    //拒绝签约
    confirmAvailabilityPage.prototype.RefusedToGign = function () {
        var self = this;
        var user = JSON.parse(localStorage.getItem("user"));
        this.httpClient.postWithToken(__WEBPACK_IMPORTED_MODULE_4__providers_service_config__["a" /* ServiceConfig */].GET_HOUSE + "?action=SignNoHouseFromApp", {
            "id": self.house.Id,
            "userId": user.id
        }, function (data) {
            if (data.status == "1") {
                self.showAlert(self.alertCtrl, "提示", data.msg, function () {
                    self.navCtrl.popToRoot();
                });
            }
            else {
                self.showToastText(self.toastCtrl, data.msg);
            }
        });
    };
    //获取房屋基本信息
    confirmAvailabilityPage.prototype.getHouse = function () {
        var self = this;
        this.httpClient.postWithToken(__WEBPACK_IMPORTED_MODULE_4__providers_service_config__["a" /* ServiceConfig */].GET_HOUSE + "?action=apartment_house", {
            "houseId": self.house.Houseid,
        }, function (data) {
            self.houseDeatil = data;
            console.log(self.houseDeatil);
        });
    };
    //获取水电表
    confirmAvailabilityPage.prototype.getWaterMeter = function () {
        var self = this;
        var user = JSON.parse(localStorage.getItem("user"));
        this.httpClient.postNotLoadingWithToken(__WEBPACK_IMPORTED_MODULE_4__providers_service_config__["a" /* ServiceConfig */].GET_HOUSE + "?action=GetHouseMeterById", {
            "houseId": self.house.Houseid,
            "userId": user.id,
        }, function (data) {
            console.log(data);
            if (data.status == "1") {
                self.waterMeter = data.retObject;
            }
            else {
                self.showToastText(self.toastCtrl, data.msg);
            }
        });
    };
    //获取家具
    confirmAvailabilityPage.prototype.getFurniture = function () {
        var self = this;
        var user = JSON.parse(localStorage.getItem("user"));
        this.httpClient.postNotLoadingWithToken(__WEBPACK_IMPORTED_MODULE_4__providers_service_config__["a" /* ServiceConfig */].GET_HOUSE + "?action=GetHouseFurnituresByUserHouseId", {
            "userHouseId": self.house.Id,
            "userId": user.id,
        }, function (data) {
            console.log(data);
            if (data.status == "1") {
                self.furniture = data.retObject;
            }
            else {
                self.showToastText(self.toastCtrl, data.msg);
            }
        });
    };
    confirmAvailabilityPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-confirmAvailability',template:/*ion-inline-start:"D:\ionicapps\talentApartment\src\pages\home\requisition\confirmAvailability\confirmAvailability.html"*/'<ion-header>\n  <ion-navbar>\n    <ion-title>确认房源</ion-title>\n  </ion-navbar>\n</ion-header>\n\n<ion-content>\n  <ion-list *ngIf="houseDeatil!=null && waterMeter!=null">\n    <ion-list-header>\n      房源基本信息\n    </ion-list-header>\n    <ion-item>小区名称 : {{house.Projectname}}</ion-item>\n    <ion-item>	栋号 : 	{{house.BuildingName }}</ion-item>\n    <ion-item>	房屋号 : {{house.Housename}}</ion-item>\n    <div *ngIf="roomDetail==null">\n      <ion-item >月租金 : {{houseDeatil.rentPrice | number:\'1.2-2\'}}元</ion-item>\n      <ion-item >	月补贴金额 : 	{{houseDeatil.rentPrice*0.3 | number:\'1.2-2\'}}元</ion-item>\n      <ion-item>房屋面积 : {{houseDeatil.buildingArea}}㎡</ion-item>\n      <ion-item>履约保证金 : 家具价格*10% </ion-item>\n      <ion-item >	应交月租金 : 	{{houseDeatil.rentPrice-houseDeatil.rentPrice*0.3 | number:\'1.2-2\'}}元</ion-item>\n    </div>\n    <div *ngIf="roomDetail!=null">\n      <ion-item >月租金 : {{roomDetail.rentPrice | number:\'1.2-2\'}}元</ion-item>\n      <ion-item >	月补贴金额 : 	{{roomDetail.rentPrice*0.3 | number:\'1.2-2\'}}元</ion-item>\n      <ion-item>房屋面积 : {{roomDetail.area}}㎡</ion-item>\n      <ion-item>履约保证金 : 家具价格*10% </ion-item>\n      <ion-item >	应交月租金 : 	{{roomDetail.rentPrice-roomDetail.rentPrice*0.3 | number:\'1.2-2\'}}元</ion-item>\n    </div>\n    <ion-item>当前水表数 : 	{{waterMeter.WaterMeter}}</ion-item>\n    <ion-item>	当前电表数 : 	{{waterMeter.ElectricityMeter}}</ion-item>\n    <ion-item>	当前煤气表数 : 	{{waterMeter.GasMeter}}</ion-item>\n\n  </ion-list>\n  <ion-list *ngIf="furniture!=null">\n    <ion-list-header>\n      项目配置信息\n    </ion-list-header>\n    <ion-item *ngFor="let f of furniture">	{{f.FurnitureName}} : 	{{f.FurnitureCount}}</ion-item>\n  </ion-list>\n  <ion-list>\n    <ion-list-header>\n      请点击并阅读以下文本\n    </ion-list-header>\n    <ion-item (click)="readText()">租赁合同及相关文件</ion-item>\n    <ion-item class="info">\n      <ion-label>我已确认上述房屋基本信息及家具信息，并已仔细阅读并接受租赁合同及相关文件</ion-label>\n      <ion-checkbox [(ngModel)]="read" [disabled]="!textRead"></ion-checkbox>\n    </ion-item>\n  </ion-list>\n  <div *ngIf="houseDeatilDeatil!=null">\n    <div style="text-align: center; height: 40px ;margin-top: 48px; " *ngIf="houseDeatilDeatil.ShowApartmentFlag==\'1\' && houseDeatilDeatil.SignFlag==\'0\'">\n      <button ion-button  color="energized" style="border-radius: 100px" [disabled]="!read" (click)="availability()">确认签约</button>\n      <button ion-button  color="energized" style="border-radius: 100px" [disabled]="!read" (click)="RefusedToGign()">不同意</button>\n    </div>\n  </div>\n</ion-content>\n'/*ion-inline-end:"D:\ionicapps\talentApartment\src\pages\home\requisition\confirmAvailability\confirmAvailability.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_3__providers_HttpClient__["a" /* HttpClient */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ModalController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["AlertController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ToastController"]])
    ], confirmAvailabilityPage);
    return confirmAvailabilityPage;
}(__WEBPACK_IMPORTED_MODULE_2__base_base_page__["a" /* BasePage */]));

//# sourceMappingURL=confirmAvailability.js.map

/***/ }),

/***/ 361:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return textModalPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(9);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};


var textModalPage = (function () {
    function textModalPage(viewCtrl, navParams) {
        this.viewCtrl = viewCtrl;
        this.navParams = navParams;
        this.status = "";
        this.status = this.navParams.get("status");
    }
    textModalPage.prototype.push = function () {
        this.viewCtrl.dismiss();
    };
    textModalPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-textModal',template:/*ion-inline-start:"D:\ionicapps\talentApartment\src\pages\home\requisition\confirmAvailability\textModal\textModal.html"*/'<ion-header>\n\n  <ion-navbar>\n    <ion-title>租赁合同及相关文件</ion-title>\n    <ion-buttons end>\n      <button ion-button (click)="push()">确定</button>\n    </ion-buttons>\n  </ion-navbar>\n\n</ion-header>\n\n\n<ion-content padding>\n    <div class=WordSection1 style=\'layout-grid:15.6pt\'>\n\n      <p class=MsoNormal align=center style=\'text-align:center;background:white\'><b><span\n        style=\'font-size:15.0pt;font-family:宋体;color:#252525\'>长春市人才公寓项目房屋租赁合同</span></b><span\n        lang=EN-US style=\'font-family:"Arial","sans-serif";color:#252525\'>&nbsp;</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;background:white\'><span\n        style=\'font-family:宋体;color:#252525\'>甲方：长春润德投资集团有限公司资产经营分公司</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;background:white\'><span\n        style=\'font-family:宋体;color:#252525\'>乙方：长春市人才公寓开发管理有限公司</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;background:white\'><span\n        style=\'font-family:宋体;color:#252525\'>丙方：</span><u><span lang=EN-US\n                                                                style=\'font-family:"Arial","sans-serif";color:#252525\'>&nbsp; &nbsp; &nbsp;\n&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;\n&nbsp; &nbsp; &nbsp;&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;\n&nbsp;&nbsp;&nbsp;</span></u></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;background:white\'><span\n        style=\'font-family:宋体;color:#252525\'>身份证号码：</span><u><span lang=EN-US\n                                                                   style=\'font-family:"Arial","sans-serif";color:#252525\'>&nbsp; &nbsp; &nbsp;\n&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;\n&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;</span></u></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:32.0pt;\nbackground:white\'><span style=\'font-family:宋体;color:#252525\'>根据市政府</span><span\n        lang=EN-US style=\'font-family:"Arial","sans-serif";color:#252525\'>2016</span><span\n        style=\'font-family:宋体;color:#252525\'>年第</span><span lang=EN-US\n                                                            style=\'font-family:"Arial","sans-serif";color:#252525\'>9</span><span\n        style=\'font-family:宋体;color:#252525\'>次专题会议纪要精神，甲方负责人才公寓项目房屋的经营、管理、收益，现甲方委托乙方对人才公寓项目进行管理。乙丙双方根据《中华人民共和国合同法》、《中华人民共和国物权法》等相关法律规定，在平等互利、诚实守信基础上经过充分协商，就乙方将房屋出租给丙方事宜达成如下协议：</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:32.0pt;\nbackground:white\'><span style=\'font-family:宋体;color:#252525\'>第一条</span><span\n        lang=EN-US style=\'font-family:"Arial","sans-serif";color:#252525\'>&nbsp;</span><span\n        style=\'font-family:宋体;color:#252525\'>关于房屋</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:24.0pt;\nbackground:white\'><span style=\'font-family:宋体;color:#252525\'>乙方将其管理的，资产编号为：</span><u><span\n        lang=EN-US style=\'font-family:"Arial","sans-serif";color:#252525\'>&nbsp;\n&nbsp;&nbsp;</span></u><span style=\'font-family:宋体;color:#252525\'>位于</span><u><span\n        lang=EN-US style=\'font-family:"Arial","sans-serif";color:#252525\'>&nbsp; &nbsp;\n&nbsp;</span></u><span style=\'font-family:宋体;color:#252525\'>区</span><span\n        lang=EN-US style=\'font-size:16.0pt;font-family:"Arial","sans-serif";color:#252525\'>&nbsp;</span><u><span\n        lang=EN-US style=\'font-family:"Arial","sans-serif";color:#252525\'>&nbsp; &nbsp;\n&nbsp;&nbsp;</span></u><span style=\'font-family:宋体;color:#252525\'>小区</span><u><span\n        lang=EN-US style=\'font-family:"Arial","sans-serif";color:#252525\'>&nbsp; &nbsp;\n&nbsp; &nbsp;</span></u><span style=\'font-family:宋体;color:#252525\'>楼</span><u><span\n        lang=EN-US style=\'font-family:"Arial","sans-serif";color:#252525\'>&nbsp; &nbsp;\n&nbsp; &nbsp;</span></u><span style=\'font-family:宋体;color:#252525\'>栋</span><u><span\n        lang=EN-US style=\'font-family:"Arial","sans-serif";color:#252525\'>&nbsp; &nbsp;\n&nbsp; &nbsp;</span></u><span style=\'font-family:宋体;color:#252525\'>室</span><u><span\n        lang=EN-US style=\'font-family:"Arial","sans-serif";color:#252525\'>&nbsp; &nbsp;\n&nbsp; &nbsp;</span></u><span style=\'font-family:宋体;color:#252525\'>房间，出租给丙方作为住宅使用。乙方在甲方委托范围内对出租房屋拥有管理权、经营权。</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:32.0pt;\nbackground:white\'><span style=\'font-family:宋体;color:#252525\'>房屋结构：</span><u><span\n        lang=EN-US style=\'font-family:"Arial","sans-serif";color:#252525\'>&nbsp; &nbsp;\n&nbsp; &nbsp;&nbsp;</span></u><span style=\'font-family:宋体;color:#252525\'>。</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:32.0pt;\nbackground:white\'><span style=\'font-family:宋体;color:#252525\'>房屋状态：</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:32.0pt;\nbackground:white\'><span style=\'font-family:宋体;color:#252525\'>第二条</span><span\n        style=\'font-family:"Arial","sans-serif";color:#252525\'> </span><span\n        style=\'font-family:宋体;color:#252525\'>房屋的设施及房屋交付</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:32.0pt;\nbackground:white\'><span lang=EN-US style=\'font-family:"Arial","sans-serif";\ncolor:#252525\'>1</span><span style=\'font-family:宋体;color:#252525\'>、房屋内的设施：详见房屋验收单</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:32.0pt;\nbackground:white\'><span lang=EN-US style=\'font-family:"Arial","sans-serif";\ncolor:#252525\'>2</span><span style=\'font-family:宋体;color:#252525\'>、乙方于丙方交付第一期租金及全部履约保证金后</span><u><span\n        lang=EN-US style=\'font-size:16.0pt;font-family:宋体;color:#252525\'>&nbsp;</span></u><u><span\n        lang=EN-US style=\'font-family:"Arial","sans-serif";color:#252525\'>&nbsp;&nbsp;</span></u><span\n        style=\'font-family:宋体;color:#252525\'>日内将上述房屋交给丙方使用。</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:32.0pt;\nbackground:white\'><span style=\'font-family:宋体;color:#252525\'>第三条</span><span\n        style=\'font-family:"Arial","sans-serif";color:#252525\'> </span><span\n        style=\'font-family:宋体;color:#252525\'>租赁期限</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:32.0pt;\nbackground:white\'><span style=\'font-family:宋体;color:#252525\'>本合同租赁期限为</span><u><span\n        lang=EN-US style=\'font-family:"Arial","sans-serif";color:#252525\'>&nbsp; &nbsp;\n&nbsp; &nbsp;</span></u><span style=\'font-family:宋体;color:#252525\'>天（</span><u><span\n        lang=EN-US style=\'font-family:"Arial","sans-serif";color:#252525\'>&nbsp; &nbsp;\n&nbsp; &nbsp;</span></u><span style=\'font-family:宋体;color:#252525\'>年），从</span><u><span\n        lang=EN-US style=\'font-family:"Arial","sans-serif";color:#252525\'>&nbsp;\n&nbsp;&nbsp;&nbsp;&nbsp;</span></u><span style=\'font-family:宋体;color:#252525\'>年</span><u><span\n        lang=EN-US style=\'font-family:"Arial","sans-serif";color:#252525\'>&nbsp; &nbsp;\n&nbsp;&nbsp;</span></u><span style=\'font-family:宋体;color:#252525\'>月</span><u><span\n        lang=EN-US style=\'font-family:"Arial","sans-serif";color:#252525\'>&nbsp; &nbsp;\n&nbsp;&nbsp;</span></u><span style=\'font-family:宋体;color:#252525\'>日至</span><u><span\n        lang=EN-US style=\'font-family:"Arial","sans-serif";color:#252525\'>&nbsp; &nbsp;\n&nbsp;&nbsp;&nbsp;</span></u><span style=\'font-family:宋体;color:#252525\'>年</span><u><span\n        lang=EN-US style=\'font-family:"Arial","sans-serif";color:#252525\'>&nbsp; &nbsp;\n&nbsp; &nbsp;&nbsp;</span></u><span style=\'font-family:宋体;color:#252525\'>月</span><u><span\n        lang=EN-US style=\'font-family:"Arial","sans-serif";color:#252525\'>&nbsp; &nbsp;\n&nbsp; &nbsp;&nbsp;</span></u><span style=\'font-family:宋体;color:#252525\'>日。租赁期满，乙方有权收回租赁房屋，丙方应如期交还。在丙方符合继续租赁的条件下，如丙方要续租，则必须在租赁期满前的壹（</span><span\n        lang=EN-US style=\'font-family:"Arial","sans-serif";color:#252525\'>1</span><span\n        style=\'font-family:宋体;color:#252525\'>）个月向乙方提出书面申请，经乙方同意后，重新签订房屋租赁合同。</span></p>\n\n      <p class=MsoNormal align=left style=\'margin-left:32.0pt;text-align:left;\nbackground:white\'><span style=\'font-family:宋体;color:#252525\'>第四条</span><span\n        style=\'font-family:"Arial","sans-serif";color:#252525\'> </span><span\n        style=\'font-family:宋体;color:#252525\'>租金支付方式</span></p>\n\n      <p class=MsoNormal align=left style=\'margin-left:5.25pt;text-align:left;\ntext-indent:24.0pt;background:white\'><span lang=EN-US style=\'font-family:"Arial","sans-serif";\ncolor:#252525\'>1</span><span style=\'font-family:宋体;color:#252525\'>、年租金为人民币</span><u><span\n        lang=EN-US style=\'font-family:"Arial","sans-serif";color:#252525\'>&nbsp; &nbsp;\n&nbsp; &nbsp;&nbsp;</span></u><span style=\'font-family:宋体;color:#252525\'>元，大写：</span><u><span\n        lang=EN-US style=\'font-family:"Arial","sans-serif";color:#252525\'>&nbsp; &nbsp;\n&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;\n&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;&nbsp;\n&nbsp;&nbsp;</span></u><span style=\'font-family:宋体;color:#252525\'>；</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:32.0pt;\nbackground:white\'><span lang=EN-US style=\'font-family:"Arial","sans-serif";\ncolor:#252525\'>2</span><span style=\'font-family:宋体;color:#252525\'>、租金的支付方式：</span><u><span\n        lang=EN-US style=\'font-family:"Arial","sans-serif";color:#252525\'>&nbsp; &nbsp;\n&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;&nbsp;&nbsp; &nbsp;</span></u></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:32.0pt;\nbackground:white\'><span style=\'font-family:宋体;color:#252525\'>（</span><span\n        lang=EN-US style=\'font-family:"Arial","sans-serif";color:#252525\'>1</span><span\n        style=\'font-family:宋体;color:#252525\'>）按年交付租金，</span><u><span lang=EN-US\n                                                                     style=\'font-family:"Arial","sans-serif";color:#252525\'>&nbsp; &nbsp; &nbsp;\n&nbsp;&nbsp;&nbsp;</span></u><span style=\'font-family:宋体;color:#252525\'>年</span><u><span\n        lang=EN-US style=\'font-family:"Arial","sans-serif";color:#252525\'>&nbsp; &nbsp;\n&nbsp; &nbsp; &nbsp;&nbsp;</span></u><span style=\'font-family:宋体;color:#252525\'>月</span><u><span\n        lang=EN-US style=\'font-family:"Arial","sans-serif";color:#252525\'>&nbsp; &nbsp;\n&nbsp; &nbsp; &nbsp; &nbsp;&nbsp;</span></u><span style=\'font-family:宋体;\ncolor:#252525\'>日前，丙方必须一次性将当年租金交付甲方，乙方代为收取。</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:32.0pt;\nbackground:white\'><span style=\'font-family:宋体;color:#252525\'>（</span><span\n        lang=EN-US style=\'font-family:"Arial","sans-serif";color:#252525\'>2</span><span\n        style=\'font-family:宋体;color:#252525\'>）按半年交付租金，即：</span><u><span lang=EN-US\n                                                                        style=\'font-family:"Arial","sans-serif";color:#252525\'>&nbsp; &nbsp; &nbsp;\n&nbsp; &nbsp;&nbsp;</span></u><span style=\'font-family:宋体;color:#252525\'>年</span><u><span\n        lang=EN-US style=\'font-family:"Arial","sans-serif";color:#252525\'>&nbsp; &nbsp;\n&nbsp; &nbsp; &nbsp;&nbsp;</span></u><span style=\'font-family:宋体;color:#252525\'>月</span><u><span\n        lang=EN-US style=\'font-family:"Arial","sans-serif";color:#252525\'>&nbsp; &nbsp;\n&nbsp; &nbsp; &nbsp;</span></u><span style=\'font-family:宋体;color:#252525\'>日前乙方向甲方交付租金为人民币</span><u><span\n        lang=EN-US style=\'font-family:"Arial","sans-serif";color:#252525\'>&nbsp; &nbsp;\n&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;\n&nbsp; &nbsp;</span></u><span style=\'font-family:宋体;color:#252525\'>元，大写：</span><u><span\n        lang=EN-US style=\'font-family:"Arial","sans-serif";color:#252525\'>&nbsp; &nbsp;\n&nbsp; &nbsp; &nbsp; &nbsp; &nbsp;</span></u><span style=\'font-family:宋体;\ncolor:#252525\'>；</span><span lang=EN-US style=\'font-family:"Arial","sans-serif";\ncolor:#252525\'>&nbsp;&nbsp;&nbsp;&nbsp;<u>&nbsp;&nbsp;&nbsp;&nbsp;</u></span><span\n        style=\'font-family:宋体;color:#252525\'>年</span><u><span lang=EN-US\n                                                              style=\'font-family:"Arial","sans-serif";color:#252525\'>&nbsp; &nbsp; &nbsp;\n&nbsp; &nbsp; &nbsp;</span></u><span style=\'font-family:宋体;color:#252525\'>月</span><u><span\n        lang=EN-US style=\'font-family:"Arial","sans-serif";color:#252525\'>&nbsp; &nbsp;\n&nbsp; &nbsp; &nbsp;&nbsp;</span></u><span style=\'font-family:宋体;color:#252525\'>日前乙方向甲方交付租金为人民币</span><u><span\n        lang=EN-US style=\'font-size:16.0pt;font-family:宋体;color:#252525\'>&nbsp;</span></u><u><span\n        lang=EN-US style=\'font-family:"Arial","sans-serif";color:#252525\'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span></u><span\n        style=\'font-family:宋体;color:#252525\'>元，大写：</span><u><span lang=EN-US\n                                                                  style=\'font-family:"Arial","sans-serif";color:#252525\'>&nbsp; &nbsp; &nbsp;\n&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;</span></u><span\n        style=\'font-family:宋体;color:#252525\'>。</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:32.0pt;\nbackground:white\'><span lang=EN-US style=\'font-family:"Arial","sans-serif";\ncolor:#252525\'>3</span><span style=\'font-family:宋体;color:#252525\'>、本合同中约定的价款及费用均含增值税。</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:32.0pt;\nbackground:white\'><span lang=EN-US style=\'font-family:"Arial","sans-serif";\ncolor:#252525\'>4</span><span style=\'font-family:宋体;color:#252525\'>、乙方代为甲方收到丙方付款</span><u><span\n        lang=EN-US style=\'font-family:"Arial","sans-serif";color:#252525\'>&nbsp; &nbsp;\n&nbsp; &nbsp; &nbsp; &nbsp; &nbsp;</span></u><span style=\'font-family:宋体;\ncolor:#252525\'>个工作日内，向丙方提供符合税务机关要求的等值、合法、有效的增值税发票。</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:32.0pt;\nbackground:white\'><span lang=EN-US style=\'font-family:"Arial","sans-serif";\ncolor:#252525\'>5</span><span style=\'font-family:宋体;color:#252525\'>、乙方代为甲方向丙方开具发票的信息依据合同约定为准，若丙方基本信息变更（除名头外），需要在付款前向乙方提供加盖公章的变更函件。否则乙方仍按合同约定开具发票，因此造成的一切后果由丙方承担。</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:32.0pt;\nbackground:white\'><span lang=EN-US style=\'font-family:"Arial","sans-serif";\ncolor:#252525\'>6</span><span style=\'font-family:宋体;color:#252525\'>、开具发票需提供以下资料：</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:32.0pt;\nbackground:white\'><span style=\'font-family:宋体;color:#252525\'>身份证复印件、开发票需要的基本资料（姓名、身份证号、地址、电话）</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:32.0pt;\nbackground:white\'><span style=\'font-family:宋体;color:#252525\'>第五条</span><span\n        lang=EN-US style=\'font-family:"Arial","sans-serif";color:#252525\'>&nbsp;&nbsp;</span><span\n        style=\'font-family:宋体;color:#252525\'>履约保证金</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:32.0pt;\nbackground:white\'><span style=\'font-family:宋体;color:#252525\'>丙方同意于本协议生效之日向乙方交纳履约保证金人民币</span><u><span\n        lang=EN-US style=\'font-family:"Arial","sans-serif";color:#252525\'>&nbsp; &nbsp;\n&nbsp; &nbsp; &nbsp; &nbsp; &nbsp;</span></u><span style=\'font-family:宋体;\ncolor:#252525\'>元，如发生丙方应付未付事项，乙方有权直接从保证金中扣除。不足部分，丙方应在乙方扣除相关费用后</span><span\n        lang=EN-US style=\'font-family:"Arial","sans-serif";color:#252525\'>5</span><span\n        style=\'font-family:宋体;color:#252525\'>日补足；剩余部分，乙方有义务于本合同依法终止且丙方搬离所承租房屋之日起</span><span\n        lang=EN-US style=\'font-family:"Arial","sans-serif";color:#252525\'>30</span><span\n        style=\'font-family:宋体;color:#252525\'>个工作日内无息返还给丙方。如合同终止之日起</span><span\n        lang=EN-US style=\'font-family:"Arial","sans-serif";color:#252525\'>6</span><span\n        style=\'font-family:宋体;color:#252525\'>个月内，丙方未按乙方要求履行履约保证金返还程序，视为丙方自动放弃履约保证金返还请求。</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:32.0pt;\nbackground:white\'><span style=\'font-family:宋体;color:#252525\'>第六条</span><span\n        style=\'font-family:"Arial","sans-serif";color:#252525\'> </span><span\n        style=\'font-family:宋体;color:#252525\'>乙方权利义务</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:32.0pt;\nbackground:white\'><span lang=EN-US style=\'font-family:"Arial","sans-serif";\ncolor:#252525\'>1</span><span style=\'font-family:宋体;color:#252525\'>、乙方承诺对所出租的房屋具有管理权、经营权；</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:32.0pt;\nbackground:white\'><span lang=EN-US style=\'font-family:"Arial","sans-serif";\ncolor:#252525\'>2</span><span style=\'font-family:宋体;color:#252525\'>、乙方承担租赁房屋的维修义务。房屋内部装修和基础设施（不包括家电）非因丙方人为故意损坏或使用不当而损坏时，丙方应及时报修，乙方自接到报修之日起</span><u><span\n        lang=EN-US style=\'font-size:16.0pt;font-family:宋体;color:#252525\'>&nbsp;</span></u><u><span\n        lang=EN-US style=\'font-family:"Arial","sans-serif";color:#252525\'>&nbsp;&nbsp;</span></u><span\n        style=\'font-family:宋体;color:#252525\'>日内进行及时修缮；</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:32.0pt;\nbackground:white\'><span lang=EN-US style=\'font-family:"Arial","sans-serif";\ncolor:#252525\'>3</span><span style=\'font-family:宋体;color:#252525\'>、租赁期满或合同解除，乙方对房屋进行验收，如房屋内部装修和乙方提供的屋内所有设施有毁损，乙方有权要求丙方将房屋及设施恢复原状，无法恢复原状的，丙方应赔偿乙方损失；</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:32.0pt;\nbackground:white\'><span lang=EN-US style=\'font-family:"Arial","sans-serif";\ncolor:#252525\'>4</span><span style=\'font-family:宋体;color:#252525\'>、乙方向丙方交付租赁房屋时，双方应对公寓内家具家电进行清点并在《公寓家具家电清单明细表》中签字。如丙方造成乙方明细表内的物品毁损、灭失，乙方有权要求丙方按物品原价进行赔偿；</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:32.0pt;\nbackground:white\'><span lang=EN-US style=\'font-family:"Arial","sans-serif";\ncolor:#252525\'>5</span><span style=\'font-family:宋体;color:#252525\'>、本合同约定的其他权利和义务。</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:32.0pt;\nbackground:white\'><span style=\'font-family:宋体;color:#252525\'>第七条</span><span\n        style=\'font-family:"Arial","sans-serif";color:#252525\'> </span><span\n        style=\'font-family:宋体;color:#252525\'>丙方权利义务</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:32.0pt;\nbackground:white\'><span lang=EN-US style=\'font-family:"Arial","sans-serif";\ncolor:#252525\'>1</span><span style=\'font-family:宋体;color:#252525\'>、丙方应向甲方提供真实有效的个人资料；</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:32.05pt;\nbackground:white\'><span lang=EN-US style=\'font-family:"Arial","sans-serif";\ncolor:#252525\'>2</span><span style=\'font-family:宋体;color:#252525\'>、未经乙方书面同意，丙方不得私自入住、更换房间、转租、转借、私配钥匙和允许他人留宿，或变更房屋用途。否则丙方承担由此产生的一切损失；</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:32.0pt;\nbackground:white\'><span lang=EN-US style=\'font-family:"Arial","sans-serif";\ncolor:#252525\'>3</span><span style=\'font-family:宋体;color:#252525\'>、丙方应履行合同义务，按合同约定交纳房租、水、电、燃气等各项费用。如有特殊情况应及时与乙方工作人员联系；</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:32.0pt;\nbackground:white\'><span lang=EN-US style=\'font-family:"Arial","sans-serif";\ncolor:#252525\'>4</span><span style=\'font-family:宋体;color:#252525\'>、如丙方提前退房和到期续租的，丙方应按乙方规定程序办理相关手续；</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:32.0pt;\nbackground:white\'><span lang=EN-US style=\'font-family:"Arial","sans-serif";\ncolor:#252525\'>5</span><span style=\'font-family:宋体;color:#252525\'>、丙方有义务保证房屋内装修、装饰的完整，不得擅自拆改、装修，改变房屋用途；</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:32.0pt;\nbackground:white\'><span lang=EN-US style=\'font-family:"Arial","sans-serif";\ncolor:#252525\'>6</span><span style=\'font-family:宋体;color:#252525\'>、丙方未经乙方同意不得将任何家具家电转借他人，不得将房间内家具拆卸改装，不得擅自修理家电设备，不得移动、丢失、损坏家具家电及资产标贴。如丙方因违反上述规定造成房屋内家具家电的损坏，丙方应赔偿因此给乙方造成的损失；</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:32.0pt;\nbackground:white\'><span lang=EN-US style=\'font-family:"Arial","sans-serif";\ncolor:#252525\'>7</span><span style=\'font-family:宋体;color:#252525\'>、丙方不得擅自改动乙方原有设备设施，如：水暖、电气、消防等设施。如需要改动原有设备设施，应报乙方批准并由乙方有关技术人员进行操作，否则，所造成的一切损失及后果由丙方自行承担；</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:32.0pt;\nbackground:white\'><span lang=EN-US style=\'font-family:"Arial","sans-serif";\ncolor:#252525\'>8</span><span style=\'font-family:宋体;color:#252525\'>、丙方负责所租房屋的安全、防火，安全用水、用电、用燃气。丙方因用火、用电、用水给本人、甲乙方或不特定第三人造成人身伤害和财产损失，丙方承担全部责任；</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:32.0pt;\nbackground:white\'><span lang=EN-US style=\'font-family:"Arial","sans-serif";\ncolor:#252525\'>9</span><span style=\'font-family:宋体;color:#252525\'>、丙方应自行、妥善保管好房间内个人财物，如有丢失、损坏，一切损失由丙方自行承担；</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:32.0pt;\nbackground:white\'><span lang=EN-US style=\'font-family:"Arial","sans-serif";\ncolor:#252525\'>10</span><span style=\'font-family:宋体;color:#252525\'>、租赁期间，因丙方使用租赁房屋发生的水费、电费</span><span\n        lang=EN-US style=\'font-family:"Arial","sans-serif";color:#252525\'>(</span><span\n        style=\'font-family:宋体;color:#252525\'>空调用电、照明电等</span><span lang=EN-US\n                                                                   style=\'font-family:"Arial","sans-serif";color:#252525\'>)</span><span\n        style=\'font-family:宋体;color:#252525\'>、物业费等一切费用由丙方自行承担，本合同另有约定的除外。房屋交接时双方应确认上述费用的实际交纳情况；</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:32.0pt;\nbackground:white\'><span lang=EN-US style=\'font-family:"Arial","sans-serif";\ncolor:#252525\'>11</span><span style=\'font-family:宋体;color:#252525\'>、丙方应自觉遵守消防及安全管理规定。严禁从事任何违反国家和相关部门颁发的消防安全法规的行为，禁止将超重、易燃、易爆、易腐蚀、剧毒等危害公共安全的物品带入租赁房屋；</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:32.0pt;\nbackground:white\'><span lang=EN-US style=\'font-family:"Arial","sans-serif";\ncolor:#252525\'>12</span><span style=\'font-family:宋体;color:#252525\'>、丙方禁止在租赁房屋内从事传销、赌博、吸毒等违法行为；</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:32.0pt;\nbackground:white\'><span lang=EN-US style=\'font-family:"Arial","sans-serif";\ncolor:#252525\'>13</span><span style=\'font-family:宋体;color:#252525\'>、租赁期间，如因丙方原因需要解除本合同，丙方必须提前</span><span\n        lang=EN-US style=\'font-family:"Arial","sans-serif";color:#252525\'>30</span><span\n        style=\'font-family:宋体;color:#252525\'>天书面通知乙方，经乙方同意后合同解除，丙方已缴纳的租金不予返还；丙方须结清因丙方使用租赁房屋发生的水费、电费</span><span\n        lang=EN-US style=\'font-family:"Arial","sans-serif";color:#252525\'>(</span><span\n        style=\'font-family:宋体;color:#252525\'>空调用电、照明电等</span><span lang=EN-US\n                                                                   style=\'font-family:"Arial","sans-serif";color:#252525\'>)</span><span\n        style=\'font-family:宋体;color:#252525\'>、燃气费、物业费等一切费用；</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:32.0pt;\nbackground:white\'><span lang=EN-US style=\'font-family:"Arial","sans-serif";\ncolor:#252525\'>14</span><span style=\'font-family:宋体;color:#252525\'>、租赁期满或合同解除，丙方应按时搬出自己的全部物品，合同终止后</span><span\n        lang=EN-US style=\'font-family:"Arial","sans-serif";color:#252525\'>5</span><span\n        style=\'font-family:宋体;color:#252525\'>日内房屋如仍有丙方余物，视为丙方放弃其物品所有权，由乙方处理；</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:32.0pt;\nbackground:white\'><span lang=EN-US style=\'font-family:"Arial","sans-serif";\ncolor:#252525\'>15</span><span style=\'font-family:宋体;color:#252525\'>、丙方应严格遵守《</span><span\n        lang=EN-US style=\'font-family:"Arial","sans-serif";color:#252525\'>“</span><span\n        style=\'font-family:宋体;color:#252525\'>长春市人才公寓项目</span><span lang=EN-US\n                                                                   style=\'font-family:"Arial","sans-serif";color:#252525\'>”</span><span\n        style=\'font-family:宋体;color:#252525\'>入住须知》内的全部内容条款；</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:32.0pt;\nbackground:white\'><span lang=EN-US style=\'font-family:"Arial","sans-serif";\ncolor:#252525\'>16</span><span style=\'font-family:宋体;color:#252525\'>、本合同约定的其他权利和义务。</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:32.0pt;\nbackground:white\'><span style=\'font-family:宋体;color:#252525\'>第八条</span><span\n        style=\'font-family:"Arial","sans-serif";color:#252525\'> </span><span\n        style=\'font-family:宋体;color:#252525\'>本合同的解除</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:32.0pt;\nbackground:white\'><span lang=EN-US style=\'font-family:"Arial","sans-serif";\ncolor:#252525\'>1</span><span style=\'font-family:宋体;color:#252525\'>、丙方有下列情形之一的，乙方有权单方解除合同：</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:32.0pt;\nbackground:white\'><span style=\'font-family:宋体;color:#252525\'>（</span><span\n        lang=EN-US style=\'font-family:"Arial","sans-serif";color:#252525\'>1</span><span\n        style=\'font-family:宋体;color:#252525\'>）丙方不足额或不及时交付租金达</span><span lang=EN-US\n                                                                         style=\'font-family:"Arial","sans-serif";color:#252525\'>10</span><span\n        style=\'font-family:宋体;color:#252525\'>日；</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:32.0pt;\nbackground:white\'><span style=\'font-family:宋体;color:#252525\'>（</span><span\n        lang=EN-US style=\'font-family:"Arial","sans-serif";color:#252525\'>2</span><span\n        style=\'font-family:宋体;color:#252525\'>）未经乙方同意，丙方擅自改变出租房屋用途的；</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:32.0pt;\nbackground:white\'><span style=\'font-family:宋体;color:#252525\'>（</span><span\n        lang=EN-US style=\'font-family:"Arial","sans-serif";color:#252525\'>3</span><span\n        style=\'font-family:宋体;color:#252525\'>）擅自将房屋转租、转借或与他人调剂交换的；</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:32.0pt;\nbackground:white\'><span style=\'font-family:宋体;color:#252525\'>（</span><span\n        lang=EN-US style=\'font-family:"Arial","sans-serif";color:#252525\'>4</span><span\n        style=\'font-family:宋体;color:#252525\'>）改变房屋结构和房屋用途，擅自对房屋进行装修的；</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:32.0pt;\nbackground:white\'><span style=\'font-family:宋体;color:#252525\'>（</span><span\n        lang=EN-US style=\'font-family:"Arial","sans-serif";color:#252525\'>5</span><span\n        style=\'font-family:宋体;color:#252525\'>）丙方在出租房屋进行违法活动的；</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:32.0pt;\nbackground:white\'><span style=\'font-family:宋体;color:#252525\'>（</span><span\n        lang=EN-US style=\'font-family:"Arial","sans-serif";color:#252525\'>6</span><span\n        style=\'font-family:宋体;color:#252525\'>）乙方有充足理由认为丙方无力继续交付租金的；</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:32.0pt;\nbackground:white\'><span style=\'font-family:宋体;color:#252525\'>（</span><span\n        lang=EN-US style=\'font-family:"Arial","sans-serif";color:#252525\'>7</span><span\n        style=\'font-family:宋体;color:#252525\'>）丙方未按规定期限补交履约保证金的。</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:32.0pt;\nbackground:white\'><span lang=EN-US style=\'font-family:"Arial","sans-serif";\ncolor:#252525\'>2</span><span style=\'font-family:宋体;color:#252525\'>、有下列情形的，丙方有权解除本合同：乙方迟延交付出租房屋超过</span><span\n        lang=EN-US style=\'font-family:"Arial","sans-serif";color:#252525\'>30</span><span\n        style=\'font-family:宋体;color:#252525\'>日；</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:32.0pt;\nbackground:white\'><span lang=EN-US style=\'font-family:"Arial","sans-serif";\ncolor:#252525\'>3</span><span style=\'font-family:宋体;color:#252525\'>、下列情形合同自动解除，双方互不承担赔偿责任：</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:32.0pt;\nbackground:white\'><span style=\'font-family:宋体;color:#252525\'>（</span><span\n        lang=EN-US style=\'font-family:"Arial","sans-serif";color:#252525\'>1</span><span\n        style=\'font-family:宋体;color:#252525\'>）由于不可抗力的原因，致使合同无法履行；</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:32.0pt;\nbackground:white\'><span style=\'font-family:宋体;color:#252525\'>（</span><span\n        lang=EN-US style=\'font-family:"Arial","sans-serif";color:#252525\'>2</span><span\n        style=\'font-family:宋体;color:#252525\'>）政府征用、拆迁出租的房屋。</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:32.0pt;\nbackground:white\'><span style=\'font-family:宋体;color:#252525\'>第十条</span><span\n        style=\'font-family:"Arial","sans-serif";color:#252525\'> </span><span\n        style=\'font-family:宋体;color:#252525\'>房屋转让</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:32.0pt;\nbackground:white\'><span style=\'font-family:宋体;color:#252525\'>在租赁期间，乙方有权转让该房屋，乙方应提前</span><span\n        lang=EN-US style=\'font-family:"Arial","sans-serif";color:#252525\'>1</span><span\n        style=\'font-family:宋体;color:#252525\'>个月书面通知丙方，上述房屋的转让不影响本租赁合同的履行。</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:32.0pt;\nbackground:white\'><span style=\'font-family:宋体;color:#252525\'>第九条</span><span\n        style=\'font-family:"Arial","sans-serif";color:#252525\'> </span><span\n        style=\'font-family:宋体;color:#252525\'>通知与送达</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:32.0pt;\nbackground:white\'><span lang=EN-US style=\'font-family:"Arial","sans-serif";\ncolor:#252525\'>1</span><span style=\'font-family:宋体;color:#252525\'>、丙方同意以下地址有效通知送达地址，为履行合同、解决合同争议及接收其他方商业文件信函或司法机关（法院、仲裁机构）诉讼、仲裁文件的地址和联系方式。</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:32.0pt;\nbackground:white\'><span style=\'font-family:宋体;color:#252525\'>地址：</span><u><span\n        lang=EN-US style=\'font-family:"Arial","sans-serif";color:#252525\'>&nbsp; &nbsp;\n&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;\n&nbsp; &nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;</span></u></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:32.0pt;\nbackground:white\'><span style=\'font-family:宋体;color:#252525\'>邮箱：</span><u><span\n        lang=EN-US style=\'font-family:"Arial","sans-serif";color:#252525\'>&nbsp; &nbsp;\n&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;\n&nbsp; &nbsp; &nbsp; &nbsp; &nbsp;</span></u></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:32.0pt;\nbackground:white\'><span style=\'font-family:宋体;color:#252525\'>联系方式：</span><u><span\n        lang=EN-US style=\'font-family:"Arial","sans-serif";color:#252525\'>&nbsp; &nbsp;\n&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;\n&nbsp;&nbsp;</span></u></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:32.0pt;\nbackground:white\'><span lang=EN-US style=\'font-family:"Arial","sans-serif";\ncolor:#252525\'>2</span><span style=\'font-family:宋体;color:#252525\'>、依据本合同，乙方发出的通知应以书面方式发出。通知可以专人递交，或以挂号信件、快件或传真方式。专人递交的通知在专人递交之日视为送达；以挂号信或以快件方式则在发出后第三天视为送达，以传真方式则在传达后第一工作日视为送达。</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:32.0pt;\nbackground:white\'><span lang=EN-US style=\'font-family:"Arial","sans-serif";\ncolor:#252525\'>3</span><span style=\'font-family:宋体;color:#252525\'>、本合同载明的丙方地址为双方约定的送达地址，丙方通讯地址或联系方式发生变化，应自发生变化之日起</span><span\n        lang=EN-US style=\'font-family:"Arial","sans-serif";color:#252525\'>10</span><span\n        style=\'font-family:宋体;color:#252525\'>个工作日内以书面形式通知乙方。违反前述规定，除非法律另有规定，丙方应对由此而造成的影响和损失承担责任。</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:32.0pt;\nbackground:white\'><span style=\'font-family:宋体;color:#252525\'>第十条</span><span\n        style=\'font-family:"Arial","sans-serif";color:#252525\'> </span><span\n        style=\'font-family:宋体;color:#252525\'>违约责任</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:32.0pt;\nbackground:white\'><span lang=EN-US style=\'font-family:"Arial","sans-serif";\ncolor:#252525\'>1</span><span style=\'font-family:宋体;color:#252525\'>、丙方擅自将出租房屋拆改、装修，擅自改变用途，丙方应按</span><u><span\n        lang=EN-US style=\'font-family:"Arial","sans-serif";color:#252525\'>&nbsp; &nbsp;\n&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;&nbsp;</span></u><span\n        style=\'font-family:宋体;color:#252525\'>（合同价款或当年年租金）的</span><span lang=EN-US\n                                                                       style=\'font-family:"Arial","sans-serif";color:#252525\'>30%</span><span\n        style=\'font-family:宋体;color:#252525\'>向甲方支付违约金，并赔偿因此给甲方造成的损失。</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:32.0pt;\nbackground:white\'><span lang=EN-US style=\'font-family:"Arial","sans-serif";\ncolor:#252525\'>2</span><span style=\'font-family:宋体;color:#252525\'>、乙丙双方履行合同约定义务，任何一方擅自终止合同，视为违约，违约方应向守约方承担</span><u><span\n        lang=EN-US style=\'font-family:"Arial","sans-serif";color:#252525\'>&nbsp; &nbsp;\n&nbsp; &nbsp; &nbsp; &nbsp;&nbsp;&nbsp; &nbsp;</span></u><span\n        style=\'font-family:宋体;color:#252525\'>（合同价款或当年年租金）的</span><span lang=EN-US\n                                                                       style=\'font-family:"Arial","sans-serif";color:#252525\'>30%</span><span\n        style=\'font-family:宋体;color:#252525\'>的违约金。</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:32.0pt;\nbackground:white\'><span lang=EN-US style=\'font-family:"Arial","sans-serif";\ncolor:#252525\'>3</span><span style=\'font-family:宋体;color:#252525\'>、一方违约造成另一方损失的，违约方应赔偿守约方因此受到的损失，违约方不主动承担违约责任，导致另一方诉讼的，因此产生的一切费用由违约方承担（包括但不限于诉讼费、律师代理费、公证费、鉴定费等），本合同另有约定的，从其约定。</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:32.0pt;\nbackground:white\'><span style=\'font-family:宋体;color:#252525\'>以上违约金及经济赔偿应自违约之日起</span><span\n        lang=EN-US style=\'font-family:"Arial","sans-serif";color:#252525\'>30</span><span\n        style=\'font-family:宋体;color:#252525\'>日内支付。</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:32.0pt;\nbackground:white\'><span lang=EN-US style=\'font-family:"Arial","sans-serif";\ncolor:#252525\'>4</span><span style=\'font-family:宋体;color:#252525\'>、因非人为原因导致房屋毁损和造成损失的（上下水管道、暖气干线、气包断裂等），双方互不承担责任。</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:32.0pt;\nbackground:white\'><span lang=EN-US style=\'font-family:"Arial","sans-serif";\ncolor:#252525\'>5</span><span style=\'font-family:宋体;color:#252525\'>、丙方应及时足额向乙方交付租金及乙方代收代缴费用，每延迟一日，丙方应按未付款金额的</span><span\n        lang=EN-US style=\'font-family:"Arial","sans-serif";color:#252525\'>3‰</span><span\n        style=\'font-family:宋体;color:#252525\'>向乙方支付违约金，超过</span><span lang=EN-US\n                                                                     style=\'font-family:"Arial","sans-serif";color:#252525\'>10</span><span\n        style=\'font-family:宋体;color:#252525\'>日仍未支付，丙方应按</span><u><span lang=EN-US\n                                                                       style=\'font-family:"Arial","sans-serif";color:#252525\'>&nbsp; &nbsp; &nbsp;\n&nbsp; &nbsp; &nbsp; &nbsp;&nbsp; &nbsp;&nbsp;</span></u><span\n        style=\'font-family:宋体;color:#252525\'>（合同价款或当年年租金）的</span><span lang=EN-US\n                                                                       style=\'font-family:"Arial","sans-serif";color:#252525\'>20%</span><span\n        style=\'font-family:宋体;color:#252525\'>向乙方支付违约金，同时乙方有权单方解除合同，并有权收回租赁房屋。</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:32.0pt;\nbackground:white\'><span lang=EN-US style=\'font-family:"Arial","sans-serif";\ncolor:#252525\'>6</span><span style=\'font-family:宋体;color:#252525\'>、合同期满之日起</span><span\n        lang=EN-US style=\'font-family:"Arial","sans-serif";color:#252525\'>5</span><span\n        style=\'font-family:宋体;color:#252525\'>日内，丙方应搬离该房屋，如丙方未及时搬离，每延迟一日，丙方应按</span><u><span\n        lang=EN-US style=\'font-family:"Arial","sans-serif";color:#252525\'>&nbsp; &nbsp;\n&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;&nbsp;</span></u><span\n        style=\'font-family:宋体;color:#252525\'>（合同价款或当年年租金）的</span><span lang=EN-US\n                                                                       style=\'font-family:"Arial","sans-serif";color:#252525\'>5‰</span><span\n        style=\'font-family:宋体;color:#252525\'>向乙方支付违约金，超过</span><span lang=EN-US\n                                                                     style=\'font-family:"Arial","sans-serif";color:#252525\'>20</span><span\n        style=\'font-family:宋体;color:#252525\'>日仍未搬离，视为丙方自行放弃要求乙方返还履约保证金的请求，同时乙方有权采取提取房屋内物品、封闭房屋大门等方式收回该房屋，因此发生的费用由丙方自行承担，由此造成的损失，由丙方承担。</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:32.0pt;\nbackground:white\'><span lang=EN-US style=\'font-family:"Arial","sans-serif";\ncolor:#252525\'>7</span><span style=\'font-family:宋体;color:#252525\'>、丙方应按合同约定向乙方及时支付租金，如有提前退房和到期续租的意愿，应及时办理相关手续。如丙方延迟交付租金，乙方有权采取包括但不限于停水、停电、换锁、封门等措施。丙方因此受到的损失应由丙方个人承担。</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:32.0pt;\nbackground:white\'><span style=\'font-family:宋体;color:#252525\'>第十一条</span><span\n        style=\'font-family:"Arial","sans-serif";color:#252525\'> </span><span\n        style=\'font-family:宋体;color:#252525\'>争议解决条款</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:32.0pt;\nbackground:white\'><span style=\'font-family:宋体;color:#252525\'>在合同履行过程中发生争议双方应协商解决，协商不成，任何一方可向乙方所在地法院提起诉讼。</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:32.0pt;\nbackground:white\'><span style=\'font-family:宋体;color:#252525\'>第十二条</span><span\n        style=\'font-family:"Arial","sans-serif";color:#252525\'> </span><span\n        style=\'font-family:宋体;color:#252525\'>附则</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:32.0pt;\nbackground:white\'><span lang=EN-US style=\'font-family:"Arial","sans-serif";\ncolor:#252525\'>1</span><span style=\'font-family:宋体;color:#252525\'>、本合同共</span><span\n        lang=EN-US style=\'font-family:"Arial","sans-serif";color:#252525\'>&nbsp;6</span><span\n        style=\'font-family:宋体;color:#252525\'>个附件，附件是本合同的组成部分：</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:32.0pt;\nbackground:white\'><span style=\'font-family:宋体;color:#252525\'>①</span><span\n        style=\'font-family:宋体;color:#252525\'>丙方身份证复印件</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:32.0pt;\nbackground:white\'><span style=\'font-family:宋体;color:#252525\'>②</span><span\n        style=\'font-family:宋体;color:#252525\'>附图</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:32.0pt;\nbackground:white\'><span style=\'font-family:宋体;color:#252525\'>③</span><span\n        style=\'font-family:宋体;color:#252525\'>房屋验收单</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:32.0pt;\nbackground:white\'><span style=\'font-family:宋体;color:#252525\'>④</span><span\n        style=\'font-family:宋体;color:#252525\'>承诺书</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:32.0pt;\nbackground:white\'><span style=\'font-family:宋体;color:#252525\'>⑤</span><span\n        style=\'font-family:宋体;color:#252525\'>长春市人才公寓入住须知</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:32.0pt;\nbackground:white\'><span style=\'font-family:宋体;color:#252525\'>⑥</span><span\n        style=\'font-family:宋体;color:#252525\'>承租人安全目标责任书</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:32.0pt;\nbackground:white\'><span lang=EN-US style=\'font-family:"Arial","sans-serif";\ncolor:#252525\'>2</span><span style=\'font-family:宋体;color:#252525\'>、本合同如有未尽事宜，须经双方协商达成补充协议，补充协议与本合同具有同等法律效力。</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:32.0pt;\nbackground:white\'><span lang=EN-US style=\'font-family:"Arial","sans-serif";\ncolor:#252525\'>3</span><span style=\'font-family:宋体;color:#252525\'>、本合同三方签字盖章之日起生效，一式<u>九</u>份，</span><span\n        lang=EN-US style=\'font-family:"Arial","sans-serif";color:#252525\'>&nbsp;</span><span\n        style=\'font-family:宋体;color:#252525\'>甲、乙、丙三方各执三份，本合同手写无效，无乙方骑缝章无效。</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:32.0pt;\nbackground:white\'><span style=\'font-family:宋体;color:#252525\'>第十三条</span><span\n        style=\'font-family:"Arial","sans-serif";color:#252525\'> </span><span\n        style=\'font-family:宋体;color:#252525\'>其他条款</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:32.0pt;\nbackground:white\'><u><span lang=EN-US style=\'font-family:"Arial","sans-serif";\ncolor:#252525\'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span></u></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left\'><span lang=EN-US\n                                                                  style=\'font-family:"Arial","sans-serif";color:#252525\'><br>\n<br>\n</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left\'><span lang=EN-US\n                                                                  style=\'font-family:"Arial","sans-serif";color:#252525\'>&nbsp;</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left\'><span lang=EN-US\n                                                                  style=\'font-family:"Arial","sans-serif";color:#252525\'>&nbsp;</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left\'><span lang=EN-US\n                                                                  style=\'font-family:"Arial","sans-serif";color:#252525\'>&nbsp;</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left\'><span lang=EN-US\n                                                                  style=\'font-family:"Arial","sans-serif";color:#252525\'>&nbsp;</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left\'><span lang=EN-US\n                                                                  style=\'font-family:"Arial","sans-serif";color:#252525\'>&nbsp;</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left\'><span lang=EN-US\n                                                                  style=\'font-family:"Arial","sans-serif";color:#252525\'>&nbsp;</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left\'><span lang=EN-US\n                                                                  style=\'font-family:"Arial","sans-serif";color:#252525\'>&nbsp;</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left\'><span lang=EN-US\n                                                                  style=\'font-family:"Arial","sans-serif";color:#252525\'>&nbsp;</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left\'><span lang=EN-US\n                                                                  style=\'font-family:"Arial","sans-serif";color:#252525\'>&nbsp;</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left\'><span lang=EN-US\n                                                                  style=\'font-family:"Arial","sans-serif";color:#252525\'>&nbsp;</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left\'><span lang=EN-US\n                                                                  style=\'font-family:"Arial","sans-serif";color:#252525\'>&nbsp;</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;background:white\'><span\n        style=\'font-family:宋体;color:#252525\'>此页无正文</span></p>\n\n      <p class=MsoNormal align=left style=\'margin-top:19.5pt;margin-right:0cm;\nmargin-bottom:19.5pt;margin-left:0cm;text-align:left;background:white\'><span\n        style=\'font-family:宋体;color:#252525\'>甲方：长春润德投资集团有限公司资产经营分公司</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:48.0pt;\nbackground:white\'><span style=\'font-family:宋体;color:#252525\'>（盖章）</span><span\n        lang=EN-US style=\'font-family:"Arial","sans-serif";color:#252525\'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;\n</span><span style=\'font-family:宋体;color:#252525\'>（签字）</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;background:white\'><span\n        style=\'font-family:宋体;color:#252525\'>乙方：长春市人才公寓开发理有限公司</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:48.0pt;\nbackground:white\'><span style=\'font-family:宋体;color:#252525\'>（盖章）</span><span\n        lang=EN-US style=\'font-family:"Arial","sans-serif";color:#252525\'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;\n</span><span style=\'font-family:宋体;color:#252525\'>（签字）</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;background:white\'><span\n        lang=EN-US style=\'font-family:"Arial","sans-serif";color:#252525\'>&nbsp;</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;background:white\'><span\n        lang=EN-US style=\'font-family:"Arial","sans-serif";color:#252525\'>&nbsp;</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;background:white\'><span\n        lang=EN-US style=\'font-family:"Arial","sans-serif";color:#252525\'>&nbsp;</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;background:white\'><span\n        style=\'font-family:宋体;color:#252525\'>丙方：</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;background:white\'><span\n        style=\'font-family:宋体;color:#252525\'>（盖章）</span><span lang=EN-US\n                                                              style=\'font-family:"Arial","sans-serif";color:#252525\'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;\n</span><span style=\'font-family:宋体;color:#252525\'>（签字）</span></p>\n\n      <p class=MsoNormal align=left style=\'margin-top:19.5pt;margin-right:0cm;\nmargin-bottom:19.5pt;margin-left:0cm;text-align:left;text-indent:48.0pt;\nbackground:white\'><span lang=EN-US style=\'font-family:"Arial","sans-serif";\ncolor:#252525\'>&nbsp;</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;background:white\'><span\n        style=\'font-family:宋体;color:#252525\'>负责人：</span><span lang=EN-US\n                                                              style=\'font-family:"Arial","sans-serif";color:#252525\'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span><span\n        style=\'font-family:宋体;color:#252525\'>授权代理人：</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;background:white\'><span\n        style=\'font-family:宋体;color:#252525\'>授权代理人：</span><span lang=EN-US\n                                                                style=\'font-family:"Arial","sans-serif";color:#252525\'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span><span\n        style=\'font-family:宋体;color:#252525\'>电话：</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;background:white\'><span\n        style=\'font-family:宋体;color:#252525\'>电话：</span><span lang=EN-US\n                                                             style=\'font-family:"Arial","sans-serif";color:#252525\'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span></p>\n\n      <p class=MsoNormal align=left style=\'margin-top:19.5pt;margin-right:0cm;\nmargin-bottom:19.5pt;margin-left:0cm;text-align:left;background:white\'><span\n        lang=EN-US style=\'font-family:"Arial","sans-serif";color:#252525\'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span></p>\n\n      <p class=MsoNormal align=right style=\'text-align:right;text-indent:32.0pt;\nbackground:white\'><span lang=EN-US style=\'font-family:"Arial","sans-serif";\ncolor:#252525\'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;\n</span><span style=\'font-family:宋体;color:#252525\'>签订日期：</span><span lang=EN-US\n                                                                    style=\'font-family:"Arial","sans-serif";color:#252525\'>&nbsp;&nbsp;&nbsp;</span><span\n        style=\'font-family:宋体;color:#252525\'>年</span><span lang=EN-US style=\'font-family:\n"Arial","sans-serif";color:#252525\'>&nbsp; &nbsp;</span><span style=\'font-family:\n宋体;color:#252525\'>月</span><span lang=EN-US style=\'font-family:"Arial","sans-serif";\ncolor:#252525\'> &nbsp;&nbsp;</span><span style=\'font-family:宋体;color:#252525\'>日</span><span\n        lang=EN-US style=\'font-family:"Arial","sans-serif";color:#252525\'>&nbsp;</span></p>\n\n      <p class=MsoNormal align=right style=\'margin-top:19.5pt;margin-right:0cm;\nmargin-bottom:19.5pt;margin-left:0cm;text-align:right;text-indent:32.0pt;\nbackground:white\'><span lang=EN-US style=\'font-family:"Arial","sans-serif";\ncolor:#252525\'>&nbsp;</span></p>\n\n      <p class=MsoNormal align=right style=\'margin-top:19.5pt;margin-right:0cm;\nmargin-bottom:19.5pt;margin-left:0cm;text-align:right;text-indent:32.0pt;\nbackground:white\'><span lang=EN-US style=\'font-family:"Arial","sans-serif";\ncolor:#252525\'>&nbsp;</span></p>\n\n      <span lang=EN-US style=\'font-size:10.5pt;font-family:"Arial","sans-serif";\ncolor:#252525\'><br clear=all style=\'page-break-before:always\'>\n</span>\n\n      <p class=MsoNormal align=left style=\'text-align:left\'><span lang=EN-US\n                                                                  style=\'font-family:"Arial","sans-serif";color:#252525\'>&nbsp;</span></p>\n\n      <p class=MsoNormal align=right style=\'margin-top:19.5pt;margin-right:0cm;\nmargin-bottom:19.5pt;margin-left:0cm;text-align:right;text-indent:32.0pt;\nbackground:white\'><span lang=EN-US style=\'font-family:"Arial","sans-serif";\ncolor:#252525\'>&nbsp;</span></p>\n\n      <p class=MsoNormal align=right style=\'margin-top:19.5pt;margin-right:0cm;\nmargin-bottom:19.5pt;margin-left:0cm;text-align:right;text-indent:32.0pt;\nbackground:white\'><span lang=EN-US style=\'font-family:"Arial","sans-serif";\ncolor:#252525\'>&nbsp;</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;background:white\'><span\n        style=\'font-family:宋体;color:#252525\'>附件三</span></p>\n\n      <p class=MsoNormal align=center style=\'text-align:center;background:white\'><b><span\n        style=\'font-family:宋体;color:#252525\'>承诺书</span></b></p>\n\n      <p class=MsoNormal align=left style=\'margin-top:19.5pt;margin-right:0cm;\nmargin-bottom:19.5pt;margin-left:0cm;text-align:left;text-indent:36.0pt;\nbackground:white\'><span lang=EN-US style=\'font-family:"Arial","sans-serif";\ncolor:#252525\'>&nbsp;</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:36.0pt;\nbackground:white\'><span style=\'font-family:宋体;color:#252525\'>本人承诺提供的个人信息真实有效，会严格遵守中华人民共和国的法律、法规和长春市人才公寓的各项规章制度，服从公寓管理，任何因违反规定而造成的不良后果，由本人承担全部责任。</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;background:white\'><span\n        lang=EN-US style=\'font-family:"Arial","sans-serif";color:#252525\'>&nbsp;</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;background:white\'><span\n        lang=EN-US style=\'font-family:"Arial","sans-serif";color:#252525\'>&nbsp;</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;background:white\'><span\n        lang=EN-US style=\'font-family:"Arial","sans-serif";color:#252525\'>&nbsp;</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;background:white\'><span\n        lang=EN-US style=\'font-family:"Arial","sans-serif";color:#252525\'>&nbsp;</span></p>\n\n      <p class=MsoNormal align=center style=\'text-align:center;background:white\'><span\n        lang=EN-US style=\'font-family:"Arial","sans-serif";color:#252525\'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span><span\n        style=\'font-family:宋体;color:#252525\'>承诺人：</span></p>\n\n      <p class=MsoNormal align=right style=\'text-align:right;background:white\'><span\n        style=\'font-family:宋体;color:#252525\'>年</span><span lang=EN-US style=\'font-family:\n"Arial","sans-serif";color:#252525\'>&nbsp;&nbsp;&nbsp;</span><span\n        style=\'font-family:宋体;color:#252525\'>月</span><span lang=EN-US style=\'font-family:\n"Arial","sans-serif";color:#252525\'>&nbsp;&nbsp;&nbsp;</span><span\n        style=\'font-family:宋体;color:#252525\'>日</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;background:white\'><span\n        lang=EN-US style=\'font-family:"Arial","sans-serif";color:#252525\'>&nbsp;</span></p>\n\n      <p class=MsoNormal align=left style=\'margin-top:19.5pt;margin-right:0cm;\nmargin-bottom:19.5pt;margin-left:0cm;text-align:left;background:white\'><span\n        lang=EN-US style=\'font-family:"Arial","sans-serif";color:#252525\'>&nbsp;</span></p>\n\n      <span lang=EN-US style=\'font-size:10.5pt;font-family:"Arial","sans-serif";\ncolor:#252525\'><br clear=all style=\'page-break-before:always\'>\n</span>\n\n      <p class=MsoNormal align=left style=\'text-align:left\'><span lang=EN-US\n                                                                  style=\'font-family:"Arial","sans-serif";color:#252525\'>&nbsp;</span></p>\n\n      <p class=MsoNormal align=left style=\'margin-top:19.5pt;margin-right:0cm;\nmargin-bottom:19.5pt;margin-left:0cm;text-align:left;background:white\'><span\n        lang=EN-US style=\'font-family:"Arial","sans-serif";color:#252525\'>&nbsp;</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;background:white\'><span\n        style=\'font-family:宋体;color:#252525\'>附件四</span></p>\n\n      <p class=MsoNormal align=center style=\'text-align:center;background:white\'><b><span\n        style=\'font-family:宋体;color:#252525\'>长春市人才公寓入住须知</span></b></p>\n\n      <p class=MsoNormal align=center style=\'text-align:center;background:white\'><b><span\n        lang=EN-US style=\'font-family:"Arial","sans-serif";color:#252525\'>&nbsp;</span></b></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;background:white\'><span\n        style=\'font-family:宋体;color:#252525\'>尊敬的租户：</span><span lang=EN-US\n                                                                style=\'font-family:"Arial","sans-serif";color:#252525\'>&nbsp;</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:28.0pt;\nbackground:white\'><span style=\'font-family:宋体;color:#252525\'>在办理入住手续前，请遵守人才公寓的有关入住须知：</span><span\n        lang=EN-US style=\'font-family:"Arial","sans-serif";color:#252525\'>&nbsp;</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:28.0pt;\nbackground:white\'><span style=\'font-family:宋体;color:#252525\'>一、租赁期限内，不得将该房屋的部分或全部转租、转借、转让给他人，一经发现，作退租处理。</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:28.0pt;\nbackground:white\'><span style=\'font-family:宋体;color:#252525\'>二、必须保证是本人居住。如若夫妻双方同住，需提供结婚证明。</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:28.0pt;\nbackground:white\'><span style=\'font-family:宋体;color:#252525\'>三、入住验房时请仔细查验房间各物品，有问题及时书面登记在房屋验收单上。钥匙和智能卡丢失，将按照</span><span\n        lang=EN-US style=\'font-family:"Arial","sans-serif";color:#252525\'>20</span><span\n        style=\'font-family:宋体;color:#252525\'>元一把和</span><span lang=EN-US\n                                                              style=\'font-family:"Arial","sans-serif";color:#252525\'>30</span><span\n        style=\'font-family:宋体;color:#252525\'>元一张补办或赔付，在日常使用中，有问题未及时报修而造成的损失由租户自行承担；退房时因房屋内有任何物品损坏或遗失而产生费用的（入住房屋验收单上无书面登记），由租户按相关规定自行负责赔偿。</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:28.0pt;\nbackground:white\'><span style=\'font-family:宋体;color:#252525\'>四、严禁在该房屋和公寓楼内乱写、乱画、乱张贴，该房屋内严禁张贴、挂装饰品、照片、字画等，维修费用按市场价格赔偿。</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:28.0pt;\nbackground:white\'><span style=\'font-family:宋体;color:#252525\'>五、租户及来访人员不得在公共区域或通道上堆放杂物、垃圾、自行车或其他物件以妨碍通行及整洁，否则公司有权将该物件移走并要求租户承担相关费用支出，并视为违反租赁合同的行为。</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:28.0pt;\nbackground:white\'><span style=\'font-family:宋体;color:#252525\'>六、进入公寓楼时，请不要把密码随意告诉他人，以防盗窃。</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:28.0pt;\nbackground:white\'><span style=\'font-family:宋体;color:#252525\'>七、租户自行预存水、电、燃气费，退租前不可欠费，如出现欠费现象，从保证金中扣除。</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:28.0pt;\nbackground:white\'><span style=\'font-family:宋体;color:#252525\'>八、</span><span\n        style=\'font-family:"Arial","sans-serif";color:#252525\'> </span><span\n        style=\'font-family:宋体;color:#252525\'>终止租赁合同时，需以网络在线申请形式提前</span><span\n        lang=EN-US style=\'font-family:"Arial","sans-serif";color:#252525\'>15</span><span\n        style=\'font-family:宋体;color:#252525\'>个工作日提出申请，一经申请不得取消。</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:28.0pt;\nbackground:white\'><span style=\'font-family:宋体;color:#252525\'>九、严禁任何人将宠物带入公寓。</span></p>\n\n      <p class=MsoNormal align=left style=\'margin-top:19.5pt;margin-right:0cm;\nmargin-bottom:19.5pt;margin-left:0cm;text-align:left;text-indent:28.0pt;\nbackground:white\'><span lang=EN-US style=\'font-family:"Arial","sans-serif";\ncolor:#252525\'>&nbsp;</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:28.0pt;\nbackground:white\'><span style=\'font-family:宋体;color:#252525\'>租户签字：</span><span\n        lang=EN-US style=\'font-family:"Arial","sans-serif";color:#252525\'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span><span\n        style=\'font-family:宋体;color:#252525\'>日期：</span></p>\n\n      <p class=MsoNormal align=left style=\'margin-top:19.5pt;margin-right:0cm;\nmargin-bottom:19.5pt;margin-left:0cm;text-align:left;text-indent:28.0pt;\nbackground:white\'><span lang=EN-US style=\'font-family:"Arial","sans-serif";\ncolor:#252525\'>&nbsp;</span></p>\n\n      <span lang=EN-US style=\'font-size:10.5pt;font-family:"Arial","sans-serif";\ncolor:#252525\'><br clear=all style=\'page-break-before:always\'>\n</span>\n\n      <p class=MsoNormal align=left style=\'text-align:left\'><span lang=EN-US\n                                                                  style=\'font-family:"Arial","sans-serif";color:#252525\'>&nbsp;</span></p>\n\n      <p class=MsoNormal align=left style=\'margin-top:19.5pt;margin-right:0cm;\nmargin-bottom:19.5pt;margin-left:0cm;text-align:left;text-indent:28.0pt;\nbackground:white\'><span lang=EN-US style=\'font-family:"Arial","sans-serif";\ncolor:#252525\'>&nbsp;</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;background:white\'><span\n        style=\'font-family:宋体;color:#252525\'>附件五</span></p>\n\n      <p class=MsoNormal align=center style=\'text-align:center;background:white\'><b><span\n        style=\'font-family:宋体;color:#252525\'>承租人安全目标责任书</span></b></p>\n\n      <p class=MsoNormal align=center style=\'text-align:center;background:white\'><b><span\n        lang=EN-US style=\'font-family:"Arial","sans-serif";color:#252525\'>&nbsp;</span></b></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;background:white\'><span\n        style=\'font-family:宋体;color:#252525\'>甲方：长春润德投资集团有限公司资产经营分公司</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;background:white\'><span\n        style=\'font-family:宋体;color:#252525\'>乙方：</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:24.0pt;\nbackground:white\'><span style=\'font-family:宋体;color:#252525\'>为坚决贯彻《中华人民共和国消防法》的实施和执行，落实</span><span\n        lang=EN-US style=\'font-family:"Arial","sans-serif";color:#252525\'>“</span><span\n        style=\'font-family:宋体;color:#252525\'>预防为主，防消结合</span><span lang=EN-US\n                                                                   style=\'font-family:"Arial","sans-serif";color:#252525\'>”</span><span\n        style=\'font-family:宋体;color:#252525\'>的消防方针，严格消防监督管理加强消防管理力度，防止火灾发生，减少承租人的损失，保障承租人的正常生活秩序及人员、财产的安全，甲、乙双方根据《中华人民共和国消防法》及长春市地方消防安全法规的要求，特签订本安全目标责任书，具体约定如下：</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:24.0pt;\nbackground:white\'><span style=\'font-family:宋体;color:#252525\'>一、根据消防责任界定原则，甲方将本房屋范围的消防安全保障工作委托给乙方，乙方负全责。</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:24.0pt;\nbackground:white\'><span style=\'font-family:宋体;color:#252525\'>二、甲方责任义务：</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:24.0pt;\nbackground:white\'><span lang=EN-US style=\'font-family:"Arial","sans-serif";\ncolor:#252525\'>1.</span><span style=\'font-family:宋体;color:#252525\'>负责与乙方签订的《房屋租赁合同》中租赁房屋（以下出租房屋、承租房屋代指此租赁房屋）的消防安全防范组织工作，定期开展消防安全知识宣传和安全工作通知。</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:24.0pt;\nbackground:white\'><span lang=EN-US style=\'font-family:"Arial","sans-serif";\ncolor:#252525\'>2. </span><span style=\'font-family:宋体;color:#252525\'>定期检查房屋的使用情况，有无安全隐患和火灾隐患。对出现的安全隐患及时组织维修</span><span\n        lang=EN-US style=\'font-family:"Arial","sans-serif";color:#252525\'>(</span><span\n        style=\'font-family:宋体;color:#252525\'>除乙方人为造成的房屋损坏除外</span><span lang=EN-US\n                                                                        style=\'font-family:"Arial","sans-serif";color:#252525\'>)</span><span\n        style=\'font-family:宋体;color:#252525\'>，确保房屋的安全使用对火灾隐患及时上报和监督整改。</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:24.0pt;\nbackground:white\'><span lang=EN-US style=\'font-family:"Arial","sans-serif";\ncolor:#252525\'>2.</span><span style=\'font-family:宋体;color:#252525\'>贯彻执行各项消防管理规定，认真落实安全管理措施。</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:24.0pt;\nbackground:white\'><span lang=EN-US style=\'font-family:"Arial","sans-serif";\ncolor:#252525\'>3.</span><span style=\'font-family:宋体;color:#252525\'>发现乙方存在安全违法行为或危及人身安全重大隐患，应立即制止乙方违法行为，并及时向所在地的安监、消防、公安等部门报告。</span><span\n        lang=EN-US style=\'font-family:"Arial","sans-serif";color:#252525\'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;\n&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:24.0pt;\nbackground:white\'><span lang=EN-US style=\'font-family:"Arial","sans-serif";\ncolor:#252525\'>4.</span><span style=\'font-family:宋体;color:#252525\'>负责出租房屋发生火警及时组织扑救和协助政府消防部门进行消防灭火施救工作。</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:24.0pt;\nbackground:white\'><span style=\'font-family:宋体;color:#252525\'>三、乙方责任义务：</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:24.0pt;\nbackground:white\'><span lang=EN-US style=\'font-family:"Arial","sans-serif";\ncolor:#252525\'>1.</span><span style=\'font-family:宋体;color:#252525\'>积极配合和参加甲方组织的消防安全防范活动，自觉培养消防意识，宣传消防、防火、防范的重要性。</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:24.0pt;\nbackground:white\'><span lang=EN-US style=\'font-family:"Arial","sans-serif";\ncolor:#252525\'>2.</span><span style=\'font-family:宋体;color:#252525\'>严禁在室内及楼、梯道违章贮藏、保存不符合安全标准的易燃、易爆、剧毒、放射性等危险物品。保证房屋的出入口、通道畅通无阻。必须符合治安和消防管理的有关规定。</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:24.0pt;\nbackground:white\'><span lang=EN-US style=\'font-family:"Arial","sans-serif";\ncolor:#252525\'>3.</span><span style=\'font-family:宋体;color:#252525\'>严格安全使用室内电气、线路，严禁乱拉乱接电线，严禁超负荷用电，用电线路要定期排查，电线套管不绝缘，老化电线、器材必须及时使用具备相应操作资格的人员更换，确保用电安全。</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:24.0pt;\nbackground:white\'><span lang=EN-US style=\'font-family:"Arial","sans-serif";\ncolor:#252525\'>4.</span><span style=\'font-family:宋体;color:#252525\'>不得利用所租房屋进行非法活动，不得发出超过规定标准的噪声。租赁房内如有可疑的流动及外来人员，应及时向相关机关报告。</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:24.0pt;\nbackground:white\'><span lang=EN-US style=\'font-family:"Arial","sans-serif";\ncolor:#252525\'>5.</span><span style=\'font-family:宋体;color:#252525\'>不使用液化气，不违规使用管道燃气等燃气具。</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:24.0pt;\nbackground:white\'><span lang=EN-US style=\'font-family:"Arial","sans-serif";\ncolor:#252525\'>6.</span><span style=\'font-family:宋体;color:#252525\'>在有火警紧急情况下能冷静准确向</span><span\n        lang=EN-US style=\'font-family:"Arial","sans-serif";color:#252525\'>119</span><span\n        style=\'font-family:宋体;color:#252525\'>报警并灭火，正确使用灭火设备、设施、物品等，扑灭初期火灾，撤离人员、保护现场。</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:24.0pt;\nbackground:white\'><span lang=EN-US style=\'font-family:"Arial","sans-serif";\ncolor:#252525\'>7.</span><span style=\'font-family:宋体;color:#252525\'>严禁私自使用电炉，碘钨灯，严禁非专业人员安装电气设备，燃气用具等。</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:24.0pt;\nbackground:white\'><span lang=EN-US style=\'font-family:"Arial","sans-serif";\ncolor:#252525\'>8.</span><span style=\'font-family:宋体;color:#252525\'>注意做好保温防冻工作，避免室内设施损坏。</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:24.0pt;\nbackground:white\'><span lang=EN-US style=\'font-family:"Arial","sans-serif";\ncolor:#252525\'>9.</span><span style=\'font-family:宋体;color:#252525\'>认真履行《房屋租赁合同书》《长春市人才公寓管理规定》中有关安全管理方面的条款内容，服从公安消防及出租方对安全工作所提出的要求，在接到甲方或公安消防的安全隐患整改通知书之后，必须在规定时间内按照安全隐患整改通知书中的要求进行整改。</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:24.0pt;\nbackground:white\'><span lang=EN-US style=\'font-family:"Arial","sans-serif";\ncolor:#252525\'>10.</span><span style=\'font-family:宋体;color:#252525\'>负有使用房屋的整体结构及原貌完好无损的责任。不得私自拆除和改建房屋、不得加大房屋的负载、不得在承租屋内外违法搭建建筑物、构筑物。确需对使用房屋进行装修的，装修方案必须经甲方书面批准，并符合室内装修管理的有关规定，在甲方的监督下进行。</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:24.0pt;\nbackground:white\'><span lang=EN-US style=\'font-family:"Arial","sans-serif";\ncolor:#252525\'>11.</span><span style=\'font-family:宋体;color:#252525\'>不得擅自占用、移装共用设施、设备。乙方如需对使用房屋内的配电、供水等设备设施进行改造或变更的，必须征得甲方书面同意。</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:24.0pt;\nbackground:white\'><span lang=EN-US style=\'font-family:"Arial","sans-serif";\ncolor:#252525\'>12.</span><span style=\'font-family:宋体;color:#252525\'>当甲方进行装修改造时，乙方应积极配合。</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:24.0pt;\nbackground:white\'><span lang=EN-US style=\'font-family:"Arial","sans-serif";\ncolor:#252525\'>13.</span><span style=\'font-family:宋体;color:#252525\'>乙方作为消防责任主体，落实消防安全责任制，认真做好消防安全自检自查工作。</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:24.0pt;\nbackground:white\'><span style=\'font-family:宋体;color:#252525\'>四、乙方不得转租承租房屋。</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:24.0pt;\nbackground:white\'><span style=\'font-family:宋体;color:#252525\'>五、甲乙双方对上述各项消防安全管理责任、义务应认真执行，若有违反承担相关法律后果。</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:24.0pt;\nbackground:white\'><span style=\'font-family:宋体;color:#252525\'>六、安全责任</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:24.0pt;\nbackground:white\'><span lang=EN-US style=\'font-family:"Arial","sans-serif";\ncolor:#252525\'>1.</span><span style=\'font-family:宋体;color:#252525\'>如因乙方的下列行为，造成安全事故或财产损失的，由乙方承担全部责任：</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:24.0pt;\nbackground:white\'><span lang=EN-US style=\'font-family:"Arial","sans-serif";\ncolor:#252525\'>(1)</span><span style=\'font-family:宋体;color:#252525\'>乙方未及时向甲方提出维修请求</span><span\n        lang=EN-US style=\'font-family:"Arial","sans-serif";color:#252525\'>;</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:24.0pt;\nbackground:white\'><span lang=EN-US style=\'font-family:"Arial","sans-serif";\ncolor:#252525\'>(2)</span><span style=\'font-family:宋体;color:#252525\'>应由乙方承担维修义务而乙方未予及时维修</span><span\n        lang=EN-US style=\'font-family:"Arial","sans-serif";color:#252525\'>;</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:24.0pt;\nbackground:white\'><span lang=EN-US style=\'font-family:"Arial","sans-serif";\ncolor:#252525\'>(3)</span><span style=\'font-family:宋体;color:#252525\'>乙方未经甲方书面许可，对使用房屋进行装修或对设备、设施改造</span><span\n        lang=EN-US style=\'font-family:"Arial","sans-serif";color:#252525\'>;</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:24.0pt;\nbackground:white\'><span lang=EN-US style=\'font-family:"Arial","sans-serif";\ncolor:#252525\'>(4)</span><span style=\'font-family:宋体;color:#252525\'>乙方将房屋部分或全部转租他人</span><span\n        lang=EN-US style=\'font-family:"Arial","sans-serif";color:#252525\'>;</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:24.0pt;\nbackground:white\'><span lang=EN-US style=\'font-family:"Arial","sans-serif";\ncolor:#252525\'>(5)</span><span style=\'font-family:宋体;color:#252525\'>其他使用合同或本责任书限制或禁止实施的行为。</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:24.0pt;\nbackground:white\'><span lang=EN-US style=\'font-family:"Arial","sans-serif";\ncolor:#252525\'>2.</span><span style=\'font-family:宋体;color:#252525\'>乙方在接到甲方发出的书面整改通知后，应即时进行整改。如因乙方整改不及时或整改措施不到位，造成人员安全事故或财产损失的，由乙方承担全部责任。</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:24.0pt;\nbackground:white\'><span lang=EN-US style=\'font-family:"Arial","sans-serif";\ncolor:#252525\'>3.</span><span style=\'font-family:宋体;color:#252525\'>在乙方使用房屋过程中，由于乙方原因出现人身事故、生老病死或伤亡，安全事故或财产损失的，由乙方承担全部责任。</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:24.0pt;\nbackground:white\'><span style=\'font-family:宋体;color:#252525\'>以上各项条款是根据《中华人民共和国消防法》编制，任何承租人、使用人应严格遵守。由于乙方或其他方责任引起的伤亡、火灾、车辆、物损、治安等各类事故，造成自身、甲方或第三方伤亡和财产损失的，应由责任方承担事故责任和经济赔偿，甲方不承担任何责任；甲方对发生的各类事故，尽力协助做好抢救工作，所需费用由责任方承担。有违反上述规定，甲方有权交由有关部门依法处理。</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:24.0pt;\nbackground:white\'><span style=\'font-family:宋体;color:#252525\'>七、本责任书于双方签订《房屋租赁合同书》同时签订，有效期自合同签订之日起至乙方腾空使用房屋并交还甲方时止。</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;text-indent:24.0pt;\nbackground:white\'><span style=\'font-family:宋体;color:#252525\'>八、本责任书一式两份，甲、乙双方各执一份，甲、乙双方签字或盖章后生效。</span></p>\n\n      <p class=MsoNormal align=left style=\'margin-top:19.5pt;margin-right:0cm;\nmargin-bottom:19.5pt;margin-left:0cm;text-align:left;text-indent:24.0pt;\nbackground:white\'><span lang=EN-US style=\'font-family:"Arial","sans-serif";\ncolor:#252525\'>&nbsp;</span></p>\n\n      <p class=MsoNormal align=left style=\'margin-top:19.5pt;margin-right:0cm;\nmargin-bottom:19.5pt;margin-left:0cm;text-align:left;text-indent:24.0pt;\nbackground:white\'><span lang=EN-US style=\'font-family:"Arial","sans-serif";\ncolor:#252525\'>&nbsp;</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;background:white\'><span\n        style=\'font-family:宋体;color:#252525\'>甲方：长春润德投资集团有限公司资产经营分公司</span><span\n        style=\'font-family:"Arial","sans-serif";color:#252525\'> </span><span\n        style=\'font-family:宋体;color:#252525\'>乙方：</span></p>\n\n      <p class=MsoNormal align=left style=\'margin-top:19.5pt;margin-right:0cm;\nmargin-bottom:19.5pt;margin-left:0cm;text-align:left;text-indent:44.0pt;\nbackground:white\'><span lang=EN-US style=\'font-family:"Arial","sans-serif";\ncolor:#252525\'>&nbsp;</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;background:white\'><span\n        style=\'font-family:宋体;color:#252525\'>（盖章）</span><span lang=EN-US\n                                                              style=\'font-family:"Arial","sans-serif";color:#252525\'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;\n&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;\n&nbsp;&nbsp;&nbsp;</span><span style=\'font-family:宋体;color:#252525\'>（盖章或签字）</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;background:white\'><span\n        style=\'font-family:宋体;color:#252525\'>法定代表人：高文禄</span><span lang=EN-US\n                                                                   style=\'font-family:"Arial","sans-serif";color:#252525\'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;\n&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span></p>\n\n      <p class=MsoNormal align=left style=\'text-align:left;background:white\'><span\n        style=\'font-family:宋体;color:#252525\'>电话：</span><span lang=EN-US\n                                                             style=\'font-family:"Arial","sans-serif";color:#252525\'>&nbsp;0431-81802555&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;\n&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span><span\n        style=\'font-family:宋体;color:#252525\'>电话：</span></p>\n\n      <p class=MsoNormal align=right style=\'margin-top:19.5pt;margin-right:0cm;\nmargin-bottom:19.5pt;margin-left:0cm;text-align:right;text-indent:24.0pt;\nbackground:white\'><span style=\'font-family:宋体;color:#252525\'>年</span><span\n        lang=EN-US style=\'font-family:"Arial","sans-serif";color:#252525\'>&#8195;&#8195;</span><span\n        style=\'font-family:宋体;color:#252525\'>月</span><span lang=EN-US style=\'font-family:\n"Arial","sans-serif";color:#252525\'>&#8195;&#8195;</span><span style=\'font-family:宋体;\ncolor:#252525\'>日</span></p>\n\n\n  </div>\n</ion-content>\n'/*ion-inline-end:"D:\ionicapps\talentApartment\src\pages\home\requisition\confirmAvailability\textModal\textModal.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ViewController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"]])
    ], textModalPage);
    return textModalPage;
}());

//# sourceMappingURL=textModal.js.map

/***/ }),

/***/ 362:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return homePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(9);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_HttpClient__ = __webpack_require__(14);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__base_base_page__ = __webpack_require__(13);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__requisition_requisition__ = __webpack_require__(155);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__basicInformation_basicInformation__ = __webpack_require__(363);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__myContract_myContract__ = __webpack_require__(365);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__renewedRent_renewedRent__ = __webpack_require__(367);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__findHouse_findHouse__ = __webpack_require__(138);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_9__message_message__ = __webpack_require__(369);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_10__retirement_retirement__ = __webpack_require__(371);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_11__maintain_maintain__ = __webpack_require__(373);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_12_ionic2_jpush__ = __webpack_require__(154);
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};













var homePage = (function (_super) {
    __extends(homePage, _super);
    function homePage(navCtrl, httpClient, jpush, platform, app, toastCtrl) {
        var _this = _super.call(this) || this;
        _this.navCtrl = navCtrl;
        _this.httpClient = httpClient;
        _this.jpush = jpush;
        _this.platform = platform;
        _this.app = app;
        _this.toastCtrl = toastCtrl;
        platform.ready().then(function () {
            _this.init();
            _this.jpush.openNotification()
                .subscribe(function (res) {
                _this.app.getRootNav().push(__WEBPACK_IMPORTED_MODULE_9__message_message__["a" /* messagePage */], { data: res.title + ":" + res.alert });
            });
            _this.jpush.receiveNotification()
                .subscribe(function (res) {
                console.log(res);
                console.log('收到通知');
            });
            _this.jpush.receiveMessage()
                .subscribe(function (res) {
                console.log(res);
                console.log('收到自定义消息');
            });
            _this.jpush.backgroundNotification()
                .subscribe(function (res) {
                console.log(res);
                console.log('收到后台通知');
            });
        });
        return _this;
    }
    homePage.prototype.init = function () {
        this.jpush.init()
            .then(function (res) { return console.log(res); })
            .catch(function (err) { return console.log(err); });
    };
    homePage.prototype.ionViewLoaded = function () {
        /*WechatPlugin.sendPaymentRequest(data.data.info).then((result) => {
          // 支付成功
          that.toPayResult();
        }), (error) => {
          // 支付失败
          that.showToastText(that.toastCtrl, error);
        };*/
    };
    homePage.prototype.goToSlide = function () {
        this.slides.slideTo(2, 500);
    };
    //进入相对应的页面
    homePage.prototype.goDetail = function (item) {
        if (item == "applicationInquiry") {
            this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_4__requisition_requisition__["a" /* requisitionPage */]);
        }
        else if (item == "basicInformation") {
            this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_5__basicInformation_basicInformation__["a" /* basicInformationPage */]);
        }
        else if (item == "myContract") {
            this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_6__myContract_myContract__["a" /* myContractPage */]);
        }
        else if (item == "renewedRent") {
            this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_7__renewedRent_renewedRent__["a" /* renewedRentPage */]);
        }
        else if (item == "renting") {
            this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_8__findHouse_findHouse__["a" /* findHousePage */]);
        }
        else if (item == "notice") {
            this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_9__message_message__["a" /* messagePage */]);
        }
        else if (item == "retirement") {
            this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_10__retirement_retirement__["a" /* retirementPage */]);
        }
        else if (item == "maintain") {
            this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_11__maintain_maintain__["a" /* maintainPage */]);
        }
    };
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["ViewChild"])(__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["Slides"]),
        __metadata("design:type", __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["Slides"])
    ], homePage.prototype, "slides", void 0);
    homePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-home',template:/*ion-inline-start:"D:\ionicapps\talentApartment\src\pages\home\home.html"*/'<ion-header>\n  <ion-navbar>\n    <ion-title>长春市人才公寓</ion-title>\n  </ion-navbar>\n</ion-header>\n\n<ion-content>\n  <ion-slides pager="true">\n    <ion-slide>\n      <div class="swiper-zoom-container">\n        <img src="assets/images/1.png">\n      </div>\n    </ion-slide>\n    <ion-slide>\n      <div class="swiper-zoom-container">\n        <img src="assets/images/2.png">\n      </div>\n    </ion-slide>\n    <ion-slide>\n      <div class="swiper-zoom-container">\n        <img src="assets/images/3.png">\n      </div>\n    </ion-slide>\n  </ion-slides>\n  <div class="homeMenu">\n    <div class="homeMenuLevel">\n      <div class="homeMenuLevelLeft" tappable  (click)="goDetail(\'renting\')">\n        <div>我要租房</div>\n        <img src="assets/images/homeQuery.png">\n        <div>申请的意向房源列表和历史房源列表</div>\n      </div>\n      <div class="homeMenuLevelRight">\n        <div class="homeMenuLevelRightLeft" tappable  (click)="goDetail(\'basicInformation\')">\n          <div>基本信息</div>\n          <img src="assets/images/info.png">\n        </div>\n        <div class="homeMenuLevelRightRight" tappable  (click)="goDetail(\'applicationInquiry\')">\n          <div>申请单查询</div>\n          <img src="assets/images/query.png">\n        </div>\n      </div>\n    </div>\n    <div class="homeMenuLevel">\n      <div class="homeMenuLevelLeft down" (click)="goDetail(\'notice\')">\n        <div>我的消息</div>\n        <img src="assets/images/notice.png">\n        <div>我收到的通知消息</div>\n      </div>\n      <div class="homeMenuLevelRightDown">\n        <div class="homeMenuLevelRightLeft" tappable  (click)="goDetail(\'myContract\')">\n          <div>我的合同</div>\n          <img src="assets/images/myContract.png">\n        </div>\n        <div class="homeMenuLevelRightRight" tappable (click)="goDetail(\'maintain\')">\n          <div>维修服务</div>\n          <img src="assets/images/maintenanceService.png">\n        </div>\n        <div class="homeMenuLevelRightDownDown">\n          <div class="homeMenuLevelRightDownDownLeft" tappable (click)="goDetail(\'retirement\')">\n            <div>退租</div>\n          </div>\n          <div class="homeMenuLevelRightDownDownRight" tappable  (click)="goDetail(\'renewedRent\')">\n            <div>续租</div>\n          </div>\n        </div>\n      </div>\n    </div>\n  </div>\n</ion-content>\n'/*ion-inline-end:"D:\ionicapps\talentApartment\src\pages\home\home.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_2__providers_HttpClient__["a" /* HttpClient */],
            __WEBPACK_IMPORTED_MODULE_12_ionic2_jpush__["b" /* JPushService */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["Platform"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["App"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ToastController"]])
    ], homePage);
    return homePage;
}(__WEBPACK_IMPORTED_MODULE_3__base_base_page__["a" /* BasePage */]));

//# sourceMappingURL=home.js.map

/***/ }),

/***/ 363:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return basicInformationPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(9);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ionic_native_camera__ = __webpack_require__(364);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__base_base_page__ = __webpack_require__(13);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_service_config__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__providers_HttpClient__ = __webpack_require__(14);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__providers_Utils__ = __webpack_require__(156);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__model_BasicInformation__ = __webpack_require__(709);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__login_login__ = __webpack_require__(30);
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};









var basicInformationPage = (function (_super) {
    __extends(basicInformationPage, _super);
    function basicInformationPage(navCtrl, navParams, httpClient, camera, actionSheetCtrl, toastCtrl) {
        var _this = _super.call(this) || this;
        _this.navCtrl = navCtrl;
        _this.navParams = navParams;
        _this.httpClient = httpClient;
        _this.camera = camera;
        _this.actionSheetCtrl = actionSheetCtrl;
        _this.toastCtrl = toastCtrl;
        _this.type = "people";
        _this.basicInformation = new __WEBPACK_IMPORTED_MODULE_7__model_BasicInformation__["a" /* BasicInformationModel */]();
        _this.talentTypeList = [];
        _this.professionalRankList = [];
        _this.technicalRankList = [];
        _this.companyNatureList = [];
        _this.shortageTalentClassifyList = [];
        _this.shortageTalentClassifyList1 = [];
        _this.advancedTalentClassifyList = [];
        _this.degreeList = [];
        _this.photoStatus = ""; //图片上传类型
        _this.picUrl = '';
        _this.submitStatus = false;
        _this.picUrl = __WEBPACK_IMPORTED_MODULE_4__providers_service_config__["a" /* ServiceConfig */].IP;
        return _this;
    }
    basicInformationPage.prototype.ionViewDidEnter = function () {
        var isLogin = JSON.parse(localStorage.getItem("isLogin"));
        if (isLogin || isLogin == "true") {
            this.getBasicInformation();
        }
        else {
            this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_8__login_login__["a" /* loginPage */]);
        }
        console.log("basicInformationPage 加载");
    };
    basicInformationPage.prototype.getBasicInformation = function () {
        var self = this;
        var user = JSON.parse(localStorage.getItem("user"));
        this.httpClient.postWithToken(__WEBPACK_IMPORTED_MODULE_4__providers_service_config__["a" /* ServiceConfig */].GET_BASICINFORMATION + "?action=GetApartmentTalent", {
            "userId": user.id
        }, function (data) {
            self.GetEduction();
            if (data.status == 1 || data.status == "1") {
                if (data.retObject != null) {
                    self.basicInformation = data.retObject;
                    self.basicInformation.birthday = Object(__WEBPACK_IMPORTED_MODULE_6__providers_Utils__["c" /* stringDateFormat */])(data.retObject.birthday);
                    self.basicInformation.submitDate = Object(__WEBPACK_IMPORTED_MODULE_6__providers_Utils__["c" /* stringDateFormat */])(data.retObject.submitDate);
                    self.basicInformation.laborContractStartDate = Object(__WEBPACK_IMPORTED_MODULE_6__providers_Utils__["c" /* stringDateFormat */])(data.retObject.laborContractStartDate);
                    self.basicInformation.laborContractEndDate = Object(__WEBPACK_IMPORTED_MODULE_6__providers_Utils__["c" /* stringDateFormat */])(data.retObject.laborContractEndDate);
                    self.basicInformation.graduateDate = Object(__WEBPACK_IMPORTED_MODULE_6__providers_Utils__["c" /* stringDateFormat */])(data.retObject.graduateDate);
                }
            }
        });
    };
    basicInformationPage.prototype.GetEduction = function () {
        var self = this;
        this.httpClient.getNotLoading(__WEBPACK_IMPORTED_MODULE_4__providers_service_config__["a" /* ServiceConfig */].GET_BASICINFORMATION, {
            "action": "GetAllType"
        }, function (data) {
            console.log(data);
            self.talentTypeList = data.talentType;
            self.professionalRankList = data.professionalRank;
            self.technicalRankList = data.technicalRank;
            self.companyNatureList = data.companyNature;
            self.shortageTalentClassifyList = data.shortageTalentClassify;
            self.advancedTalentClassifyList = data.advancedTalentClassify;
            self.degreeList = data.degree;
            if (self.basicInformation.talentType == "1") {
                self.shortageTalentClassifyList1 = self.advancedTalentClassifyList;
            }
            else if (self.basicInformation.talentType == "2") {
                self.shortageTalentClassifyList1 = self.shortageTalentClassifyList;
            }
            else {
                self.shortageTalentClassifyList1 = [];
            }
        });
    };
    //保存
    basicInformationPage.prototype.save = function () {
        if (this.basicInformation.userCName == "" || this.basicInformation.sex == "" || this.basicInformation.origin == "" || this.basicInformation.nation == ""
            || this.basicInformation.mobile == "" || this.basicInformation.birthday == "" || this.basicInformation.personCardNo == "" || this.basicInformation.marriage == ""
            || this.basicInformation.education == "" || this.basicInformation.educationNum == "" || this.basicInformation.graduateSchool == "" || this.basicInformation.email == ""
            || this.basicInformation.graduateDate == "" || this.basicInformation.laborContractStartDate == "" || this.basicInformation.laborContractEndDate == "" || this.basicInformation.personIdPic1 == ""
            || this.basicInformation.personIdPic2 == "" || this.basicInformation.approvePic == "" || this.basicInformation.companyNature == ""
            || this.basicInformation.companyName == "" || this.basicInformation.companyUserName == "" || this.basicInformation.companyUserPhone == "" || this.basicInformation.workYears == ""
            || this.basicInformation.companyPhone == "" || this.basicInformation.avatar == "" || this.basicInformation.address == "") {
            this.showToastText(this.toastCtrl, "请先填写必填信息后再进行保存!");
        }
        else {
            var self_1 = this;
            var user = JSON.parse(localStorage.getItem("user"));
            self_1.basicInformation.userId = user.id;
            this.httpClient.postWithToken(__WEBPACK_IMPORTED_MODULE_4__providers_service_config__["a" /* ServiceConfig */].GET_BASICINFORMATION + "?action=SaveApartmentTalent", self_1.basicInformation, function (data) {
                self_1.submitStatus = true;
                self_1.showToastText(self_1.toastCtrl, data.msg);
            });
        }
    };
    //提交个人信息
    basicInformationPage.prototype.submitBasicInformation = function () {
        if (this.submitStatus) {
            var self_2 = this;
            var user = JSON.parse(localStorage.getItem("user"));
            self_2.basicInformation.userId = user.id;
            this.httpClient.postWithToken(__WEBPACK_IMPORTED_MODULE_4__providers_service_config__["a" /* ServiceConfig */].GET_BASICINFORMATION + "?action=SubmitApartmentTalent", self_2.basicInformation, function (data) {
                self_2.getBasicInformation();
                self_2.showToastText(self_2.toastCtrl, data.msg);
            });
        }
        else {
            this.showToastText(this.toastCtrl, "请您先保存后再进行提交!");
        }
    };
    // 拍照或视频
    basicInformationPage.prototype.presentActionSheet = function (status) {
        this.photoStatus = status;
        var self = this;
        var actionSheet = this.actionSheetCtrl.create({
            title: '请选择',
            buttons: [
                {
                    text: '相册',
                    handler: function () {
                        self.selectPhoto(0);
                    }
                }, {
                    text: '拍照',
                    handler: function () {
                        self.selectPhoto(1);
                    }
                }, {
                    text: '取消',
                    role: 'cancel',
                    handler: function () {
                    }
                }
            ]
        });
        actionSheet.present();
    };
    // 选择照片
    basicInformationPage.prototype.selectPhoto = function (sourceType) {
        // sourceType 0表示相册，1表示相机
        var self = this;
        var options = {
            quality: 50,
            destinationType: this.camera.DestinationType.FILE_URI,
            encodingType: this.camera.EncodingType.JPEG,
            sourceType: sourceType,
            mediaType: this.camera.MediaType.PICTURE,
            targetWidth: 500,
            targetHeight: 500
        };
        this.camera.getPicture(options).then(function (imagePath) {
            self.updatePhoto(imagePath);
        }, function (err) {
            self.showToastText(self.toastCtrl, err.toString());
        });
    };
    // 上传照片
    basicInformationPage.prototype.updatePhoto = function (filePath) {
        var self = this;
        this.httpClient.uploadFile(0, filePath, function (data) {
            console.log(data);
            if (data.status == 1) {
                self.basicInformation[self.photoStatus] = data.path;
            }
            else {
                self.showToastText(self.toastCtrl, data.msg);
            }
        });
    };
    //修改申请人才
    basicInformationPage.prototype.changeTalentType = function () {
        this.basicInformation.shortageTalentClassify = "";
        if (this.basicInformation.talentType == "1") {
            this.shortageTalentClassifyList1 = this.advancedTalentClassifyList;
        }
        else if (this.basicInformation.talentType == "2") {
            this.shortageTalentClassifyList1 = this.shortageTalentClassifyList;
        }
        else {
            this.shortageTalentClassifyList1 = [];
        }
    };
    basicInformationPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-basicInformation',template:/*ion-inline-start:"D:\ionicapps\talentApartment\src\pages\home\basicInformation\basicInformation.html"*/'<ion-header>\n  <ion-navbar>\n    <ion-title>基本信息</ion-title>\n        <ion-buttons end>\n          <button ion-button icon-only (click)="save()" [disabled]="basicInformation.state!=\'0\'&& basicInformation.state!=\'12\'&& basicInformation.state!=\'9\' && basicInformation.state!=\'\'">\n            保存\n          </button>\n          <button ion-button icon-only (click)="submitBasicInformation()" [disabled]="basicInformation.state!=\'0\'&& basicInformation.state!=\'12\' && basicInformation.state!=\'9\' && basicInformation.state!=\'\'">\n            提交\n      </button>\n    </ion-buttons>\n  </ion-navbar>\n</ion-header>\n\n<ion-content>\n  <div padding>\n    <ion-segment [(ngModel)]="type">\n      <ion-segment-button value="people">\n        基本信息\n      </ion-segment-button>\n      <ion-segment-button value="spouseInformation">\n        配偶信息\n      </ion-segment-button>\n      <ion-segment-button value="other">\n        其他信息\n      </ion-segment-button>\n    </ion-segment>\n  </div>\n\n  <div [ngSwitch]="type">\n    <ion-list *ngSwitchCase="\'people\'">\n      <ion-item *ngIf="shortageTalentClassifyList1.length>0">\n        <ion-label>申请人才类型</ion-label>\n        <ion-select [(ngModel)]="basicInformation.talentType" cancelText="取消" okText="确定" (ngModelChange)="changeTalentType()">\n          <ion-option *ngFor="let talentType of talentTypeList" [value]="talentType.value">{{talentType.key}}</ion-option>\n        </ion-select>\n        <ion-select [(ngModel)]="basicInformation.shortageTalentClassify"  cancelText="取消" okText="确定">\n          <ion-option *ngFor="let shortageTalentClassify of shortageTalentClassifyList1" [value]="shortageTalentClassify.value">{{shortageTalentClassify.key}}</ion-option>\n      </ion-select>\n      </ion-item>\n      <ion-item *ngIf="shortageTalentClassifyList1.length==0">\n        <ion-label>申请人才类型</ion-label>\n        <ion-select [(ngModel)]="basicInformation.talentType" cancelText="取消" okText="确定" (ngModelChange)="changeTalentType()">\n          <ion-option *ngFor="let talentType of talentTypeList" [value]="talentType.value">{{talentType.key}}</ion-option>\n        </ion-select>\n      </ion-item>\n      <ion-item>\n        <ion-label><i>*</i>姓名</ion-label>\n        <ion-input type="text" [(ngModel)]="basicInformation.userCName"></ion-input>\n      </ion-item>\n      <ion-item>\n        <ion-label><i>*</i>通讯地址</ion-label>\n        <ion-input type="text" [(ngModel)]="basicInformation.address"></ion-input>\n      </ion-item>\n      <ion-item>\n        <ion-label><i>*</i>性别</ion-label>\n        <ion-select [(ngModel)]="basicInformation.sex" cancelText="取消" okText="确定">\n          <ion-option value="男">男</ion-option>\n          <ion-option value="女">女</ion-option>\n        </ion-select>\n      </ion-item>\n      <ion-item>\n        <ion-label><i>*</i>籍贯</ion-label>\n        <ion-input type="text" [(ngModel)]="basicInformation.origin"></ion-input>\n      </ion-item>\n      <ion-item>\n        <ion-label><i>*</i>民族</ion-label>\n        <ion-input type="text" [(ngModel)]="basicInformation.nation"></ion-input>\n      </ion-item>\n      <ion-item>\n        <ion-label>联系电话</ion-label>\n        <ion-input type="text" [(ngModel)]="basicInformation.contactPhone"></ion-input>\n      </ion-item>\n      <ion-item>\n        <ion-label><i>*</i>手机</ion-label>\n        <ion-input type="text" [(ngModel)]="basicInformation.mobile"></ion-input>\n      </ion-item>\n      <ion-item>\n        <ion-label><i>*</i>出生日期</ion-label>\n        <ion-datetime displayFormat="YYYY-MM-DD" [(ngModel)]="basicInformation.birthday" cancelText="取消" doneText="确定"></ion-datetime>\n      </ion-item>\n      <ion-item>\n        <ion-label><i>*</i>政治面貌</ion-label>\n        <ion-select [(ngModel)]="basicInformation.politicalStatus" cancelText="取消" okText="确定">\n          <ion-option value="党员">党员</ion-option>\n          <ion-option value="团员">团员</ion-option>\n          <ion-option value="群众">群众</ion-option>\n          <ion-option value="民主党派">民主党派</ion-option>\n        </ion-select>\n      </ion-item>\n      <ion-item>\n        <ion-label><i>*</i>身份证号码</ion-label>\n        <ion-input type="text" [(ngModel)]="basicInformation.personCardNo"></ion-input>\n      </ion-item>\n      <ion-item>\n        <ion-label><i>*</i>婚姻状况</ion-label>\n        <ion-select [(ngModel)]="basicInformation.marriage" cancelText="取消" okText="确定">\n          <ion-option value="未婚">未婚</ion-option>\n          <ion-option value="已婚">已婚</ion-option>\n        </ion-select>\n      </ion-item>\n      <ion-item>\n        <ion-label><i>*</i>学历</ion-label>\n        <ion-select [(ngModel)]="basicInformation.education" cancelText="取消" okText="确定">\n          <ion-option *ngFor="let degree of degreeList" [value]="degree.value">{{degree.key}}</ion-option>\n        </ion-select>\n      </ion-item>\n      <ion-item>\n        <ion-label><i>*</i>学历证书编号</ion-label>\n        <ion-input type="text" [(ngModel)]="basicInformation.educationNum"></ion-input>\n      </ion-item>\n      <ion-item>\n        <ion-label><i>*</i>学位</ion-label>\n        <ion-select [(ngModel)]="basicInformation.degree" cancelText="取消" okText="确定">\n          <ion-option value="其他">其他</ion-option>\n          <ion-option value="博士">博士</ion-option>\n          <ion-option value="硕士">硕士</ion-option>\n          <ion-option value="学士">学士</ion-option>\n        </ion-select>\n      </ion-item>\n      <ion-item>\n        <ion-label><i>*</i>毕业院校</ion-label>\n        <ion-input type="text" [(ngModel)]="basicInformation.graduateSchool"></ion-input>\n      </ion-item>\n      <ion-item>\n        <ion-label><i>*</i>E-mail</ion-label>\n        <ion-input type="email" [(ngModel)]="basicInformation.email" placeholder="现使用邮箱，确保邮件可以送达"></ion-input>\n      </ion-item>\n      <ion-item>\n        <ion-label><i>*</i>毕业日期</ion-label>\n        <ion-datetime displayFormat="YYYY-MM-DD" [(ngModel)]="basicInformation.graduateDate" cancelText="取消" doneText="确定"></ion-datetime>\n      </ion-item>\n      <ion-item>\n        <ion-label><i>*</i>单位电话</ion-label>\n        <ion-input type="number" [(ngModel)]="basicInformation.companyPhone"></ion-input>\n      </ion-item>\n      <ion-item>\n        <ion-label><i>*</i>在长工作时间</ion-label>\n        <ion-input type="number" [(ngModel)]="basicInformation.workYears"></ion-input>\n      </ion-item>\n      <ion-item>\n        <ion-label><i>*</i>劳动合同开始日期</ion-label>\n        <ion-datetime displayFormat="YYYY-MM-DD" [(ngModel)]="basicInformation.laborContractStartDate" cancelText="取消" doneText="确定"></ion-datetime>\n      </ion-item>\n      <ion-item>\n        <ion-label><i>*</i>劳动合同结束日期</ion-label>\n        <ion-datetime displayFormat="YYYY-MM-DD" max="2050-12-30" [(ngModel)]="basicInformation.laborContractEndDate" cancelText="取消" doneText="确定"></ion-datetime>\n      </ion-item>\n      <ion-item>\n        <ion-label>技术职称</ion-label>\n        <ion-select [(ngModel)]="basicInformation.professionalRank" cancelText="取消" okText="确定">\n          <ion-option *ngFor="let professionalRank of professionalRankList" [value]="professionalRank.value">{{professionalRank.key}}</ion-option>\n        </ion-select>\n      </ion-item>\n      <ion-item>\n        <ion-label>技能职称</ion-label>\n        <ion-select [(ngModel)]="basicInformation.technicalRank" cancelText="取消" okText="确定">\n          <ion-option *ngFor="let technicalRank of technicalRankList" [value]="technicalRank.value">{{technicalRank.key}}</ion-option>\n        </ion-select>\n      </ion-item>\n      <ion-item>\n        <ion-label>组织结构代码</ion-label>\n        <ion-input type="text" [(ngModel)]="basicInformation.companyCode"></ion-input>\n      </ion-item>\n      <ion-item>\n        <ion-label>企业地址</ion-label>\n        <ion-input type="text" [(ngModel)]="basicInformation.companyAddress"></ion-input>\n      </ion-item>\n      <ion-item>\n        <ion-label>企业公积金</ion-label>\n        <ion-input type="text" [(ngModel)]="basicInformation.companyFundCode"></ion-input>\n      </ion-item>\n      <ion-item>\n        <ion-label>传值号码</ion-label>\n        <ion-input type="text" [(ngModel)]="basicInformation.companyFax"></ion-input>\n      </ion-item>\n      <ion-item>\n        <ion-label><i>*</i>企业联系人</ion-label>\n        <ion-input type="text" [(ngModel)]="basicInformation.companyUserName"></ion-input>\n      </ion-item>\n      <ion-item>\n        <ion-label><i>*</i>联系人手机</ion-label>\n        <ion-input type="text" [(ngModel)]="basicInformation.companyUserPhone"></ion-input>\n      </ion-item>\n      <ion-item>\n        <ion-label><i>*</i>所在单位名称</ion-label>\n        <ion-input type="text" [(ngModel)]="basicInformation.companyName"></ion-input>\n      </ion-item>\n      <ion-item>\n        <ion-label><i>*</i>单位性质</ion-label>\n        <ion-select [(ngModel)]="basicInformation.companyNature" cancelText="取消" okText="确定">\n          <ion-option *ngFor="let companyNature of companyNatureList" [value]="companyNature.value">{{companyNature.key}}</ion-option>\n        </ion-select>\n      </ion-item>\n    </ion-list>\n\n    <ion-list *ngSwitchCase="\'other\'" class="otherPicList">\n      <ion-item >\n        <label><i>*</i>二寸照片:</label>\n        <div class="camera">\n          <button (click)="presentActionSheet(\'avatar\')">\n            <img src="{{ basicInformation.avatar ? picUrl+basicInformation.avatar : \'assets/images/camera@2x.png\'}}">\n          </button>\n          <div class="button-inner-des">上传照片</div>\n        </div>\n      </ion-item>\n      <ion-item >\n        <label><i>*</i>身份证正面:</label>\n        <div class="camera">\n          <button (click)="presentActionSheet(\'personIdPic1\')">\n            <img src="{{ basicInformation.personIdPic1 ? picUrl+basicInformation.personIdPic1 : \'assets/images/camera@2x.png\'}}">\n          </button>\n          <div class="button-inner-des">上传照片</div>\n        </div>\n      </ion-item>\n      <ion-item>\n        <label><i>*</i>身份证背面:</label>\n        <div class="camera">\n          <button (click)="presentActionSheet(\'personIdPic2\')">\n            <img src="{{ basicInformation.personIdPic2 ? picUrl+basicInformation.personIdPic2 : \'assets/images/camera@2x.png\'}}">\n          </button>\n          <div class="button-inner-des">上传照片</div>\n        </div>\n      </ion-item>\n      <ion-item>\n        <label><i>*</i>准租证:</label>\n        <div class="camera">\n          <button (click)="presentActionSheet(\'approvePic\')">\n            <img src="{{ basicInformation.approvePic ? picUrl+basicInformation.approvePic : \'assets/images/camera@2x.png\'}}">\n          </button>\n          <div class="button-inner-des">上传照片</div>\n        </div>\n      </ion-item>\n      <ion-item>\n        <label>学位证书:</label>\n        <div class="camera">\n          <button (click)="presentActionSheet(\'graduatePic\')">\n            <img src="{{ basicInformation.graduatePic? picUrl+basicInformation.graduatePic : \'assets/images/camera@2x.png\'}}">\n          </button>\n          <div class="button-inner-des">上传照片</div>\n        </div>\n      </ion-item>\n      <ion-item>\n        <label>毕业证书:</label>\n        <div class="camera">\n          <button (click)="presentActionSheet(\'educationPic\')">\n            <img src="{{ basicInformation.educationPic ? picUrl+basicInformation.educationPic : \'assets/images/camera@2x.png\'}}">\n          </button>\n          <div class="button-inner-des">上传照片</div>\n        </div>\n      </ion-item>\n      <ion-item>\n        <label>无房证明:</label>\n        <div class="camera">\n          <button (click)="presentActionSheet(\'noRoomProvePic\')">\n            <img src="{{ basicInformation.noRoomProvePic ? picUrl+basicInformation.noRoomProvePic : \'assets/images/camera@2x.png\'}}">\n          </button>\n          <div class="button-inner-des">上传照片</div>\n        </div>\n      </ion-item>\n      <ion-item>\n        <label>职称证明:</label>\n        <div class="camera">\n          <button (click)="presentActionSheet(\'professionPic\')">\n            <img src="{{ basicInformation.professionPic ? picUrl+basicInformation.professionPic : \'assets/images/camera@2x.png\'}}">\n          </button>\n          <div class="button-inner-des">上传照片</div>\n        </div>\n      </ion-item>\n      <ion-item>\n        <label>高层次人才证明:</label>\n        <div class="camera">\n          <button (click)="presentActionSheet(\'advanceTalentPic\')">\n            <img src="{{ basicInformation.advanceTalentPic ? picUrl+basicInformation.advanceTalentPic : \'assets/images/camera@2x.png\'}}">\n          </button>\n          <div class="button-inner-des">上传照片</div>\n        </div>\n      </ion-item>\n      <ion-item>\n        <label>公司证明:</label>\n        <div class="camera">\n          <button (click)="presentActionSheet(\'companyProvePic\')">\n            <img src="{{ basicInformation.companyProvePic ? picUrl+basicInformation.companyProvePic : \'assets/images/camera@2x.png\'}}">\n          </button>\n          <div class="button-inner-des">上传照片</div>\n        </div>\n      </ion-item>\n    </ion-list>\n\n    <ion-list *ngSwitchCase="\'spouseInformation\'">\n      <ion-item>\n        <ion-label>姓名</ion-label>\n        <ion-input type="text" [(ngModel)]="basicInformation.mateCName"></ion-input>\n      </ion-item>\n      <ion-item>\n        <ion-label>身份证号码</ion-label>\n        <ion-input type="text" [(ngModel)]="basicInformation.mateCardNo"></ion-input>\n      </ion-item>\n      <ion-item>\n        <ion-label>联系人手机</ion-label>\n        <ion-input type="text" [(ngModel)]="basicInformation.mateMobile"></ion-input>\n      </ion-item>\n      <ion-item>\n        <ion-label>E-mail</ion-label>\n        <ion-input type="email" [(ngModel)]="basicInformation.mateEmail"></ion-input>\n      </ion-item>\n    </ion-list>\n  </div>\n</ion-content>\n'/*ion-inline-end:"D:\ionicapps\talentApartment\src\pages\home\basicInformation\basicInformation.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_5__providers_HttpClient__["a" /* HttpClient */],
            __WEBPACK_IMPORTED_MODULE_2__ionic_native_camera__["a" /* Camera */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ActionSheetController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ToastController"]])
    ], basicInformationPage);
    return basicInformationPage;
}(__WEBPACK_IMPORTED_MODULE_3__base_base_page__["a" /* BasePage */]));

//# sourceMappingURL=basicInformation.js.map

/***/ }),

/***/ 365:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return myContractPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(9);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__base_base_page__ = __webpack_require__(13);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_service_config__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_HttpClient__ = __webpack_require__(14);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__contractDetail_contractDetail__ = __webpack_require__(366);
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






var myContractPage = (function (_super) {
    __extends(myContractPage, _super);
    function myContractPage(navCtrl, navParams, httpClient, actionSheetCtrl, toastCtrl) {
        var _this = _super.call(this) || this;
        _this.navCtrl = navCtrl;
        _this.navParams = navParams;
        _this.httpClient = httpClient;
        _this.actionSheetCtrl = actionSheetCtrl;
        _this.toastCtrl = toastCtrl;
        _this.contractList = [];
        _this.type = "myList";
        return _this;
    }
    myContractPage.prototype.ionViewDidEnter = function () {
        console.log("basicInformationPage 加载");
        this.GetMyContractList();
    };
    myContractPage.prototype.GetMyContractList = function () {
        var self = this;
        var user = JSON.parse(localStorage.getItem("user"));
        this.httpClient.postWithToken(__WEBPACK_IMPORTED_MODULE_3__providers_service_config__["a" /* ServiceConfig */].GET_HOUSE + "?action=GetApartmentContracstByUserId", {
            "userId": user.id
        }, function (data) {
            if (data.status == "1") {
                self.contractList = data.retObject;
            }
            else {
                self.showToastText(self.toastCtrl, data.msg);
            }
        });
    };
    myContractPage.prototype.GetMyContractHistoryList = function () {
        var self = this;
        var user = JSON.parse(localStorage.getItem("user"));
        this.httpClient.postWithToken(__WEBPACK_IMPORTED_MODULE_3__providers_service_config__["a" /* ServiceConfig */].GET_HOUSE + "?action=GetHisApartmentContracstByUserId", {
            "userId": user.id
        }, function (data) {
            if (data.status == "1") {
                self.contractList = data.retObject;
            }
            else {
                self.showToastText(self.toastCtrl, data.msg);
            }
        });
    };
    myContractPage.prototype.goDeatil = function (id) {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_5__contractDetail_contractDetail__["a" /* contractDetailPage */], { "id": id });
    };
    myContractPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-myContract',template:/*ion-inline-start:"D:\ionicapps\talentApartment\src\pages\home\myContract\myContract.html"*/'<ion-header>\n  <ion-navbar>\n    <ion-title>我的合同</ion-title>\n  </ion-navbar>\n</ion-header>\n\n<ion-content>\n  <div padding>\n    <ion-segment [(ngModel)]="type">\n      <ion-segment-button value="myList" (click)="GetMyContractList()">\n        我的合同\n      </ion-segment-button>\n      <ion-segment-button value="history" (click)="GetMyContractHistoryList()">\n        历史合同\n      </ion-segment-button>\n    </ion-segment>\n  </div>\n  <div [ngSwitch]="type">\n    <ion-list *ngSwitchCase="\'myList\'">\n      <ion-item  *ngFor="let contract of contractList" (click)="goDeatil(contract.id)">\n        <div>{{contract.customerName}}租赁合同</div>\n        <div>{{contract.startDate | stringDateFormat}}-{{contract.startDate  | stringDateFormat}}</div>\n      </ion-item>\n    </ion-list>\n\n    <ion-list *ngSwitchCase="\'history\'">\n      <ion-item  *ngFor="let contract of contractList" (click)="goDeatil(contract.id)">\n        <div>{{contract.customerName}}租赁合同</div>\n        <div>{{contract.startDate | stringDateFormat}}-{{contract.startDate  | stringDateFormat}}</div>\n      </ion-item>\n    </ion-list>\n  </div>\n\n</ion-content>\n'/*ion-inline-end:"D:\ionicapps\talentApartment\src\pages\home\myContract\myContract.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_4__providers_HttpClient__["a" /* HttpClient */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ActionSheetController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ToastController"]])
    ], myContractPage);
    return myContractPage;
}(__WEBPACK_IMPORTED_MODULE_2__base_base_page__["a" /* BasePage */]));

//# sourceMappingURL=myContract.js.map

/***/ }),

/***/ 366:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return contractDetailPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(9);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__base_base_page__ = __webpack_require__(13);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_service_config__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_HttpClient__ = __webpack_require__(14);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__providers_weixinpay_service__ = __webpack_require__(710);
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






var contractDetailPage = (function (_super) {
    __extends(contractDetailPage, _super);
    function contractDetailPage(navCtrl, navParams, httpClient, actionSheetCtrl, toastCtrl) {
        var _this = _super.call(this) || this;
        _this.navCtrl = navCtrl;
        _this.navParams = navParams;
        _this.httpClient = httpClient;
        _this.actionSheetCtrl = actionSheetCtrl;
        _this.toastCtrl = toastCtrl;
        _this.contractId = "";
        _this.status = "2";
        _this.furnitures = [];
        _this.contractId = _this.navParams.get("id");
        return _this;
    }
    contractDetailPage.prototype.ionViewWillEnter = function () {
        this.GetHouse();
    };
    contractDetailPage.prototype.GetHouse = function () {
        var self = this;
        var user = JSON.parse(localStorage.getItem("user"));
        this.httpClient.postWithToken(__WEBPACK_IMPORTED_MODULE_3__providers_service_config__["a" /* ServiceConfig */].GET_HOUSE + "?action=GetApartmentContractById", {
            "userId": user.id,
            "Id": self.contractId
        }, function (data) {
            if (data.status == "1") {
                self.contractDetail = data.retObject;
            }
            else {
                self.showToastText(self.toastCtrl, data.msg);
            }
        });
    };
    ;
    //支付
    contractDetailPage.prototype.pay = function () {
        var self = this;
        var user = JSON.parse(localStorage.getItem("user"));
        this.httpClient.postWithToken(__WEBPACK_IMPORTED_MODULE_3__providers_service_config__["a" /* ServiceConfig */].GET_HOUSE + "?action=WePayApartmentContract", {
            "userId": user.id,
            "id": self.contractId
        }, function (data) {
            if (data.result == "1") {
                __WEBPACK_IMPORTED_MODULE_5__providers_weixinpay_service__["a" /* WeiXinPayService */].isInstalled().then((function (result) {
                    var params = {
                        partnerid: data.retObject.partnerid,
                        prepayid: data.retObject.prepayid,
                        noncestr: data.retObject.noncestr,
                        timestamp: data.retObject.timestamp,
                        sign: data.retObject.sign
                    };
                    __WEBPACK_IMPORTED_MODULE_5__providers_weixinpay_service__["a" /* WeiXinPayService */].sendPaymentRequest(params).then(function (result) {
                        // 支付成功
                        self.httpClient.postWithToken(__WEBPACK_IMPORTED_MODULE_3__providers_service_config__["a" /* ServiceConfig */].GET_HOUSE + "?action=WePaySucess", {
                            "userId": user.id,
                            "Id": self.contractId
                        }, function (data) {
                            self.navCtrl.pop();
                        });
                    }), function (error) {
                        // 支付失败
                        self.showToastText(self.toastCtrl, "支付失败");
                    };
                }), function (error) {
                    self.showToastText(self.toastCtrl, "请安装微信");
                });
            }
            else {
                self.showToastText(self.toastCtrl, "请联系管理员");
            }
        });
    };
    contractDetailPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-contractDetail',template:/*ion-inline-start:"D:\ionicapps\talentApartment\src\pages\home\myContract\contractDetail\contractDetail.html"*/'<ion-header>\n  <ion-navbar>\n    <ion-title>合同详情</ion-title>\n  </ion-navbar>\n</ion-header>\n\n<ion-content>\n  <ion-list *ngIf="contractDetail!=null">\n    <ion-item>合同编号 : {{contractDetail.contractNumber}}</ion-item>\n    <ion-item>承租人 : {{contractDetail.customerName}}</ion-item>\n    <ion-item>租赁期限 : {{contractDetail.startDate | stringDateFormat}}-{{contractDetail.endDate | stringDateFormat}}</ion-item>\n    <ion-item>房源信息 : {{contractDetail.districtName}}{{contractDetail.projectName}}{{contractDetail.houseNumber}}</ion-item>\n    <ion-item>履约保证金 : {{contractDetail.DepositAmount}}</ion-item>\n    <ion-item>合同租金总额 : {{contractDetail.rentAmount}}</ion-item>\n    <div *ngIf="contractDetail.payMode==\'0\'">\n	    <ion-item>支付方式 : 年付</ion-item>\n      <ion-item>支付租金 : {{contractDetail.rentAmount}} <span item-end class="paymentDate">{{contractDetail.paymentDate1 | stringDateFormat}}</span></ion-item>\n    </div>\n    <div *ngIf="contractDetail.payMode==\'1\'">\n	    <ion-item>支付方式 : 半年付</ion-item>\n      <ion-item>第一次支付租金 : {{contractDetail.firstRent}} <span item-end class="paymentDate">{{contractDetail.paymentDate1 | stringDateFormat}}</span></ion-item>\n      <ion-item>第二次支付租金 : {{contractDetail.secondRent}} <span item-end class="paymentDate">{{contractDetail.paymentDate2 | stringDateFormat}}</span></ion-item>\n    </div>\n  </ion-list>\n  <div style="text-align: center; height: 40px ;margin-top: 48px;" *ngIf="contractDetail!=null">\n    <button ion-button block  style="border-radius: 100px;background-color: #ff7601" (click)="pay()" [disabled]="contractDetail.State!=\'1\'&& contractDetail.State!=\'12\'">支付</button>\n  </div>\n</ion-content>\n'/*ion-inline-end:"D:\ionicapps\talentApartment\src\pages\home\myContract\contractDetail\contractDetail.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_4__providers_HttpClient__["a" /* HttpClient */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ActionSheetController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ToastController"]])
    ], contractDetailPage);
    return contractDetailPage;
}(__WEBPACK_IMPORTED_MODULE_2__base_base_page__["a" /* BasePage */]));

//# sourceMappingURL=contractDetail.js.map

/***/ }),

/***/ 367:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return renewedRentPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(9);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__login_login__ = __webpack_require__(30);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__base_base_page__ = __webpack_require__(13);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_service_config__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__providers_HttpClient__ = __webpack_require__(14);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__renewedRentDetail_renewedRentDetail__ = __webpack_require__(368);
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};







var renewedRentPage = (function (_super) {
    __extends(renewedRentPage, _super);
    function renewedRentPage(navCtrl, navParams, httpClient, actionSheetCtrl, toastCtrl) {
        var _this = _super.call(this) || this;
        _this.navCtrl = navCtrl;
        _this.navParams = navParams;
        _this.httpClient = httpClient;
        _this.actionSheetCtrl = actionSheetCtrl;
        _this.toastCtrl = toastCtrl;
        _this.renewedRentList = [];
        _this.contractList = [];
        _this.username = "";
        _this.projectName = "";
        _this.renewalOfRent = "1";
        _this.contractHouses = "";
        _this.LeasePeriod = "1";
        _this.type = "apply";
        return _this;
    }
    renewedRentPage.prototype.ionViewWillEnter = function () {
        var isLogin = JSON.parse(localStorage.getItem("isLogin"));
        if (isLogin || isLogin == "true") {
            this.GetRenewedRentList();
            this.getBasicInformation();
            this.GetContractList();
        }
        else {
            this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_2__login_login__["a" /* loginPage */]);
        }
    };
    //提交退租
    renewedRentPage.prototype.submit = function () {
        var self = this;
        var user = JSON.parse(localStorage.getItem("user"));
        this.httpClient.postWithToken(__WEBPACK_IMPORTED_MODULE_4__providers_service_config__["a" /* ServiceConfig */].GET_HOUSE + "?action=SaveContinueRentApp", {
            "userId": user.id,
            "txtApartmentContract": self.contractHouses,
            "txtRenewTime": self.LeasePeriod,
            "projectName": self.projectName,
            "txtRentType": self.renewalOfRent
        }, function (data) {
            console.log(data);
            self.showToastText(self.toastCtrl, data.msg);
            if (data.status == "1") {
                self.projectName = "";
                self.contractHouses = "";
                self.LeasePeriod = "";
                self.renewalOfRent = "1";
                self.GetContractList();
                self.GetRenewedRentList();
            }
            else {
                self.showToastText(self.toastCtrl, data.msg);
            }
        });
    };
    renewedRentPage.prototype.GetRenewedRentList = function () {
        var self = this;
        var user = JSON.parse(localStorage.getItem("user"));
        this.httpClient.postWithToken(__WEBPACK_IMPORTED_MODULE_4__providers_service_config__["a" /* ServiceConfig */].GET_HOUSE + "?action=GetContinueRentList", {
            "userId": user.id
        }, function (data) {
            console.log(data);
            if (data.status == "1") {
                self.renewedRentList = data.retObject;
            }
            else {
                self.showToastText(self.toastCtrl, data.msg);
            }
        });
    };
    renewedRentPage.prototype.GetContractList = function () {
        var self = this;
        var user = JSON.parse(localStorage.getItem("user"));
        this.httpClient.postNotLoadingWithToken(__WEBPACK_IMPORTED_MODULE_4__providers_service_config__["a" /* ServiceConfig */].GET_HOUSE + "?action=GetApartmentContracstByUserId", {
            "userId": user.id
        }, function (data) {
            console.log(data);
            if (data.status == "1") {
                self.contractList = data.retObject;
            }
            else {
                self.showToastText(self.toastCtrl, data.msg);
            }
        });
    };
    renewedRentPage.prototype.getBasicInformation = function () {
        var self = this;
        var user = JSON.parse(localStorage.getItem("user"));
        this.httpClient.postNotLoadingWithToken(__WEBPACK_IMPORTED_MODULE_4__providers_service_config__["a" /* ServiceConfig */].GET_BASICINFORMATION + "?action=GetApartmentTalent", {
            "userId": user.id
        }, function (data) {
            if (data.status == 1 || data.status == "1") {
                if (data.retObject != null) {
                    self.username = data.retObject.userCName;
                }
                else {
                    self.showToastText(self.toastCtrl, "请先进行资格审核,填写基本信息");
                    self.navCtrl.pop();
                }
            }
        });
    };
    //进入详情
    renewedRentPage.prototype.goDetail = function (item) {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_6__renewedRentDetail_renewedRentDetail__["a" /* renewedRentDetailPage */], { id: item });
    };
    renewedRentPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-renewedRent',template:/*ion-inline-start:"D:\ionicapps\talentApartment\src\pages\home\renewedRent\renewedRent.html"*/'<ion-header>\n  <ion-navbar>\n    <ion-title>续租</ion-title>\n  </ion-navbar>\n</ion-header>\n\n<ion-content>\n  <div padding>\n    <ion-segment [(ngModel)]="type">\n      <ion-segment-button value="apply">\n        续租申请\n      </ion-segment-button>\n      <ion-segment-button value="list">\n        续租列表\n      </ion-segment-button>\n    </ion-segment>\n  </div>\n  <div [ngSwitch]="type">\n    <ion-list *ngSwitchCase="\'apply\'">\n      <ion-item>\n        <ion-label>姓名:</ion-label>\n        <ion-input type="text" [(ngModel)]="username"></ion-input>\n      </ion-item>\n      <ion-item>\n        <ion-label>意向小区:</ion-label>\n        <ion-input type="text" [(ngModel)]="projectName"></ion-input>\n      </ion-item>\n      <ion-item>\n        <ion-label>续租方式:</ion-label>\n        <ion-select [(ngModel)]="renewalOfRent" cancelText="取消" okText="确定">\n          <ion-option value="1">原房续租</ion-option>\n          <ion-option value="2">异地续租</ion-option>\n        </ion-select>\n      </ion-item>\n      <ion-item>\n        <ion-label>合同房源:</ion-label>\n          <ion-select [(ngModel)]="contractHouses"  cancelText="取消" okText="确定">\n          <ion-option value="{{contract.id}}" *ngFor="let contract of contractList">{{contract.contractNumber}}</ion-option>\n        </ion-select>\n      </ion-item>\n      <ion-item>\n        <ion-label>续租租期:</ion-label>\n        <ion-select [(ngModel)]="LeasePeriod" cancelText="取消" okText="确定">\n          <ion-option value="1">一年</ion-option>\n        </ion-select>\n      </ion-item>\n      <div style="text-align: center; height: 40px ;margin-top: 48px; ">\n        <button ion-button block color="energized" style="border-radius: 100px" (click)="submit()" [disabled]="!contractHouses || !LeasePeriod">提交</button>\n      </div>\n    </ion-list>\n\n    <ion-list *ngSwitchCase="\'list\'">\n      <ion-item *ngFor="let renewedRent of renewedRentList" (click)="goDetail(renewedRent.relationId)">\n        <h2>{{renewedRent.businessTitle}}{{renewedRent.businessId}}</h2>\n        <p>{{renewedRent.businessStatus | retirementStatus}} <span style="float: right">{{renewedRent.outRentDate | stringFullDateFormat}}</span></p>\n      </ion-item>\n    </ion-list>\n  </div>\n\n</ion-content>\n'/*ion-inline-end:"D:\ionicapps\talentApartment\src\pages\home\renewedRent\renewedRent.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_5__providers_HttpClient__["a" /* HttpClient */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ActionSheetController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ToastController"]])
    ], renewedRentPage);
    return renewedRentPage;
}(__WEBPACK_IMPORTED_MODULE_3__base_base_page__["a" /* BasePage */]));

//# sourceMappingURL=renewedRent.js.map

/***/ }),

/***/ 368:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return renewedRentDetailPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(9);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__base_base_page__ = __webpack_require__(13);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_service_config__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_HttpClient__ = __webpack_require__(14);
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





var renewedRentDetailPage = (function (_super) {
    __extends(renewedRentDetailPage, _super);
    function renewedRentDetailPage(navCtrl, navParams, httpClient, actionSheetCtrl, toastCtrl) {
        var _this = _super.call(this) || this;
        _this.navCtrl = navCtrl;
        _this.navParams = navParams;
        _this.httpClient = httpClient;
        _this.actionSheetCtrl = actionSheetCtrl;
        _this.toastCtrl = toastCtrl;
        _this.relationId = "";
        _this.relationId = _this.navParams.get("id");
        return _this;
    }
    renewedRentDetailPage.prototype.ionViewWillEnter = function () {
        this.GetRenewedRentDetail();
    };
    renewedRentDetailPage.prototype.GetHouse = function () {
        var self = this;
        var user = JSON.parse(localStorage.getItem("user"));
        this.httpClient.postWithToken(__WEBPACK_IMPORTED_MODULE_3__providers_service_config__["a" /* ServiceConfig */].GET_HOUSE + "?action=getHouseInfoByOutRentId", {
            "userId": user.id,
            "Id": self.relationId
        }, function (data) {
            console.log(data);
        });
    };
    ;
    renewedRentDetailPage.prototype.GetRenewedRentDetail = function () {
        var self = this;
        var user = JSON.parse(localStorage.getItem("user"));
        this.httpClient.postWithToken(__WEBPACK_IMPORTED_MODULE_3__providers_service_config__["a" /* ServiceConfig */].GET_HOUSE + "?action=GetContinueRent", {
            "userId": user.id,
            "Id": self.relationId
        }, function (data) {
            console.log(data);
            if (data.status == "1") {
                self.houseDetail = data.retObject;
            }
            else {
                self.showToastText(self.toastCtrl, data.msg);
            }
        });
    };
    ;
    renewedRentDetailPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-renewedRentDetail',template:/*ion-inline-start:"D:\ionicapps\talentApartment\src\pages\home\renewedRent\renewedRentDetail\renewedRentDetail.html"*/'<ion-header>\n  <ion-navbar>\n    <ion-title>续租详情</ion-title>\n  </ion-navbar>\n</ion-header>\n\n<ion-content>\n  <ion-list *ngIf="houseDetail!=null">\n    <ion-list-header>\n      基本信息\n    </ion-list-header>\n    <ion-item>小区名称 : {{houseDetail.projectName}}</ion-item>\n    <ion-item class="content">申请内容 : {{houseDetail.businessContent}}</ion-item>\n    <ion-item>申请日期 : {{houseDetail.applyDate | stringDateFormat}}</ion-item>\n    <ion-item>合同开始日期 : {{houseDetail.contractBeginDate | stringDateFormat}}</ion-item>\n    <ion-item>合同截止日期 : {{houseDetail.contractEndDate | stringDateFormat}}</ion-item>\n    <ion-item>续租开始日期 : {{houseDetail.continueRentBeginDate | stringDateFormat}}</ion-item>\n    <ion-item>续租截止日期 : {{houseDetail.continueRentEndDate | stringDateFormat}}</ion-item>\n  </ion-list>\n</ion-content>\n'/*ion-inline-end:"D:\ionicapps\talentApartment\src\pages\home\renewedRent\renewedRentDetail\renewedRentDetail.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_4__providers_HttpClient__["a" /* HttpClient */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ActionSheetController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ToastController"]])
    ], renewedRentDetailPage);
    return renewedRentDetailPage;
}(__WEBPACK_IMPORTED_MODULE_2__base_base_page__["a" /* BasePage */]));

//# sourceMappingURL=renewedRentDetail.js.map

/***/ }),

/***/ 369:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return messagePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(9);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__base_base_page__ = __webpack_require__(13);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_HttpClient__ = __webpack_require__(14);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_service_config__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__login_login__ = __webpack_require__(30);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__messageDetail_messageDetail__ = __webpack_require__(370);
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};







var messagePage = (function (_super) {
    __extends(messagePage, _super);
    function messagePage(navCtrl, httpClient, alertCtrl, navParams, toastCtrl) {
        var _this = _super.call(this) || this;
        _this.navCtrl = navCtrl;
        _this.httpClient = httpClient;
        _this.alertCtrl = alertCtrl;
        _this.navParams = navParams;
        _this.toastCtrl = toastCtrl;
        _this.content = "";
        _this.messageList = [];
        _this.content = _this.navParams.get("data");
        return _this;
    }
    messagePage.prototype.ionViewWillEnter = function () {
        var self = this;
        var isLogin = JSON.parse(localStorage.getItem("isLogin"));
        if (isLogin || isLogin == "true") {
            var user = JSON.parse(localStorage.getItem("user"));
            this.httpClient.postWithToken(__WEBPACK_IMPORTED_MODULE_4__providers_service_config__["a" /* ServiceConfig */].GET_BASICINFORMATION + "?action=Get_Message_List", {
                "userId": user.id
            }, function (data) {
                console.log(data);
                self.messageList = data;
            });
        }
        else {
            this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_5__login_login__["a" /* loginPage */]);
        }
    };
    //查看详情
    messagePage.prototype.goDetail = function (item) {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_6__messageDetail_messageDetail__["a" /* messageDetailPage */], { message: item });
    };
    messagePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-message',template:/*ion-inline-start:"D:\ionicapps\talentApartment\src\pages\home\message\message.html"*/'<ion-header>\n  <ion-navbar>\n    <ion-title>我的消息</ion-title>\n  </ion-navbar>\n</ion-header>\n\n<ion-content>\n  <ion-list>\n    <ion-item *ngFor="let message of messageList" (click)="goDetail(message)">\n      <ion-avatar item-start>\n        <img src="assets/images/logo_48.png">\n      </ion-avatar>\n      <h2>{{message.title}}<span>{{message.sendTime | messageDate}}</span></h2>\n      <p>{{message.content}}.</p>\n    </ion-item>\n  </ion-list>\n</ion-content>\n'/*ion-inline-end:"D:\ionicapps\talentApartment\src\pages\home\message\message.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_3__providers_HttpClient__["a" /* HttpClient */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["AlertController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ToastController"]])
    ], messagePage);
    return messagePage;
}(__WEBPACK_IMPORTED_MODULE_2__base_base_page__["a" /* BasePage */]));

//# sourceMappingURL=message.js.map

/***/ }),

/***/ 370:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return messageDetailPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(9);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__base_base_page__ = __webpack_require__(13);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_HttpClient__ = __webpack_require__(14);
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




var messageDetailPage = (function (_super) {
    __extends(messageDetailPage, _super);
    function messageDetailPage(navCtrl, httpClient, alertCtrl, navParams, toastCtrl) {
        var _this = _super.call(this) || this;
        _this.navCtrl = navCtrl;
        _this.httpClient = httpClient;
        _this.alertCtrl = alertCtrl;
        _this.navParams = navParams;
        _this.toastCtrl = toastCtrl;
        _this.message = _this.navParams.get("message");
        var value = _this.message.sendTime;
        _this.message.sendTime = value.substring(0, 4) + "-" + value.substring(4, 6) + "-" + value.substring(6, 8) + " " + value.substring(8, 10) + ":" + value.substring(10, 12);
        return _this;
    }
    messageDetailPage.prototype.ionViewWillEnter = function () {
    };
    messageDetailPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-messageDetail',template:/*ion-inline-start:"D:\ionicapps\talentApartment\src\pages\home\message\messageDetail\messageDetail.html"*/'<ion-header>\n  <ion-navbar>\n    <ion-title>消息详情</ion-title>\n  </ion-navbar>\n</ion-header>\n\n<ion-content>\n  <ion-list>\n    <ion-item>标题 : {{message.title}}</ion-item>\n    <ion-item>类别 : 人才公寓</ion-item>\n    <ion-item class="content">内容 : {{message.content}}</ion-item>\n    <ion-item>时间 : {{message.sendTime}}</ion-item>\n    <ion-item>发送者 : {{message.sender}}</ion-item>\n  </ion-list>\n</ion-content>\n'/*ion-inline-end:"D:\ionicapps\talentApartment\src\pages\home\message\messageDetail\messageDetail.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_3__providers_HttpClient__["a" /* HttpClient */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["AlertController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ToastController"]])
    ], messageDetailPage);
    return messageDetailPage;
}(__WEBPACK_IMPORTED_MODULE_2__base_base_page__["a" /* BasePage */]));

//# sourceMappingURL=messageDetail.js.map

/***/ }),

/***/ 371:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return retirementPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(9);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__base_base_page__ = __webpack_require__(13);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__login_login__ = __webpack_require__(30);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_service_config__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__providers_HttpClient__ = __webpack_require__(14);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__providers_Utils__ = __webpack_require__(156);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__retirementDetail_retirementDetail__ = __webpack_require__(372);
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};








var retirementPage = (function (_super) {
    __extends(retirementPage, _super);
    function retirementPage(navCtrl, navParams, httpClient, actionSheetCtrl, toastCtrl) {
        var _this = _super.call(this) || this;
        _this.navCtrl = navCtrl;
        _this.navParams = navParams;
        _this.httpClient = httpClient;
        _this.actionSheetCtrl = actionSheetCtrl;
        _this.toastCtrl = toastCtrl;
        _this.retirementList = [];
        _this.type = "apply";
        _this.contractList = [];
        _this.username = "";
        _this.renewalOfRent = "1";
        _this.contractHouses = "";
        _this.retirementDate = "";
        _this.maxDate = "";
        return _this;
    }
    retirementPage.prototype.ionViewWillEnter = function () {
        var isLogin = JSON.parse(localStorage.getItem("isLogin"));
        if (isLogin || isLogin == "true") {
            this.GetRetirementList();
            this.getBasicInformation();
            this.GetContractList();
        }
        else {
            this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_3__login_login__["a" /* loginPage */]);
        }
    };
    ;
    //选择合同
    retirementPage.prototype.selectContract = function () {
        for (var _i = 0, _a = this.contractList; _i < _a.length; _i++) {
            var contract = _a[_i];
            if (contract.id == this.contractHouses) {
                this.maxDate = Object(__WEBPACK_IMPORTED_MODULE_6__providers_Utils__["b" /* stringDateAddFormat */])(contract.endDate);
            }
        }
    };
    //提交退租
    retirementPage.prototype.submit = function () {
        var self = this;
        var user = JSON.parse(localStorage.getItem("user"));
        this.httpClient.postWithToken(__WEBPACK_IMPORTED_MODULE_4__providers_service_config__["a" /* ServiceConfig */].GET_HOUSE + "?action=SaveOutRentApp", {
            "userId": user.id,
            "txtApartmentContract": self.contractHouses,
            "txtLeaseTime": self.retirementDate,
            "rbreason": self.renewalOfRent
        }, function (data) {
            console.log(data);
            self.showToastText(self.toastCtrl, data.msg);
            if (data.status == "1") {
                self.contractHouses = "";
                self.retirementDate = "";
                self.renewalOfRent = "1";
                self.GetContractList();
            }
            else {
                self.showToastText(self.toastCtrl, data.msg);
            }
        });
    };
    retirementPage.prototype.GetRetirementList = function () {
        var self = this;
        var user = JSON.parse(localStorage.getItem("user"));
        this.httpClient.postWithToken(__WEBPACK_IMPORTED_MODULE_4__providers_service_config__["a" /* ServiceConfig */].GET_HOUSE + "?action=GetOutRentList", {
            "userId": user.id
        }, function (data) {
            console.log(data);
            if (data.status == "1") {
                self.retirementList = data.retObject;
            }
            else {
                self.showToastText(self.toastCtrl, data.msg);
            }
        });
    };
    ;
    retirementPage.prototype.GetContractList = function () {
        var self = this;
        var user = JSON.parse(localStorage.getItem("user"));
        this.httpClient.postNotLoadingWithToken(__WEBPACK_IMPORTED_MODULE_4__providers_service_config__["a" /* ServiceConfig */].GET_HOUSE + "?action=GetApartmentContracstByUserId", {
            "userId": user.id
        }, function (data) {
            console.log(data);
            if (data.status == "1") {
                self.contractList = data.retObject;
            }
            else {
                self.showToastText(self.toastCtrl, data.msg);
            }
        });
    };
    retirementPage.prototype.getBasicInformation = function () {
        var self = this;
        var user = JSON.parse(localStorage.getItem("user"));
        this.httpClient.postNotLoadingWithToken(__WEBPACK_IMPORTED_MODULE_4__providers_service_config__["a" /* ServiceConfig */].GET_BASICINFORMATION + "?action=GetApartmentTalent", {
            "userId": user.id
        }, function (data) {
            if (data.status == 1 || data.status == "1") {
                if (data.retObject != null) {
                    self.username = data.retObject.userCName;
                }
                else {
                    self.showToastText(self.toastCtrl, "请先进行资格审核,填写基本信息");
                    self.navCtrl.pop();
                }
            }
        });
    };
    //进入详情
    retirementPage.prototype.goDetail = function (item, status) {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_7__retirementDetail_retirementDetail__["a" /* retirementDetailPage */], { id: item, status: status });
    };
    retirementPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-retirement',template:/*ion-inline-start:"D:\ionicapps\talentApartment\src\pages\home\retirement\retirement.html"*/'<ion-header>\n  <ion-navbar>\n    <ion-title>退租</ion-title>\n  </ion-navbar>\n</ion-header>\n\n<ion-content>\n  <div padding>\n    <ion-segment [(ngModel)]="type">\n      <ion-segment-button value="apply">\n        退租申请\n      </ion-segment-button>\n      <ion-segment-button value="list">\n        退租列表\n      </ion-segment-button>\n    </ion-segment>\n  </div>\n  <div [ngSwitch]="type">\n    <ion-list *ngSwitchCase="\'apply\'">\n      <ion-item>\n        <ion-label>姓名:</ion-label>\n        <ion-input type="text" [(ngModel)]="username"></ion-input>\n      </ion-item>\n      <ion-item>\n        <ion-label>退租方式:</ion-label>\n        <ion-select [(ngModel)]="renewalOfRent" cancelText="取消" okText="确定">\n          <ion-option value="1">正常退租</ion-option>\n          <ion-option value="2">非正常退租</ion-option>\n        </ion-select>\n      </ion-item>\n      <ion-item>\n        <ion-label>合同房源:</ion-label>\n        <ion-select [(ngModel)]="contractHouses"  cancelText="取消" okText="确定" (ngModelChange)="selectContract()">\n          <ion-option value="{{contract.id}}" *ngFor="let contract of contractList">{{contract.contractNumber}}</ion-option>\n        </ion-select>\n      </ion-item>\n      <ion-item>\n        <ion-label>退租验房日期:</ion-label>\n        <ion-datetime displayFormat="YYYY-MM-DD"  [max]="maxDate" [disabled]="contractHouses==\'\'" [(ngModel)]="retirementDate" doneText="确定" cancelText="取消"></ion-datetime>\n      </ion-item>\n      <div style="text-align: center; height: 40px ;margin-top: 48px; ">\n        <button ion-button block color="energized" style="border-radius: 100px" (click)="submit()" [disabled]="!contractHouses || !retirementDate">提交</button>\n      </div>\n    </ion-list>\n\n    <ion-list *ngSwitchCase="\'list\'">\n      <ion-item *ngFor="let retirement of retirementList" (click)="goDetail(retirement.businessId,retirement.businessStatus)">\n        <h2>{{retirement.businessTitle}}</h2>\n        <p>{{retirement.businessStatus | retirementStatus}} <span style="float: right">{{retirement.outRentDate | stringFullDateFormat}}</span></p>\n      </ion-item>\n    </ion-list>\n  </div>\n\n</ion-content>\n'/*ion-inline-end:"D:\ionicapps\talentApartment\src\pages\home\retirement\retirement.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_5__providers_HttpClient__["a" /* HttpClient */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ActionSheetController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ToastController"]])
    ], retirementPage);
    return retirementPage;
}(__WEBPACK_IMPORTED_MODULE_2__base_base_page__["a" /* BasePage */]));

//# sourceMappingURL=retirement.js.map

/***/ }),

/***/ 372:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return retirementDetailPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(9);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__base_base_page__ = __webpack_require__(13);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_service_config__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_HttpClient__ = __webpack_require__(14);
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





var retirementDetailPage = (function (_super) {
    __extends(retirementDetailPage, _super);
    function retirementDetailPage(navCtrl, navParams, httpClient, actionSheetCtrl, toastCtrl) {
        var _this = _super.call(this) || this;
        _this.navCtrl = navCtrl;
        _this.navParams = navParams;
        _this.httpClient = httpClient;
        _this.actionSheetCtrl = actionSheetCtrl;
        _this.toastCtrl = toastCtrl;
        _this.relationId = "";
        _this.status = "2";
        _this.furnitures = [];
        _this.relationId = _this.navParams.get("id");
        return _this;
        //this.status=this.navParams.get("status");
    }
    retirementDetailPage.prototype.ionViewWillEnter = function () {
        this.GetHouse();
        this.GetFurnitures();
    };
    retirementDetailPage.prototype.GetHouse = function () {
        var self = this;
        var user = JSON.parse(localStorage.getItem("user"));
        this.httpClient.postWithToken(__WEBPACK_IMPORTED_MODULE_3__providers_service_config__["a" /* ServiceConfig */].GET_HOUSE + "?action=getHouseInfoByOutRentId", {
            "userId": user.id,
            "Id": self.relationId
        }, function (data) {
            console.log(data);
            if (data.status == "1") {
                self.houseDetail = data.retObject;
            }
            else {
                self.showToastText(self.toastCtrl, data.msg);
            }
        });
    };
    ;
    retirementDetailPage.prototype.GetFurnitures = function () {
        var self = this;
        var user = JSON.parse(localStorage.getItem("user"));
        this.httpClient.postNotLoadingWithToken(__WEBPACK_IMPORTED_MODULE_3__providers_service_config__["a" /* ServiceConfig */].GET_HOUSE + "?action=getFurnitures", {
            "userId": user.id,
            "Id": self.relationId
        }, function (data) {
            console.log(data);
            if (data.status == "1") {
                self.furnitures = data.retObject;
            }
            else {
                self.showToastText(self.toastCtrl, data.msg);
            }
        });
    };
    retirementDetailPage.prototype.confirmMessage = function () {
        var self = this;
        var user = JSON.parse(localStorage.getItem("user"));
        this.httpClient.postNotLoadingWithToken(__WEBPACK_IMPORTED_MODULE_3__providers_service_config__["a" /* ServiceConfig */].GET_HOUSE + "?action=confirmOutApp", {
            "userId": user.id,
            "Id": self.relationId
        }, function (data) {
            console.log(data);
            self.showToastText(self.toastCtrl, data.msg);
            if (data.status == "1") {
                self.navCtrl.pop();
            }
        });
    };
    retirementDetailPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-retirementDetail',template:/*ion-inline-start:"D:\ionicapps\talentApartment\src\pages\home\retirement\retirementDetail\retirementDetail.html"*/'<ion-header>\n  <ion-navbar>\n    <ion-title>退租详情</ion-title>\n  </ion-navbar>\n</ion-header>\n\n<ion-content>\n  <ion-list *ngIf="houseDetail!=null">\n    <ion-list-header>\n      基本信息\n    </ion-list-header>\n    <ion-item>小区名称 : {{houseDetail.Project.Name}}</ion-item>\n    <ion-item>栋号 : {{houseDetail.Building.Name}}</ion-item>\n    <ion-item>房屋号 : {{houseDetail.HouseNum}}</ion-item>\n  </ion-list>\n  <ion-list class="furniture">\n    <ion-list-header>\n      项目配置信息\n    </ion-list-header>\n    <ion-grid>\n      <ion-row>\n        <ion-col col-3>项目名称</ion-col>\n        <ion-col col-3>价格(元)</ion-col>\n        <ion-col col-3>是否损坏</ion-col>\n        <ion-col col-3>赔偿金额(元)</ion-col>\n      </ion-row>\n      <ion-row *ngFor="let furniture of furnitures">\n        <ion-col col-3>{{furniture.FurnitureName}}</ion-col>\n        <ion-col col-3>{{furniture.Price}}</ion-col>\n        <ion-col col-3>{{furniture.IsBreakdown==\'0\'?\'否\':\'是\'}}</ion-col>\n        <ion-col col-3>{{furniture.CompensatePrice}}</ion-col>\n      </ion-row>\n    </ion-grid>\n  </ion-list>\n  <div style="text-align: center; height: 40px ;margin-top: 48px; ">\n    <button ion-button block color="energized" style="border-radius: 100px" (click)="confirmMessage()" [disabled]="status!=\'2\'">确认信息</button>\n  </div>\n</ion-content>\n'/*ion-inline-end:"D:\ionicapps\talentApartment\src\pages\home\retirement\retirementDetail\retirementDetail.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_4__providers_HttpClient__["a" /* HttpClient */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ActionSheetController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ToastController"]])
    ], retirementDetailPage);
    return retirementDetailPage;
}(__WEBPACK_IMPORTED_MODULE_2__base_base_page__["a" /* BasePage */]));

//# sourceMappingURL=retirementDetail.js.map

/***/ }),

/***/ 373:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return maintainPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(9);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__base_base_page__ = __webpack_require__(13);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__login_login__ = __webpack_require__(30);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_service_config__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__providers_HttpClient__ = __webpack_require__(14);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__maintainDetail_maintainDetail__ = __webpack_require__(374);
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};







var maintainPage = (function (_super) {
    __extends(maintainPage, _super);
    function maintainPage(navCtrl, navParams, httpClient, actionSheetCtrl, toastCtrl) {
        var _this = _super.call(this) || this;
        _this.navCtrl = navCtrl;
        _this.navParams = navParams;
        _this.httpClient = httpClient;
        _this.actionSheetCtrl = actionSheetCtrl;
        _this.toastCtrl = toastCtrl;
        _this.maintainList = [];
        _this.contractList = [];
        _this.type = "apply";
        _this.content = "";
        _this.username = "";
        _this.mobile = "";
        _this.contractHouses = "0";
        return _this;
    }
    maintainPage.prototype.ionViewWillEnter = function () {
        var isLogin = JSON.parse(localStorage.getItem("isLogin"));
        if (isLogin || isLogin == "true") {
            this.GetMaintainList();
            this.GetContractList();
        }
        else {
            this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_3__login_login__["a" /* loginPage */]);
        }
    };
    ;
    //提交
    maintainPage.prototype.submit = function () {
        var self = this;
        var user = JSON.parse(localStorage.getItem("user"));
        this.httpClient.postWithToken(__WEBPACK_IMPORTED_MODULE_4__providers_service_config__["a" /* ServiceConfig */].GET_HOUSE + "?action=SaveComplaint", {
            "userId": user.id,
            "clientPhone": self.mobile,
            "txtApartmentContract": self.contractHouses,
            "content": self.content,
            "postType": "1"
        }, function (data) {
            self.showToastText(self.toastCtrl, data.msg);
            if (data.status == "1") {
                self.mobile = "";
                self.contractHouses = "";
                self.content = "";
                self.GetMaintainList();
            }
        });
    };
    maintainPage.prototype.GetMaintainList = function () {
        var self = this;
        var user = JSON.parse(localStorage.getItem("user"));
        this.httpClient.postNotLoadingWithToken(__WEBPACK_IMPORTED_MODULE_4__providers_service_config__["a" /* ServiceConfig */].GET_HOUSE + "?action=GetComplaintListByUserId", {
            "userId": user.id
        }, function (data) {
            if (data.status == "1") {
                self.maintainList = data.retObject;
            }
            else {
                self.showToastText(self.toastCtrl, data.msg);
            }
        });
    };
    //获取房源
    maintainPage.prototype.GetContractList = function () {
        var self = this;
        var user = JSON.parse(localStorage.getItem("user"));
        self.username = user.user_name;
        this.httpClient.postNotLoadingWithToken(__WEBPACK_IMPORTED_MODULE_4__providers_service_config__["a" /* ServiceConfig */].GET_HOUSE + "?action=GetApartmentContracstByUserId", {
            "userId": user.id
        }, function (data) {
            console.log(data);
            if (data.status == "1") {
                self.contractList = data.retObject;
            }
            else {
                self.showToastText(self.toastCtrl, data.msg);
            }
        });
    };
    //进入详情
    maintainPage.prototype.goDetail = function (item) {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_6__maintainDetail_maintainDetail__["a" /* maintainDetailPage */], { maintain: item });
    };
    maintainPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-maintain',template:/*ion-inline-start:"D:\ionicapps\talentApartment\src\pages\home\maintain\maintain.html"*/'<ion-header>\n  <ion-navbar>\n    <ion-title>维修</ion-title>\n  </ion-navbar>\n</ion-header>\n\n<ion-content>\n  <div padding>\n    <ion-segment [(ngModel)]="type">\n      <ion-segment-button value="apply">\n        维修申请\n      </ion-segment-button>\n      <ion-segment-button value="list">\n        维修列表\n      </ion-segment-button>\n    </ion-segment>\n  </div>\n  <div [ngSwitch]="type">\n    <ion-list *ngSwitchCase="\'apply\'">\n      <ion-item>\n        <ion-label>姓名:</ion-label>\n        <ion-input type="text" [(ngModel)]="username" readonly></ion-input>\n      </ion-item>\n      <ion-item>\n        <ion-label>联系方式:</ion-label>\n        <ion-input type="text" [(ngModel)]="mobile"></ion-input>\n      </ion-item>\n      <ion-item>\n        <ion-label>合同房源:</ion-label>\n        <ion-select [(ngModel)]="contractHouses"  cancelText="取消" okText="确定" (ngModelChange)="selectContract()">\n          <ion-option value="{{contract.id}}" *ngFor="let contract of contractList">{{contract.contractNumber}}</ion-option>\n        </ion-select>\n      </ion-item>\n      <ion-item>\n        <ion-label>维修内容:</ion-label>\n        <ion-textarea [(ngModel)]="content"></ion-textarea>\n      </ion-item>\n      <div style="text-align: center; height: 40px ;margin-top: 48px; ">\n        <button ion-button block color="energized" style="border-radius: 100px" (click)="submit()" [disabled]="!contractHouses || !mobile || !content">提交</button>\n      </div>\n    </ion-list>\n\n    <ion-list *ngSwitchCase="\'list\'">\n      <ion-item *ngFor="let maintain of maintainList" (click)="goDetail(maintain)">\n        <h2>{{maintain.content}} <span style="float: right">{{maintain.notDay | stringFullDateFormat}}</span></h2>\n      </ion-item>\n    </ion-list>\n  </div>\n\n</ion-content>\n'/*ion-inline-end:"D:\ionicapps\talentApartment\src\pages\home\maintain\maintain.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_5__providers_HttpClient__["a" /* HttpClient */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ActionSheetController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ToastController"]])
    ], maintainPage);
    return maintainPage;
}(__WEBPACK_IMPORTED_MODULE_2__base_base_page__["a" /* BasePage */]));

//# sourceMappingURL=maintain.js.map

/***/ }),

/***/ 374:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return maintainDetailPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(9);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__base_base_page__ = __webpack_require__(13);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_HttpClient__ = __webpack_require__(14);
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




var maintainDetailPage = (function (_super) {
    __extends(maintainDetailPage, _super);
    function maintainDetailPage(navCtrl, navParams, httpClient, actionSheetCtrl, toastCtrl) {
        var _this = _super.call(this) || this;
        _this.navCtrl = navCtrl;
        _this.navParams = navParams;
        _this.httpClient = httpClient;
        _this.actionSheetCtrl = actionSheetCtrl;
        _this.toastCtrl = toastCtrl;
        _this.maintain = _this.navParams.get("maintain");
        return _this;
    }
    maintainDetailPage.prototype.ionViewWillEnter = function () {
    };
    maintainDetailPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-maintainDetail',template:/*ion-inline-start:"D:\ionicapps\talentApartment\src\pages\home\maintain\maintainDetail\maintainDetail.html"*/'<ion-header>\n  <ion-navbar>\n    <ion-title>维修单详情</ion-title>\n  </ion-navbar>\n</ion-header>\n\n<ion-content>\n  <ion-list *ngIf="maintain!=null">\n    <ion-item>维修单号 : {{maintain.complaintId}}</ion-item>\n    <ion-item>内容 : {{maintain.content}}</ion-item>\n    <ion-item>受理时间 : {{maintain.notDay}}</ion-item>\n    <ion-item>办理结果 : {{maintain.spmeno}}</ion-item>\n    <ion-item>办理状态 : {{maintain.stateName}}</ion-item>\n  </ion-list>\n</ion-content>\n'/*ion-inline-end:"D:\ionicapps\talentApartment\src\pages\home\maintain\maintainDetail\maintainDetail.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_3__providers_HttpClient__["a" /* HttpClient */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ActionSheetController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ToastController"]])
    ], maintainDetailPage);
    return maintainDetailPage;
}(__WEBPACK_IMPORTED_MODULE_2__base_base_page__["a" /* BasePage */]));

//# sourceMappingURL=maintainDetail.js.map

/***/ }),

/***/ 375:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return minePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(9);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__login_login__ = __webpack_require__(30);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__updatePassword_updatePassword__ = __webpack_require__(376);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




var minePage = (function () {
    function minePage(navCtrl) {
        this.navCtrl = navCtrl;
        this.isLogin = true;
        this.userName = "";
    }
    minePage.prototype.ionViewWillEnter = function () {
        if (localStorage.getItem("isLogin") != "true" || !localStorage.getItem("isLogin")) {
            this.isLogin = false;
            this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_2__login_login__["a" /* loginPage */]);
        }
        else {
            this.isLogin = true;
            this.userName = JSON.parse(localStorage.getItem("user")).user_name;
        }
    };
    //登录
    minePage.prototype.login = function () {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_2__login_login__["a" /* loginPage */]);
    };
    //修改密码
    minePage.prototype.updatePassword = function () {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_3__updatePassword_updatePassword__["a" /* updatePasswordPage */]);
    };
    //退出登录
    minePage.prototype.signOut = function () {
        localStorage.setItem("isLogin", "false");
        localStorage.removeItem("token");
        localStorage.removeItem("user");
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_2__login_login__["a" /* loginPage */]);
    };
    minePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-mine',template:/*ion-inline-start:"D:\ionicapps\talentApartment\src\pages\mine\mine.html"*/'<ion-header>\n  <ion-navbar>\n    <ion-title>\n      系统设置\n    </ion-title>\n\n  </ion-navbar>\n</ion-header>\n\n<ion-content>\n\n  <ion-card class="sysSetting">\n    <ion-list>\n      <ion-item *ngIf="userName!=\'\'">\n        用户名 : {{userName}}\n      </ion-item>\n      <button ion-item (click)="updatePassword()">\n        <ion-icon name="cart" item-start></ion-icon>\n        修改密码\n      </button>\n\n      <button ion-item>\n        <ion-icon name="beer" item-start></ion-icon>\n        免责声明\n      </button>\n\n      <button ion-item>\n        <ion-icon name="planet" item-start></ion-icon>\n        关于我们\n      </button>\n\n    </ion-list>\n  </ion-card>\n  <div style="text-align: center; height: 40px ;margin-top: 55px; padding: 0px 40px">\n    <button ion-button block color="energized" style="border-radius: 100px;font-size:16px;" (click)="signOut()" *ngIf="isLogin">退出登录</button>\n    <button ion-button block color="energized" style="border-radius: 100px;font-size:16px;" (click)="login()" *ngIf="!isLogin">登录</button>\n  </div>\n</ion-content>\n'/*ion-inline-end:"D:\ionicapps\talentApartment\src\pages\mine\mine.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"]])
    ], minePage);
    return minePage;
}());

//# sourceMappingURL=mine.js.map

/***/ }),

/***/ 376:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return updatePasswordPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(9);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__base_base_page__ = __webpack_require__(13);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_HttpClient__ = __webpack_require__(14);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_service_config__ = __webpack_require__(19);
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





var updatePasswordPage = (function (_super) {
    __extends(updatePasswordPage, _super);
    function updatePasswordPage(navCtrl, http, toastCtrl) {
        var _this = _super.call(this) || this;
        _this.navCtrl = navCtrl;
        _this.http = http;
        _this.toastCtrl = toastCtrl;
        _this.txtOldPassword = "";
        _this.txtPassword = "";
        _this.txtPassword1 = "";
        return _this;
    }
    //确认修改密码
    updatePasswordPage.prototype.submitUpdate = function () {
        var self = this;
        this.http.postWithToken(__WEBPACK_IMPORTED_MODULE_4__providers_service_config__["a" /* ServiceConfig */].GET_BASICINFORMATION + "?action=user_password_edit", {
            txtOldPassword: self.txtOldPassword,
            txtPassword: self.txtPassword,
            txtPassword1: self.txtPassword1,
        }, function (data) {
            self.showToastText(self.toastCtrl, data.msg);
            if (data.status == 1 || data.status == "1") {
                self.navCtrl.popToRoot();
            }
        });
    };
    updatePasswordPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-updatePassword',template:/*ion-inline-start:"D:\ionicapps\talentApartment\src\pages\mine\updatePassword\updatePassword.html"*/'<ion-header>\n  <ion-navbar>\n    <ion-title>\n      修改密码\n    </ion-title>\n  </ion-navbar>\n</ion-header>\n\n<ion-content>\n  <div style="margin-top: 50px;text-align: center">\n    <img  src="assets/images/applogo48.png">\n  </div>\n  <div style="margin-top: 60px; margin-left: 40px; margin-right: 40px">\n    <ion-item>\n      <ion-input type="text" [(ngModel)]="txtOldPassword" placeholder="请输入旧密码"></ion-input>\n    </ion-item>\n    <ion-item>\n      <ion-input type="password" [(ngModel)]="txtPassword" placeholder="请输入新密码"></ion-input>\n    </ion-item>\n    <ion-item>\n      <ion-input type="password" [(ngModel)]="txtPassword1" placeholder="请确认新密码"></ion-input>\n    </ion-item>\n  </div>\n\n    <div style="text-align: center; height: 40px ;margin-top: 48px; ">\n      <button ion-button block color="energized" style="border-radius: 100px" (click)="submitUpdate()" [disabled]="!txtOldPassword || !txtPassword || !txtPassword1">确认修改</button>\n    </div>\n\n</ion-content>\n'/*ion-inline-end:"D:\ionicapps\talentApartment\src\pages\mine\updatePassword\updatePassword.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_3__providers_HttpClient__["a" /* HttpClient */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ToastController"]])
    ], updatePasswordPage);
    return updatePasswordPage;
}(__WEBPACK_IMPORTED_MODULE_2__base_base_page__["a" /* BasePage */]));

//# sourceMappingURL=updatePassword.js.map

/***/ }),

/***/ 379:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_platform_browser_dynamic__ = __webpack_require__(380);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__app_module__ = __webpack_require__(384);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_core__ = __webpack_require__(1);



Object(__WEBPACK_IMPORTED_MODULE_2__angular_core__["enableProdMode"])();
Object(__WEBPACK_IMPORTED_MODULE_0__angular_platform_browser_dynamic__["a" /* platformBrowserDynamic */])().bootstrapModule(__WEBPACK_IMPORTED_MODULE_1__app_module__["a" /* AppModule */]);
//# sourceMappingURL=main.js.map

/***/ }),

/***/ 384:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return AppModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_platform_browser__ = __webpack_require__(44);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_ionic_angular__ = __webpack_require__(9);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__app_component__ = __webpack_require__(421);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__angular_http__ = __webpack_require__(261);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__ionic_native_http__ = __webpack_require__(353);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__providers_HttpClient__ = __webpack_require__(14);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__providers_common_pipe__ = __webpack_require__(711);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8_ion_multi_picker__ = __webpack_require__(712);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8_ion_multi_picker___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_8_ion_multi_picker__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_9__pages_findHouse_findHouse__ = __webpack_require__(138);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_10__pages_findHouse_district_district__ = __webpack_require__(355);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_11__pages_findHouse_district_houseDetail_houseDetail__ = __webpack_require__(356);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_12__pages_home_home__ = __webpack_require__(362);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_13__pages_tabs_tabs__ = __webpack_require__(260);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_14__pages_mine_mine__ = __webpack_require__(375);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_15__pages_mine_updatePassword_updatePassword__ = __webpack_require__(376);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_16__pages_login_login__ = __webpack_require__(30);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_17__pages_regist_regist__ = __webpack_require__(357);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_18__pages_home_message_message__ = __webpack_require__(369);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_19__pages_home_message_messageDetail_messageDetail__ = __webpack_require__(370);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_20__pages_home_requisition_requisition__ = __webpack_require__(155);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_21__pages_home_requisition_requisitionPopover_requisitionPopover__ = __webpack_require__(359);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_22__pages_home_basicInformation_basicInformation__ = __webpack_require__(363);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_23__pages_home_myContract_myContract__ = __webpack_require__(365);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_24__pages_home_myContract_contractDetail_contractDetail__ = __webpack_require__(366);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_25__pages_home_renewedRent_renewedRent__ = __webpack_require__(367);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_26__pages_home_renewedRent_renewedRentDetail_renewedRentDetail__ = __webpack_require__(368);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_27__pages_home_retirement_retirement__ = __webpack_require__(371);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_28__pages_home_retirement_retirementDetail_retirementDetail__ = __webpack_require__(372);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_29__pages_home_requisition_confirmAvailability_confirmAvailability__ = __webpack_require__(360);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_30__pages_home_maintain_maintain__ = __webpack_require__(373);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_31__pages_home_maintain_maintainDetail_maintainDetail__ = __webpack_require__(374);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_32__pages_home_requisition_confirmAvailability_textModal_textModal__ = __webpack_require__(361);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_33__ionic_native_status_bar__ = __webpack_require__(254);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_34__ionic_native_splash_screen__ = __webpack_require__(258);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_35__ionic_native_camera__ = __webpack_require__(364);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_36__ionic_native_sim__ = __webpack_require__(153);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_37__ionic_native_file_transfer__ = __webpack_require__(354);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_38_ionic2_jpush__ = __webpack_require__(154);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_39__ionic_native_code_push__ = __webpack_require__(259);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};








































var AppModule = (function () {
    function AppModule() {
    }
    AppModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_3__app_component__["a" /* MyApp */],
                __WEBPACK_IMPORTED_MODULE_9__pages_findHouse_findHouse__["a" /* findHousePage */],
                __WEBPACK_IMPORTED_MODULE_10__pages_findHouse_district_district__["a" /* districtPage */],
                __WEBPACK_IMPORTED_MODULE_11__pages_findHouse_district_houseDetail_houseDetail__["a" /* houseDetailPage */],
                __WEBPACK_IMPORTED_MODULE_12__pages_home_home__["a" /* homePage */],
                __WEBPACK_IMPORTED_MODULE_14__pages_mine_mine__["a" /* minePage */],
                __WEBPACK_IMPORTED_MODULE_15__pages_mine_updatePassword_updatePassword__["a" /* updatePasswordPage */],
                __WEBPACK_IMPORTED_MODULE_16__pages_login_login__["a" /* loginPage */],
                __WEBPACK_IMPORTED_MODULE_17__pages_regist_regist__["a" /* registPage */],
                __WEBPACK_IMPORTED_MODULE_18__pages_home_message_message__["a" /* messagePage */],
                __WEBPACK_IMPORTED_MODULE_19__pages_home_message_messageDetail_messageDetail__["a" /* messageDetailPage */],
                __WEBPACK_IMPORTED_MODULE_20__pages_home_requisition_requisition__["a" /* requisitionPage */],
                __WEBPACK_IMPORTED_MODULE_21__pages_home_requisition_requisitionPopover_requisitionPopover__["a" /* requisitionPopoverPage */],
                __WEBPACK_IMPORTED_MODULE_29__pages_home_requisition_confirmAvailability_confirmAvailability__["a" /* confirmAvailabilityPage */],
                __WEBPACK_IMPORTED_MODULE_32__pages_home_requisition_confirmAvailability_textModal_textModal__["a" /* textModalPage */],
                __WEBPACK_IMPORTED_MODULE_22__pages_home_basicInformation_basicInformation__["a" /* basicInformationPage */],
                __WEBPACK_IMPORTED_MODULE_23__pages_home_myContract_myContract__["a" /* myContractPage */],
                __WEBPACK_IMPORTED_MODULE_24__pages_home_myContract_contractDetail_contractDetail__["a" /* contractDetailPage */],
                __WEBPACK_IMPORTED_MODULE_25__pages_home_renewedRent_renewedRent__["a" /* renewedRentPage */],
                __WEBPACK_IMPORTED_MODULE_26__pages_home_renewedRent_renewedRentDetail_renewedRentDetail__["a" /* renewedRentDetailPage */],
                __WEBPACK_IMPORTED_MODULE_27__pages_home_retirement_retirement__["a" /* retirementPage */],
                __WEBPACK_IMPORTED_MODULE_28__pages_home_retirement_retirementDetail_retirementDetail__["a" /* retirementDetailPage */],
                __WEBPACK_IMPORTED_MODULE_13__pages_tabs_tabs__["a" /* TabsPage */],
                __WEBPACK_IMPORTED_MODULE_31__pages_home_maintain_maintainDetail_maintainDetail__["a" /* maintainDetailPage */],
                __WEBPACK_IMPORTED_MODULE_30__pages_home_maintain_maintain__["a" /* maintainPage */],
                __WEBPACK_IMPORTED_MODULE_7__providers_common_pipe__["a" /* messageDate */],
                __WEBPACK_IMPORTED_MODULE_7__providers_common_pipe__["d" /* stringFullDateFormat */],
                __WEBPACK_IMPORTED_MODULE_7__providers_common_pipe__["c" /* stringDateFormat */],
                __WEBPACK_IMPORTED_MODULE_7__providers_common_pipe__["b" /* retirementStatus */]
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1__angular_platform_browser__["a" /* BrowserModule */],
                __WEBPACK_IMPORTED_MODULE_4__angular_http__["e" /* JsonpModule */],
                __WEBPACK_IMPORTED_MODULE_4__angular_http__["c" /* HttpModule */],
                __WEBPACK_IMPORTED_MODULE_8_ion_multi_picker__["MultiPickerModule"],
                __WEBPACK_IMPORTED_MODULE_38_ionic2_jpush__["a" /* IonJPushModule */],
                __WEBPACK_IMPORTED_MODULE_2_ionic_angular__["IonicModule"].forRoot(__WEBPACK_IMPORTED_MODULE_3__app_component__["a" /* MyApp */], {
                    backButtonText: '',
                    iconMode: 'ios',
                    mode: 'ios'
                }, {
                    links: []
                })
            ],
            bootstrap: [__WEBPACK_IMPORTED_MODULE_2_ionic_angular__["IonicApp"]],
            entryComponents: [
                __WEBPACK_IMPORTED_MODULE_3__app_component__["a" /* MyApp */],
                __WEBPACK_IMPORTED_MODULE_9__pages_findHouse_findHouse__["a" /* findHousePage */],
                __WEBPACK_IMPORTED_MODULE_10__pages_findHouse_district_district__["a" /* districtPage */],
                __WEBPACK_IMPORTED_MODULE_11__pages_findHouse_district_houseDetail_houseDetail__["a" /* houseDetailPage */],
                __WEBPACK_IMPORTED_MODULE_12__pages_home_home__["a" /* homePage */],
                __WEBPACK_IMPORTED_MODULE_14__pages_mine_mine__["a" /* minePage */],
                __WEBPACK_IMPORTED_MODULE_15__pages_mine_updatePassword_updatePassword__["a" /* updatePasswordPage */],
                __WEBPACK_IMPORTED_MODULE_16__pages_login_login__["a" /* loginPage */],
                __WEBPACK_IMPORTED_MODULE_17__pages_regist_regist__["a" /* registPage */],
                __WEBPACK_IMPORTED_MODULE_18__pages_home_message_message__["a" /* messagePage */],
                __WEBPACK_IMPORTED_MODULE_19__pages_home_message_messageDetail_messageDetail__["a" /* messageDetailPage */],
                __WEBPACK_IMPORTED_MODULE_20__pages_home_requisition_requisition__["a" /* requisitionPage */],
                __WEBPACK_IMPORTED_MODULE_21__pages_home_requisition_requisitionPopover_requisitionPopover__["a" /* requisitionPopoverPage */],
                __WEBPACK_IMPORTED_MODULE_29__pages_home_requisition_confirmAvailability_confirmAvailability__["a" /* confirmAvailabilityPage */],
                __WEBPACK_IMPORTED_MODULE_32__pages_home_requisition_confirmAvailability_textModal_textModal__["a" /* textModalPage */],
                __WEBPACK_IMPORTED_MODULE_22__pages_home_basicInformation_basicInformation__["a" /* basicInformationPage */],
                __WEBPACK_IMPORTED_MODULE_23__pages_home_myContract_myContract__["a" /* myContractPage */],
                __WEBPACK_IMPORTED_MODULE_24__pages_home_myContract_contractDetail_contractDetail__["a" /* contractDetailPage */],
                __WEBPACK_IMPORTED_MODULE_25__pages_home_renewedRent_renewedRent__["a" /* renewedRentPage */],
                __WEBPACK_IMPORTED_MODULE_26__pages_home_renewedRent_renewedRentDetail_renewedRentDetail__["a" /* renewedRentDetailPage */],
                __WEBPACK_IMPORTED_MODULE_27__pages_home_retirement_retirement__["a" /* retirementPage */],
                __WEBPACK_IMPORTED_MODULE_28__pages_home_retirement_retirementDetail_retirementDetail__["a" /* retirementDetailPage */],
                __WEBPACK_IMPORTED_MODULE_31__pages_home_maintain_maintainDetail_maintainDetail__["a" /* maintainDetailPage */],
                __WEBPACK_IMPORTED_MODULE_30__pages_home_maintain_maintain__["a" /* maintainPage */],
                __WEBPACK_IMPORTED_MODULE_13__pages_tabs_tabs__["a" /* TabsPage */]
            ],
            providers: [
                __WEBPACK_IMPORTED_MODULE_6__providers_HttpClient__["a" /* HttpClient */],
                __WEBPACK_IMPORTED_MODULE_5__ionic_native_http__["a" /* HTTP */],
                __WEBPACK_IMPORTED_MODULE_33__ionic_native_status_bar__["a" /* StatusBar */],
                __WEBPACK_IMPORTED_MODULE_35__ionic_native_camera__["a" /* Camera */],
                __WEBPACK_IMPORTED_MODULE_36__ionic_native_sim__["a" /* Sim */],
                __WEBPACK_IMPORTED_MODULE_39__ionic_native_code_push__["a" /* CodePush */],
                __WEBPACK_IMPORTED_MODULE_37__ionic_native_file_transfer__["a" /* FileTransfer */],
                __WEBPACK_IMPORTED_MODULE_34__ionic_native_splash_screen__["a" /* SplashScreen */],
                { provide: __WEBPACK_IMPORTED_MODULE_0__angular_core__["ErrorHandler"], useClass: __WEBPACK_IMPORTED_MODULE_2_ionic_angular__["IonicErrorHandler"] }
            ]
        })
    ], AppModule);
    return AppModule;
}());

//# sourceMappingURL=app.module.js.map

/***/ }),

/***/ 421:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return MyApp; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(9);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ionic_native_status_bar__ = __webpack_require__(254);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ionic_native_splash_screen__ = __webpack_require__(258);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__ionic_native_code_push__ = __webpack_require__(259);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__pages_tabs_tabs__ = __webpack_require__(260);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






var MyApp = (function () {
    function MyApp(platform, statusBar, splashScreen, codePush, alertCtrl) {
        var _this = this;
        this.alertCtrl = alertCtrl;
        this.rootPage = __WEBPACK_IMPORTED_MODULE_5__pages_tabs_tabs__["a" /* TabsPage */];
        platform.ready().then(function () {
            var self = _this;
            var alert = _this.alertCtrl.create({
                title: '提示',
                subTitle: "正在下载更新",
                buttons: ['确定']
            });
            var downloadProgress = function (progress) { console.log("Downloaded " + progress.receivedBytes + " of " + progress.totalBytes); };
            codePush.sync({}, downloadProgress).subscribe(function (syncStatus) {
                if (syncStatus == 7) {
                    alert.present();
                }
                else if (syncStatus == 8) {
                    alert.present();
                }
                else if (syncStatus != 8 && syncStatus != 7) {
                    alert.dismiss();
                }
            });
            statusBar.styleDefault();
            splashScreen.hide();
        });
    }
    MyApp = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({template:/*ion-inline-start:"D:\ionicapps\talentApartment\src\app\app.html"*/'<ion-nav [root]="rootPage"></ion-nav>\n'/*ion-inline-end:"D:\ionicapps\talentApartment\src\app\app.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["Platform"],
            __WEBPACK_IMPORTED_MODULE_2__ionic_native_status_bar__["a" /* StatusBar */],
            __WEBPACK_IMPORTED_MODULE_3__ionic_native_splash_screen__["a" /* SplashScreen */],
            __WEBPACK_IMPORTED_MODULE_4__ionic_native_code_push__["a" /* CodePush */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["AlertController"]])
    ], MyApp);
    return MyApp;
}());

//# sourceMappingURL=app.component.js.map

/***/ }),

/***/ 709:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return BasicInformationModel; });
var BasicInformationModel = (function () {
    function BasicInformationModel() {
        this.accumulationFundsNum = "";
        this.accumulationFundsType = "";
        this.advanceTalentPic = "";
        this.advancedTalentClassify = "";
        this.avatar = "";
        this.address = "";
        this.birthday = "";
        this.companyAddress = "";
        this.companyCode = "";
        this.companyEmail = "";
        this.companyFax = "";
        this.companyFundCode = "";
        this.companyName = "";
        this.companyNature = "1";
        this.companyPhone = "";
        this.companyProvePic = "";
        this.companyUserName = "";
        this.companyUserPhone = "";
        this.contactPhone = "";
        this.degree = "";
        this.education = "";
        this.educationNum = "";
        this.educationPic = "";
        this.email = "";
        this.graduateDate = "";
        this.graduatePic = "";
        this.graduateSchool = "";
        this.id = "";
        this.laborContractEndDate = "";
        this.laborContractStartDate = "";
        this.marriage = "";
        this.mateCName = "";
        this.mateCardNo = "";
        this.mateEmail = "";
        this.mateMobile = "";
        this.mobile = "";
        this.nation = "";
        this.noRoomProvePic = "";
        this.origin = "";
        this.personCardNo = "";
        this.personIdPic1 = "";
        this.personIdPic2 = "";
        this.approvePic = "";
        this.politicalStatus = "";
        this.professionPic = "";
        this.professionalRank = "0";
        this.screenOpinon = "";
        this.sex = "";
        this.shortageTalentClassify = "";
        this.state = "";
        this.submitDate = "";
        this.subsidyMoney = "";
        this.subsidySurplusMonth = "";
        this.talentType = "3";
        this.technicalRank = "0";
        this.userCName = "";
        this.userId = "";
        this.workYears = "";
    }
    return BasicInformationModel;
}());

//# sourceMappingURL=BasicInformation.js.map

/***/ }),

/***/ 710:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return WeiXinPayService; });
var WeiXinPayService = (function () {
    function WeiXinPayService() {
    }
    WeiXinPayService.isInstalled = function () {
        return new Promise(function (resolve, reject) {
            if (typeof Wechat == 'undefined') {
                reject('Wechart not installed');
                return;
            }
            Wechat.isInstalled(function (result) {
                resolve(result);
            }, function (error) {
                reject(error);
            });
        });
    };
    WeiXinPayService.sendPaymentRequest = function (params) {
        return new Promise(function (resolve, reject) {
            Wechat.sendPaymentRequest(params, function (result) {
                resolve(result + "1");
            }, function (error) {
                alert(JSON.stringify(error));
                reject(error + "2");
            });
        });
    };
    return WeiXinPayService;
}());

//# sourceMappingURL=weixinpay-service.js.map

/***/ }),

/***/ 711:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return messageDate; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "d", function() { return stringFullDateFormat; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "c", function() { return stringDateFormat; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "b", function() { return retirementStatus; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__providers_Utils__ = __webpack_require__(156);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};


var messageDate = (function () {
    function messageDate() {
    }
    messageDate.prototype.transform = function (value) {
        var date = new Date();
        value.substring(0, 4) + "-" + value.substring(4, 6) + "-" + value.substring(6, 8) + " " + value.substring(8, 10) + ":" + value.substring(10, 12);
        var nowDate = Object(__WEBPACK_IMPORTED_MODULE_1__providers_Utils__["a" /* dateFormat */])(date, "yyyy-MM-dd");
        var yesterday = date.getFullYear() + "-" + (date.getMonth() + 1) + "-" + (date.getDate() - 1);
        if (value.substring(0, 4) + "-" + value.substring(4, 6) + "-" + value.substring(6, 8) == nowDate) {
            return value.substring(8, 10) + ":" + value.substring(10, 12);
        }
        else if (value.substring(0, 4) + "-" + value.substring(4, 6) + "-" + value.substring(6, 8) == yesterday) {
            return "昨天";
        }
        else {
            return value.substring(4, 6) + "-" + value.substring(6, 8);
        }
    };
    messageDate = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Pipe"])({
            name: "messageDate",
            pure: false
        })
    ], messageDate);
    return messageDate;
}());

;
var stringFullDateFormat = (function () {
    function stringFullDateFormat() {
    }
    stringFullDateFormat.prototype.transform = function (value) {
        if (value == "" || value == null) {
            return "";
        }
        else {
            return value.substring(0, 4) + "-" + value.substring(4, 6) + "-" + value.substring(6, 8) + " " + value.substring(8, 10) + ":" + value.substring(10, 12) + ":" + value.substring(12, 14);
        }
    };
    stringFullDateFormat = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Pipe"])({
            name: "stringFullDateFormat",
            pure: false
        })
    ], stringFullDateFormat);
    return stringFullDateFormat;
}());

;
var stringDateFormat = (function () {
    function stringDateFormat() {
    }
    stringDateFormat.prototype.transform = function (value) {
        if (value == "" || value == null) {
            return "";
        }
        else {
            return value.substring(0, 4) + "-" + value.substring(4, 6) + "-" + value.substring(6, 8);
        }
    };
    stringDateFormat = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Pipe"])({
            name: "stringDateFormat",
            pure: false
        })
    ], stringDateFormat);
    return stringDateFormat;
}());

;
var retirementStatus = (function () {
    function retirementStatus() {
    }
    retirementStatus.prototype.transform = function (value) {
        if (value == "0") {
            return "编辑";
        }
        else if (value == "1") {
            return "提交";
        }
        else if (value == "1") {
            return "审核通过";
        }
        else {
            return "审核不通过 ";
        }
    };
    retirementStatus = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Pipe"])({
            name: "retirementStatus",
            pure: false
        })
    ], retirementStatus);
    return retirementStatus;
}());

//# sourceMappingURL=common.pipe.js.map

/***/ })

},[379]);
//# sourceMappingURL=main.js.map